
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.2
 *  date    : June 1999
 *
 *  class name  : DialogBox
 *  function    : Pops up a transient window to show a message
 *********************************************************************/

import java.awt.*;
import java.awt.event.*;

class DialogBox
extends WindowAdapter // defines all Windowevents as empty methods
implements ActionListener
{
   // And the class variables + methods :
   String s;
   Dialog dialog;

   Button but[];
   String butText[] = {" OK ","Cancel" };
   int                   OK=0, CANCEL=1;
   
   public DialogBox(String message,Frame parent) // constructor
   { 
      dialog  = new Dialog(parent);

      dialog.setLayout(new BorderLayout());
      createWidgets(message);
      
      dialog.addWindowListener(this);
      
      dialog.setModal(true);   // keep it on top of parent frame
      dialog.setSize(400,150); // when using a Label
//      dialog.setSize(550,275); // when using a TextArea
      
      dialog.setVisible(true); // now show the window (this is faster !)
   }
   
   private void createWidgets(String message)
   {
      Font myfont  = new Font("SansSerif",Font.PLAIN,14);
//      TextArea textarea = new TextArea(message);
      Label textarea    = new Label(message,Label.CENTER);
      Panel buttonbar   = new Panel();

//      textarea.setEditable(false);
      textarea.setFont(myfont);
      // textarea.setBackground(Color.white);
      
      but  = new Button[butText.length];
      for(int x=0; x< butText.length; x++)
      {
	 buttonbar.add(but[x] = new Button(butText[x]));
	 but[x].addActionListener(this); // JDK 1.1
      }

      dialog.add(textarea,"North");
      dialog.add(buttonbar,"South");
   }
   
   private void removeWindow()
   {
      dialog.setVisible(false);
      dialog.dispose();
   }
   
   // and the event listeners :
   
   public void windowClosing(WindowEvent we)
   { removeWindow();}
   
   public void actionPerformed(ActionEvent ev) // JDK 1.1
   {
      String label = ev.getActionCommand();
      
      if(label.equals(butText[OK]))
	removeWindow();
   }

   // just for testing :
/*   public static void main(String argv[])
   {
      DialogBox d;
      // Create a dummy parent (dialog only works if parent frame present)
      Frame frame = new Frame();
      frame.setSize(100,100);
      frame.setVisible(true);
      
      new DialogBox("This is my first message",frame);
   }
   */
}
