
/*********************************************************************
 *  made by : Kees Lemmens
 *  version : 0.1
 *  date    : May 1999
 *
 *  class name  : ViewHeader for
 *  function    : Contains labels and menubar on top of the window
 *********************************************************************/

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.Label;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;
import java.awt.Panel;
import java.awt.event.*;

class HelpMenu extends Menu
implements ActionListener
{
   MenuItem ihelp  = new MenuItem();
   String helpfile;
   int viewmode;
   
   public HelpMenu(String label,String helpfile,int viewmode)
   {
      super(label);
      this.helpfile = helpfile;
      this.viewmode = viewmode;
      
      ihelp.setLabel("Manual");
      ihelp.addActionListener(this);
      ihelp.setActionCommand("Manual");
      
      add(ihelp);
   }
   
   public void actionPerformed(ActionEvent ev) // JDK 1.1
   {
      new FileViewer(helpfile,helpfile,viewmode);
   }
}

class ViewHeader extends Panel
{
   JsepView frame;
   Label  title   = new Label("    Sepran Mesh viewer      ",Label.LEFT);
   Label  current = new Label("  **************************",Label.RIGHT);
   MenuBar mbar   = new MenuBar();
   FileMenu   mfile;
   ViewMenu   mview;
   ExportMenu mexport;
   HelpMenu   mhelp;
   Font bold      = new Font("Helvetica",Font.BOLD,18);

   public ViewHeader(JsepView frame) // constructor
   {
      super();
      this.frame = frame;

      mfile   = new FileMenu  ("File",frame);
      mview   = new ViewMenu  ("View",frame);
      mexport = new ExportMenu("Export",frame);
      mhelp   = new HelpMenu  ("Help",frame.helpfile,frame.helpmode);

      mbar.add(mfile);
      mbar.add(mview);
      mbar.add(mexport);
      mbar.setHelpMenu(mhelp);
      
      add(title);
      add(current);

      frame.setMenuBar(mbar);

      setLayout(new BorderLayout()); // puts components closer to borders 
      add(title  ,"West");
      add(current,"East");

      title.setFont(bold);
   }
   
   public void setCurrentName(String s)
   {
      current.setForeground(Color.blue);
      current.setText(s);
      invalidate(); // force a layout check and reorder if necessary
   }
}
