#
# This script prints the version number of all subroutines in this file
# usage: awk -v dir="$sourcedir" -f getversub.awk $sourcedir/*.f
#
#  Pseudo code:
#
#  new := 0
#  if ( new = 0 ) then
#     If (first record starts with cdcc) then
#        extract subroutine name from first record
#        new := 1
#     else
#        extract subroutine name from second word
#        new := 1
#  if ( new = 1 ) then
#     if ( record starts with: c     version ) then
#        get version number
#        new = 2
#
{
   if ( new == 0 )
       {if ( $0 ~ /^cdcc/ )
           {  if ( new == 1 ) printf "%-32s  version not found\n",dir "" subname
              new = 1
              subname = substr ( $0, 5 )
           }
        else
           {  if ( new == 1 ) printf "%-32s  version not found\n",dir "" subname
              new = 1
              subname = substr ( $2, 1 )
              ipos = index(subname, "(" )
              if ( ipos > 0 )  subname = substr ( subname, 1, ipos-1 )
           }
       }
   if ( new == 1 )
   {
      if ( $0 ~ /^[Cc*]  *[Vv][Ee][Rr][Ss][Ii][Oo][Nn]/ )
      {  printf "%-32s  %-8s\n",dir "" subname,$3
         new = 2
      }
   }
}
END{if ( new != 2 ) printf "%-32s  version not found\n",dir "" subname}
