      subroutine checkbuf ( iseq, text )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  2.2  date 30-12-2013 print message if not filled
!        version  2.1  date 21-11-2012 Long integers
!        version  2.0  date 15-11-2004 Extra parameter ibuffr
!
!   copyright (c) 2001-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print control integers, starting position and length of array with
!     sequence number iseq as stored in ibuffr
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseq
      character (len=*) text

!     iseq           i    Sequence number of array
!     text           i    String variable containing some text
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer (kind=8) ipstart
      integer length

!     ipstart        Starting address in array
!     length         Help parameter to indicate the length of arrays
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      write(irefwr,*) text
      ipstart = infor(iseq)
      length = infor1(1,iseq)
      if ( length>0 ) then
         write(irefwr,*) iseq, ibuffr(ipstart-1), &
                         ibuffr(ipstart+length), &
                         ipstart-1,ipstart+length, length
      else
         write(irefwr,*) 'vector ', iseq, ' has not been filled'
      end if  ! ( length>0 )
      end
