      subroutine checkbufend ( iseq, text )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.1  date 09-11-2012 Call to checkbufendsub
!        version  1.0  date 17-04-2006
!
!   copyright (c) 2006-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print control integers, starting position and length of array with
!     sequence number iseq as stored at the end of ibuffr
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cdebugf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseq
      character (len=*) text

!     iseq           i    Sequence number of array at the end of ibuffr
!     text           i    String variable containing some text
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      write(irefwr,*) text
      write(irefwr,1) iseq, iarbuf(iseq,1), iarbuf(iseq,2), &
                      ibuffr(iarbuf(iseq,1)), ibuffr(iarbuf(iseq,2))
  1   format ( 'Positions of array ', i3,'  in end of ibuffr ', 2i10/ &
               'Contents: ', 2i5 )
      end
