      subroutine error3065 ( ival, ivalmin, ivalmax, namevar, ishift )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 15-12-2010
!
!   copyright (c) 2010-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error 3065 if necessary
!     Check if parameter in correct range and print element information
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cactlf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ival, ivalmin, ivalmax, ishift
      character (len=*) namevar

!     ishift         i    Position of parameter in coefficients array
!     ival           i    Value to be checked
!     ivalmax        i    Maximum integer value
!     ivalmin        i    Minimum integer value
!     namevar        i    Name of variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    3065   Integer parameter out of range
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      if ( ival<ivalmin .or. ival>ivalmax ) then

!     --- ival out of range

         call errchr ( namevar, 1 )
         call errint ( ival, 1 )
         call errint ( ivalmin, 2 )
         call errint ( ivalmax, 3 )
         call errint ( ishift, 4 )
         call errint ( itype, 5 )
         call errint ( ielgrp, 6 )
         call errint ( ielem, 7 )
         call errsub ( 3065, 7, 0, 1 )

      end if  ! ( ival<ivalmin .or. ival>ivalmax )

      end
