      function getnelmelgrp ( kmesh, ielgrp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-10-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fetch number of elements in elementgroup ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_group
!     mesh
!     element
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'
      include 'SPcommon/cinoutf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielgrp, getnelmelgrp

!     getnelmelgrp     o    Number of elements in group
!     ielgrp           i    element group number
!     kmesh            i    Standard SEPRAN array containing information of
!                           the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer kelmg
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     kelmg          Indicates if KMESH part g has been filled (>0)
!                    or not (0)
!                    If kelmg>0, kelmg is the starting address of KMESH
!                    part g in KMESH
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'getnelmelgrp' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from getnelmelgrp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      kelmg = kmesh(21)
      if ( kelmg/=0 ) then
         getnelmelgrp = kmesh(kelmg+ielgrp-1)
      else
         getnelmelgrp = kmesh(9)
      end if

1000  call erclos ( 'getnelmelgrp' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End getnelmelgrp'

      end if  ! ( debug )

      end
