      function getnumelmelgrp ( kmesh, ielgrp )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  2.1  date 23-01-2015 New keyword
!        version  2.0  date 27-11-2011 Change in function
!        version  1.1  date 15-08-2003 Correction kelmg>0
!
!   copyright (c) 1998-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fetch the number of elements in element group ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_group
!     mesh
!     number_of_elements
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielgrp, getnumelmelgrp

!     getnumelmelgrp  o  number of elements in this group
!     ielgrp          i  element group number
!     kmesh           i  Standard SEPRAN array containing information of
!                        the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer nelgrp, kelmg, nelem

!     kelmg      Indicates if KMESH part g has been filled (>0) or not (0)
!                If kelmg>0, kelmg is the starting address of KMESH part g
!                in KMESH
!     nelem      Number of elements
!     nelgrp     Number of element groups
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nelgrp = kmesh(5)
      nelem = kmesh(9)
      kelmg = kmesh(21)
      if ( nelgrp==1 ) then
         getnumelmelgrp = nelem
      else if ( kelmg>0 ) then
         getnumelmelgrp = kmesh(kelmg+ielgrp-1)
      else
         getnumelmelgrp = 0
      end if

      end
