      function getshapeelgrp ( kmesh, ielgrp )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  2.0  date 27-11-2011 Change in function
!        version  1.0  date 22-08-1998 renamed mnshape
!
!   copyright (c) 1998-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Get the shape of an element in group ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     element_group
!     element_shape
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielgrp, getshapeelgrp

!     getshapeelgrp o  Type number of elements in the mesh or element group
!     ielgrp        i  element group number
!     kmesh         i  Standard SEPRAN array containing information of the mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer kelmf

!     kelmf      Indicates if KMESH part f has been filled (>0) or not (0)
!                If kelmf>0, kelmf is the starting address of KMESH part f
!                in KMESH
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      kelmf = kmesh(20)
      if ( kelmf/=0 ) then
         getshapeelgrp = kmesh(kelmf+ielgrp-1)
      else
         getshapeelgrp = -1
      end if

      end
