      function gettypenumber ( kprob, ielgrp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 30-10-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Return with type number corresponding to element group
!
! **********************************************************************
!
!                       KEYWORDS
!
!     type_number
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: gettypenumber
      integer, intent(in) :: kprob(*), ielgrp

!     gettypenumber  o    Type number corresponding to ielgrp
!     ielgrp         i    element group number
!     kprob          i    Standard SEPRAN array, containing information of
!                         the problem
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: kprobc

!     kprobc         Starting address of KPROB part c in KPROB (-1)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      kprobc = kprob(16)-1   ! starting address kprob part c (-1)
      gettypenumber = kprob(kprobc+ielgrp)

      end function gettypenumber
