/*
 *  Copyright (c) 1991  Philips Export B.V.
 * 
 *  Philips Research Laboratories
 *  Eindhoven, The Netherlands
 *
 *  Author    : G.F.M. Haenen
 *              F.W.G.M. Wouters
 *
 *  Date      : July, 1991
 *
 *  Modified  : Kees Lemmens, June 9, 1999
 *            - fixed compiler warnings and some small bugs
 *
 *  Function  : Defenition of color table, and routine for returning
 *		rgb values of colorindex+2
 *
 *  Comment   : 
 *
*/

#define MAXCOLORS 256    

static struct color_t
{
  unsigned short red, green, blue;
} color_t;
                     
struct color_t colortable[MAXCOLORS];

/*
  static struct color_t colortable[] = {
  {    0,     0,     0},
  {65535, 65535, 65535},
    {65535, 65535,     0},
    {65535, 61439,     0},
    {65535, 57343,     0},
    {65535, 53247,     0},
    {65535, 49151,     0},
    {65535, 45055,     0},
    {65535, 40959,     0},
    {65535, 36863,     0},
    {65535, 32767,     0},
    {65535, 28671,     0},
    {65535, 24575,     0},
    {65535, 20479,     0},
    {65535, 16383,     0},
    {65535, 12287,     0},
    {65535,  8191,     0},
    {65535,  4095,     0},
    {65535,     0,     0}};
*/
/*
    {    0,     0, 32767},
    {    0,     0, 65535},
    {    0, 32767,     0},
    {    0, 32767, 32767},
    {    0, 32767, 65535},
    {    0, 65535,     0},
    {    0, 65535, 32767},
    {    0, 65535, 65535},
    {32767,     0,     0},
    {32767,     0, 32767},
    {32767,     0, 65535},
    {32767, 32767,     0},
    {32767, 32767, 32767},
    {32767, 32767, 65535},
    {32767, 65535,     0},
    {32767, 65535, 32767},
    {32767, 65535, 65535},
    {65535,     0,     0},
    {65535,     0, 32767},
    {65535,     0, 65535},
    {65535, 32767,     0},
    {65535, 32767, 32767},
    {65535, 32767, 65535},
    {65535, 65535,     0},
    {65535, 65535, 32767}};
*/

int getcolor(int num, int *red, int *green, int *blue)
{
  static int colors = 0;
  int c;
 
  if (colors == 0)
    colors = sizeof(colortable) / sizeof(color_t) - 2;

/*
  c = num < 2 ? num : (num - 2) % colors + 2;
*/

  c = num;

  *red   = colortable[c].red;
  *green = colortable[c].green;
  *blue  = colortable[c].blue; 

  return(c);
}
