
#include <X11/Xlib.h> /* XImage */

#define TRUE          1
#define FALSE         0
#define MAXFILENAME 256
#define MAXCOMMAND  256
#define MAXNAME      32
#define MINPOLY       3
#define MAXPOLY     256
#define X_OUTPUT      1
#define PS_OUTPUT     2
#define HPGL_OUTPUT   3
#define FIG_OUTPUT    4

/* FIG_OUTPUT added by Sander Gielen */

typedef struct window_t
{
    /* Do NOT change order of parameters; clip needs this order! */
    double xmin, ymin, xmax, ymax, width, height, ratio;
} window_t;

typedef struct filnam_t
{
    char basedir[MAXFILENAME];
    char name[MAXNAME];
    int  version, new;
} filnam_t;

typedef struct string_t
{
    char *str;
    int  length, alloc;
} string_t;

/* Global function declarations (ANSI) :
 * Added by K. Lemmens, June 1999 
 * Not complete yet : there are simply to many of them and it isn't urgent !
 */

/* Fortran I/O and Sepran routines */
#ifdef UNDERSCORE
#   define initmd()                            initmd_()
#   define start(ip1,ip2 ,ip3,ip4)             start_(ip1,ip2,ip3,ip4)
#   define gethom(cp1,ip1)                     gethom_(cp1,ip1)
#   define plrdop(cp1,ip1,ip2)                 plrdop_(cp1,ip1,ip2)
#   define plrdcl(ip1)                         plrdcl_(ip1)
#   define plrd01(ip1,fp1,fp2,fp3,fp4,ip2,ip3) plrd01_(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06(ip1,cp1,ip2)                 plrd06_(ip1,cp1,ip2)
#   define plrd07(ip1,fp1,ip2)                 plrd07_(ip1,fp1,ip2)
#else
#ifdef CRAY
#   define initmd ()                            INITMD()
#   define start  (ip1,ip2 ,ip3,ip4)            START (ip1,ip2,ip3,ip4)
#   define gethom (cp1,ip1)                     GETHOM(cp1,ip1)
#   define plrdop (cp1,ip1,ip2)                 PLRDOP(cp1,ip1,ip2)
#   define plrdcl (ip1)                         PLRDCL(ip1)
#   define plrd01 (ip1,fp1,fp2,fp3,fp4,ip2,ip3) PLRD01(ip1,fp1,fp2,fp3,fp4,ip2,ip3)
#   define plrd06 (ip1,cp1,ip2)                 PLRD06(ip1,cp1,ip2)
#   define plrd07 (ip1,fp1,ip2)                 PLRD07(ip1,fp1,ip2)
#endif
#endif

/* Sepran Fortran routines */

extern void initmd();
extern void start(int *,int *,int *,int *);
extern void gethom(char *,int *);
extern void plrdop(char *,int *,int *);
extern void plrdcl(int *);
extern void plrd01(int *,float *,float *,float *,float *,int *,int *);
extern void plrd06(int *,char *,int *);
extern void plrd07(int *,float *,int *);

/* sepview.c */

void showColorfile(char *name);
void errorMessage(char *message);
void infoMessage(char *message);
void sepplot(void);
void zoom_status(int s);
void color_status(int s);

/* plotfun.c : */

void clear_colors(void);
int  init(double x1, double y1, double x2, double y2);
void color(int iclr);
void line(double x1, double y1, double x2, double y2);
void text(double xin, double yin, double height, double  ang,char *strin);
void polyfill(double x[], double y[], int npoints);
void polyline(double x[], double y[], int npoints);
void symbol(double x, double y, int symb);
void pl_finish();

/* x_plotfun.c : */

int  x_init(double x1, double  y1,double x2, double y2);
void x_color(int iclr);
void x_line(double x1, double y1, double x2, double y2);
void x_text(double xin, double yin, double height, double  ang,char *strin);
void x_polyfill(double x[], double y[], int npoints);
void x_polyline(double x[], double y[], int npoints);
void x_symbol(double x, double y, int symb);
void x_finish();

void add_color(int color);
int  read_colortable(char *colfile);
void redraw(int x, int y, int width, int height);
void New_Colortable(char * cfn);
void ImgFreeImage(XImage *theImg);
void ImgPickPalette(int *Ncol, int *R, int *G, int *B);

/* ps_plotfun.c */

int  ps_init(double x1, double  y1,double x2, double y2);
void ps_color(int iclr);
void ps_line(double x1, double y1, double x2, double y2);
void ps_text(double xin, double yin, double height, double  ang,char *strin);
void ps_polyfill(double x[], double y[], int npoints);
void ps_polyline(double x[], double y[], int npoi