      subroutine ini0151 ( rinput, iinputvar, lenrinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 22-11-2004 Fortran 90
!        version  1.0  date 29-10-1999
!
!   copyright (c) 1999-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Replace values in rinput corresponding to variables by actual value
!
! **********************************************************************
!
!                       KEYWORDS
!
!     input
!     variable
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/comcons1f90'
      include 'SPcommon/cusconsf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision rinput(*)
      integer iinputvar(*), lenrinp

!     iinputvar      i    Integer array of length lenrinp in which references
!                         of all variables with respect to array rinput
!                         are stored
!                         iinputvar(i) = 0, means rinput(i) is not variable
!                         iinputvar(i) > 0, means rinput(i) is variable and
!                         the value is stored in scalars(iinputvar(i))
!     lenrinp        i    Length of array rinput
!     rinput        i/o   Real input array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     For i := 1 (1) lenrinp do
!        if ( iinputvar(i)>0 ) then
!           Replace value in rinput by corresponding value in scalars
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, lenrinp
         if ( iinputvar(i).gt.0 ) rinput(i) = scalars(iinputvar(i))
      end do
      end
