      subroutine iniepel ( kmesh, ielgrp, nedpel )
! ======================================================================
!
!        programmer    Frans van de Vosse
!        version  1.4  date 10-02-2012 use getnpelmelgrp
!        version  1.3  date 27-11-2011 use function getshapeelgrp
!        version  1.2  date 18-12-2002 Extension of shapes
!
!   copyright (c) 1998-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fetch the number of edges per element in elementgroup ielgrp
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     element_group
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), ielgrp, nedpel

!     ielgrp     i    element group number
!     kmesh      i    Standard SEPRAN array containing information of the mesh
!     nedpel     o    number of edges in one element
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ishape

!     ishape         Type number of elements in the mesh or element group
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer iniedgeshape, getshapeelgrp

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     GETSHAPEELGRP  Determine shape number of an element
!     INIEDGESHAPE   Returns with number of edges as function of the shape
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'iniepel' )

!     --- Fetch the element type

      ishape = getshapeelgrp ( kmesh, ielgrp )

!     --- Compute number of edges as function of ishape

      nedpel = iniedgeshape ( ishape )

      call erclos ( 'iniepel' )

      end
