      function inignm ( index )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.2  date 03-02-2003 Update of error message
!        version  1.1  date 26-02-1999 Use parameter numarrs
!        version  1.0  date 22-05-1994
!
!   copyright (c) 1994-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Return with name of array corresponding to index
!     It is checked if pointer is available
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/comcons3f90'
      include 'SPcommon/cnamtbf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer index
      character *16 inignm

!     index   i    index refers to the array sequence number from which
!                  the starting position must be computed
!     inignm  o    Gives name of array corresponding to index
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     802   INDEX out of range
! **********************************************************************
!
!                       PSEUDO CODE
!
!   Check if index between 1 and numarrs
!   Set name
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( index.lt.1 .or. index.gt.numarrs ) then

!     --- index is not a valid index

         call eropen ( 'inignm' )
         call errint ( index, 1 )
         call errint ( abs(index), 2 )
         call errint ( numarrs, 3 )
         call errchr ( ' ', 1 )
         call errsub ( 802, 3, 0, 1 )
         call erclos ( 'inignm' )
         inignm = ' '

      else

!     --- index in the correct range, &

         inignm = namarr(index)

      end if

      end
