      subroutine inireversear ( intarray, length )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-01-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Reverse sequence of integer array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     array
!     integer
!     reverse
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer intarray(*), length

!     intarray      i/o   Array with integer values to be reversed
!     length         i    Number of entries in intarray
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iwork(length), i
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     i              Counting variable
!     iwork          integer work array of length length to store the
!                    contents of intarray temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inireversear' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inireversear'

      end if  ! ( debug )
      if ( ierror.ne.0 ) go to 1000

!     --- Copy intarray into iwork

      do i = 1, length
         iwork(i) = intarray(i)
      end do  ! i = 1, length

!     --- Copy iwork back into intarray in reversed order

      do i = 1, length
         intarray(i) = iwork(length+1-i)
      end do  ! i = 1, length

1000  call erclos ( 'inireversear' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inireversear'

      end if

      end
