      subroutine initcb
! ======================================================================
!
!        programmer    Guus Segal
!        version  7.61 date 27-03-2015 New definition ctimhis
!        version  7.60 date 24-12-2014 New definition clinsl
!        version  7.59 date 20-11-2014 change in initialization cmesh
!
!   copyright (c) 1982-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      initialize machine independent common blocks
!
! **********************************************************************
!
!                       KEYWORDS
!
!     default
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleloop
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/csepintf90'
      include 'SPcommon/cseprdf90'
      include 'SPcommon/cseprdnewf90'
      include 'SPcommon/cplotf90'
      include 'SPcommon/cplaff90'
      include 'SPcommon/citerf90'
      include 'SPcommon/carbacf90'
      include 'SPcommon/constaf90'
      include 'SPcommon/cmessgf90'
      include 'SPcommon/cmesscf90'
      include 'SPcommon/cgrensf90'
      include 'SPcommon/celpf90'
      include 'SPcommon/cnamtbf90'
      include 'SPcommon/cusconsf90'
      include 'SPcommon/cusnamef90'
      include 'SPcommon/coutptf90'
      include 'SPcommon/cplaf1f90'
      include 'SPcommon/cactlf90'
      include 'SPcommon/cpackagef90'
      include 'SPcommon/clinslf90'
      include 'SPcommon/cpost1f90'
      include 'SPcommon/cpost2f90'
      include 'SPcommon/cpost5f90'
      include 'SPcommon/creadinfof90'
      include 'SPcommon/cfilenamesf90'
      include 'SPcommon/csepmainf90'
      include 'SPcommon/cdebug_routsf90'
      include 'SPcommon/cdebug_arrsf90'
      include 'SPcommon/cgenconstf90'
      include 'SPcommon/cseqnrf90'
      include 'SPcommon/cparallelf90'
      include 'SPcommon/ccontactf90'
      include 'SPcommon/cmachtf90'
      include 'SPcommon/cellogf90'
      include 'SPcommon/cscalvecf90'
      include 'SPcommon/citerinfof90'
      include 'SPcommon/cmeshf90'
      include 'SPcommon/cstocf90'
      include 'SPcommon/ctimhisf90'
      include 'SPcommon/cmushyf90'
      include 'SPcommon/cdebugf90'
      include 'SPcommon/cmachnf90'
      include 'SPcommon/cexpressionf90'
      include 'SPcommon/cmumpsf90'
      include 'SPcommon/cpetscf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INITCNPARM     Fill array cnparm for each type number that is available
!     SEPFILLCONSTS  Fill some general constants in module sepmoduleconsts
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- cplot

      xmin = -rinfin
      xmax =  rinfin
      ymin = -rinfin
      ymax =  rinfin
      zmin = -rinfin
      zmax =  rinfin
      jmax=0
      jmark=0
      jkader=0
      jtimes=0

!     --- cplaf

      dcolor = 0

!     --- cplaf1

      alefig = 15d0
      widfig = 15d0
      marlft = 2.5d0
      marund = 2.5d0
      xpleft = 0d0
      ypleft = 0d0
      xminzm = 0d0
      yminzm = 0d0
      xmaxzm = 0d0
      ymaxzm = 0d0
      xminor = 0d0
      yminor = 0d0
      xmaxor = 0d0
      ymaxor = 0d0
      xcentr = 0d0
      ycentr = 0d0
      factor = 0d0
      actfac = 0d0
      lzoom = 0
      iplpic = 0
      ilzoom = 0
      maxplots = 0
      rplaf1 =  0d0
      iplaf1 = 0

!     --- cactl

      ielem = 0
      itype = 0
      ielgrp = 0
      inpelm = 0
      icount = 0
      ifirst = 0
      notmat = 0
      notvec = 0
      irelem = 0
      nusol = 0
      nelem = 0
      npoint = 0

!     --- cgrens

      kiesx=-1
      kiesy=-1
      isigx=-1
      isigy=-1
      nstepx=10
      nstepy=10
      expx = 0
      expy = 0
      shiftx = 0d0
      shifty = 0d0
      stepx = 0d0
      stepy = 0d0

!     --- cconst

      ierror=0
      nerror=0

!     --- citer

      omega=1d0
      alpha=2d0/3d0
      beta=.8d0
      alam=0d0
      niter=0
      niter1=-1
      niter2=-1
      numiters = 0

!     --- carbac

      ibufst = numarrs+1
      lenbac=0
      inback=0
      ifirstfreeinf = 1

!     --- consta

      pi = 4d0*atan(1d0)
      aln10 = log(10d0)
      defplo = 15d0
      consar = 0d0

!     --- coutpt

      ifoutp = 0

!     --- cmessc and cmessg

      chars = ' '
      reals = 0d0
      ints  = 0
      levsub = 0

!     --- cwarn

      nwarn = 0
      mxwarn = 10

!     --- cseprd

      nchar = 0
      realrd = 0d0
      ityprd = 1
      icolum = 1
      kcolum = 1
      irecnr = 0
      ispecl = 0
      istop  = 0
      lastp  = 0
      last   = 0
      iexpression = 0
      maxcolum = 240

!     --- cseprdnew

      realitems = 0d0
      firstcolitems = 0
      lastcolitems = 0

      firstcolumn = 0
      lastcolumn = 0

      numrecstored = 0
      nitems = 0
      numrecord = 0
      firstcol = 0
      lastcol = 0
      lastitem = 0

!     --- celp

      iweigh = 0
      ideriv = 0
      irule  = 1
      igausp = 0
      iphi   = 0
      jcart  = 1
      icoor  = 0
      interp = 0
      isecdv = 0

!     --- cnamtb

      namarr = ' '

!     --- cuscons and cusname

      numints = 0
      numreals = 0
      numscals = 0
      numstrings = 0
      numintscals = 0
      incons = 0
      chincons = ' '
      rlcons = 0d0
      chrlcons = ' '
      scalars = 0d0
      chscalars = ' '
      ncharcons = 0
      ncharscals = 0
      ncharnames = 0
      dimcons = 0
      dimscals = 0
      dimnames = 0
      chstrings = ''

!     --- cpackage

      logvip = .false.
      loggobs = .false.
      parallel = .false.
      namevfound = .false.
      numwis = .false.
      mpistart = .false.
      logdum = .false.

!     --- ctimen

      itimdep = 0
      maxcalltim = 0
      icalltim = 0
      theta = 1d0

!     --- clinsl

      iclins = 0
      iuser1 = 0
      iuser2 = 0
      iinpcr = 0
      irincr = 0
      iinpdf = 0
      irindf = 0
      isepin = 0
      iseqcoef = 0
      iprobls = 1
      nitercom = -1

!     --- csepint

      nextxt = 1
      iprogram = 0
      lenkmeshfp = 80
      lenkprobfp = 80

!     --- cpost1/2

      ipost = 0
      rpost = 0d0
      rpost(1) = 1.4d0
      numvec = 0
      numfuncs = 0
      ifuncs(0) = 0
      ifuncs = 0
      infocomponents(1:maxvc1,1) = 1
      infocomponents(1:maxvc1,2) = 0
      lastmapsol = 0
      imapsol = 0
      iinput = 0
      iinput(101) = 6   ! number of characters in levels
      rinput(16) = 0.25d0 ! default text size (height)
      rinput(43) = 0.15d0 ! default text size
      rinput(44) = 0.15d0 ! default text size levels
      rinput(45) = 0.25d0 ! default size numbers in levels

!     --- cpost5

      do i = 1, maxvc1-1
         names(i) = ' '
         names(i) (1:8) = 'vector_v'
         write( names(i) (9:10), 110 ) i-1
110      format(i2.2)
      end do
      text(2) = 'LEVELS'

!     --- The last vector gets name septimeincr
!         It is used to store the actual times for a time history

      names(maxvc1) = 'septimeincr'

      namefuncs = ' '
      namecomponents = ' '

!     --- creadinfo

      infotable = 0
      infotabout = 0
      indexread = 0

!     --- cfilenames

      numfilenames = 0
      file_names = ' '

!     --- csepmain

      mainsubr = 0
      readconstants = 0
      multiblock = 0

!     --- cellog

      matrix = .true.
      vector = .true.
      oldsol = .true.
      notmas = 1
      massrule = 0
      cellogdum = 0

!     --- cdebug_routs

      debug_mshsortel3d = .false.
      debug_mshcrt = .false.
      debug_mshfillkmeshad = .false.
      debug_mshsrf = .false.
      debug_pltrac = .false.
      debug_buildbf = .false.
      debug_prob01crobst = .false.
      debug_probdfbf = .false.
      debug_probflkprobaa = .false.
      debug_prorea = .false.
      debug_prinmtbf = .false.
      debug_fvcvdf = .false.
      debug_fvincnd = .false.
      debug_fvpres = .false.
      debug_fvprmom = .false.
      debug_fvsbstep = .false.
      debug_fvstart = .false.
      debug_fvtstep = .false.
      debug_fvviscmatiq2 = .false.
      debug_fvviscmatiq2s = .false.
      debug_compstat01 = .false.
      debug_extfreesubr = .false.
      debug_hollowmesh = .false.
      debug_initfree = .false.
      plotobst = .false.
      printobst = .false.
      plotskipel = .false.
      printskipel = .false.
      debug_mshobsfl = .false.
      debug_mshobstmarkpt = .false.
      debug_probskippoint = .false.
      checksign = .false.
      debug_mshobstmesh = .false.
      debug_erintpol = .false.
      check_hanging_nodes = .false.
      plotedges = .false.
      trace = .false.
      checksubtetrahedrons = .false.
      debug_mshobstpoint = .false.
      write_geomview = .false.
      debug_array = .false.

!     --- cdebug_routs

      startsurface = 1
      num_of_rotat = 1
      intdebugarray = 0

!     --- cgenconst

      accuracy_obstacle = 0.3d0

!     --- cseqnr

      iseqadapbn = 0
      iseqchcoor = 0
      iseqcofs = 0
      iseqcontct = 0
      iseqcr = 0
      iseqinstfr = 0
      iseqintb = 0
      iseqloop = 0
      iseqnlns = 0
      iseqstatfr = 0
      iseqtimd = 0
      iseqsolv = 0
      iseqoutp = 0
      iseqinverse = 0
      iseqinti = 0
      iseqeigval = 0
      iseqderi = 0
      iseqcomp = 0
      iseqcomm = 0
      iseqcapacity = 0
      iseqadapms = 0
      iseqbc = 0
      iseqchcf = 0
      iseqdum = 0
      iseqarray = 0

!     --- cparallel

      iacnodes = 1
      inodenr = -1
      SP_ANY = 0
      SPINT = 0
      SPCHAR = 0
      SPDOUBLE = 0

!     --- ccontact

      contact_changed = .true.
      contact_ncontct = 0

!     --- cmacht

      nameout2 = 'sepcomp2.out'
      namediff = 'sepcompdiff.out'

!     --- cscalvec

      iscalars = 0
      ivectors = 0

!     --- citerinfo

      niterout = 0
      niteruout = 0
      niterpout = 0
      iduminf = 0
      timesubr = 0d0
      duminf = 0d0

!     --- cmesh

      intarmsh = 0
      intarmsh(136) = 1  ! shape_cur
      intarmsh(137) = 3  ! shape_sur
      intarmsh(138) = 11 ! shape_vol

!     --- cstoc

      sigma = 0d0
      sigmax = 0d0
      sigmay = 0d0
      mu = 0d0
      mux = 0d0
      muy = 0d0
      rho = 0d0
      rstoc = 0d0

      ixstoc = 1

!     --- ctimhis

      ivecttimlast = 0
      nstephis = 0
      istephis = 0
      vecttim = 0
      scaltim = 0
      iscaltimlast = 0
      istephiscal = 0
      nstephiscal = 0

!     --- set iinfin

      iinfin = 2 ** 15
      if ( machin==7 ) then
         iinfin = 2 ** 23
      else
         iinfin = iinfin ** 2
      end if
      iinfin = 2*(iinfin-1)+1

!     --- cnparm

      call initcnparm

!     --- cmushy

      mushy = .false.
      tdelta = 0d0

!     --- cloop

      infloop = 0
      iseqfor = 0
      ifirstlp = 0
      isollp = 0

!     --- cexpression

      realexpress = 0d0
      intexpress = 0
      istexpress = 0
      numexpress = 0
      lastrealexpr = 0

!     --- cmumps

      firstmumps = .true.
      usemumps = .false.
      skipmumps = .false.

!     --- cpetsc

      iseqmat = 1  ! Default value

!     --- module loop

      whileloop = .false.
      seqwhile = 0

      call sepfillconsts

      end
