      subroutine initkmeshad ( kmesh, kelmad, iseq )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 20-07-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Initialize kmesh ad
!
! **********************************************************************
!
!                       KEYWORDS
!
!     initialization
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cconstf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*), kelmad, iseq

!     iseq           o    Sequence number
!     kelmad         o    memory management reference number of array KMESH
!                         part ad
!     kmesh          i    Standard SEPRAN array containing information of the
!                         mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dummy(1)
      logical debug

!     debug          If true debug statements are carried out otherwise
!                    they are not
!     dummy          Dummy parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINLG         Print and checks length of user arrays
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'initkmeshad' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from initkmeshad'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( kmesh(52)==0 ) then

!     --- kmesh part ad has not been filled before

         kelmad = kmesh(3)+1
         kmesh(52) = kelmad
         call prinlg ( 'kmesh ', kelmad+10-1, dummy, kmesh )
         kmesh(kelmad:kelmad+9) = 0
         iseq = 1
         kmesh(kelmad-1+5) = iseq

      else

!     --- kmesh part ad has been filled before

         kelmad = kmesh(52)
         iseq = kmesh(kelmad-1+5)

      end if

1000  call erclos ( 'initkmeshad' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End initkmeshad'

      end if  ! ( debug )

      end
