module sepmodulecomio

   integer :: error       ! Return value of allocate or deallocate
   integer :: ierror      ! Error number of last error occurred
                          !  0        No error present
                          ! >0        Last run-time error
   integer :: ifree       ! Not yet used
   integer :: ioutp       ! Indication of the amount of print output that must
!               be performed by SEPRAN. Possibilities:
!      -1       No SEPRAN output except for error messages and
!               output explicitly required.
!       0       Minimum output
!       1       Information of dimensions etc. is printed
!       2       See 1, also all reads from and writes to backing storage are
!               printed
!       3       See 2, also all calls to a memory management subroutine are
!               printed
   integer :: irefer      ! Unit number for error messages
   integer :: irefre      ! Unit number for standard reads
                          ! (mostly keyboard input)
   integer :: irefwr      ! Unit number to use for "normal" writes
   integer :: itime       ! Indication if the CPU-time must be printed for each
                          ! main subroutine (1) or not (0)
   integer :: iwarn       ! Indication if an warning has occured (>0) or not
   integer :: mxwarn      ! Maximal number of warnings allowed before printing
                          ! is stopped
   integer :: nerror      ! Number of error messages printed
   integer :: nwarn       ! Number of warnings found
   integer :: length      ! defines length of arrays
   integer :: intlen      ! indicates length of double reals compared to
                          ! integers

   double precision :: epsmac   ! Machine accuracy
   double precision :: rinfin   ! Approximation of infinity
   double precision :: sqreps   ! Square root of machine accuracy
!   double precision timebefore(2) ! Contains initial time at entrance of subroutine

   logical :: debug  ! If true debug statements are carried out
   logical :: debug_sav(100)  ! Saves values of debug
   logical :: spdebug(10)  ! Special debug options

end module sepmodulecomio
