module sepmodulecons

   use sepmodulecomio

!   --- Definition of some general constants

   integer, parameter :: lenmanag=20        !
   integer, parameter :: lenprob=1          !  Length of array kprob
   integer, parameter :: maxcls=1000        ! Length of array scalars
   integer, parameter :: maxcomponents=1000 !
   integer, parameter :: maxfuncs=100       !
   integer, parameter :: maxhist=50         !
   integer, parameter :: maxints=1000       ! Length of array incons
   integer, parameter :: maxintscals=100    !
   integer, parameter :: maxitems=10000     ! Maximum number of items that can
                                            ! be stored for one "record"
   integer, parameter :: maxmesh=1024       ! Maximum number of meshes
   integer, parameter :: maxpar=30          !
   integer, parameter :: maxprb=10          !
   integer, parameter :: maxprob=10         ! Maximum number of kprob arrays
   integer, parameter :: maxreals=1000      ! Length of array rlcons
   integer, parameter :: maxrecords=1000    ! Maximum number of "cards"
                                            ! for one record
   integer, parameter :: maxsoluts=100000   !
   integer, parameter :: maxstrings=100     !
   integer, parameter :: maxsubeq = 4       !
   integer, parameter :: maxvc1=1000        !
   integer, parameter :: maxvec=1000        !
   integer, parameter :: ninpsol1=50        !
   integer, parameter :: ninpsol = (1+maxsubeq)*ninpsol1+20
   integer, parameter :: nrinsol1=20        !
   integer, parameter :: nrinsol = (1+maxsubeq)*nrinsol1+30
   integer, parameter :: nummesh = 1024
   integer, parameter :: ntimvc=10000       !
   integer, parameter :: numarrs = 25000    !
   integer, parameter :: numarrsb = 25000 !

   integer :: numints                      ! Number of integers stored in incons
   integer :: numintscals                  ! Number of integer scalars stored
                                           ! in intscals
   integer :: numreals                     ! Number of reals stored in rlcons
   integer :: numscals                     ! Number of scalars stored in scalars
   integer :: numstrings                   ! Number of strings stored in
                                           ! instring

   integer :: numvec                    ! Number of vectors used per time step
   integer :: dimcons(maxints+maxreals) ! Dimension of each constant if indexed
   integer :: dimnames(maxvec)          ! Dimension of each vector if indexed
   integer :: dimscals(maxcls+maxintscals)! Dimension of each scalar if indexed
   integer :: dimstrings(maxstrings)    ! Dimension of each string if indexed
   integer :: incons(maxints)           ! Array with maxints integer constants
   integer :: instring(maxstrings)      ! Contains reference of string to
                                        ! array texts
   integer :: ncharcons(maxints+maxreals) ! Number of characters for each
                                        ! constant
   integer :: ncharnames(maxvec)        ! Number of characters for each vector
   integer :: ncharscals(maxcls+maxintscals) ! Number of characters for each
                                        ! scalar
   integer :: ncharstrings(maxstrings)  ! Number of characters for each string

   double precision :: rlcons(maxreals)    ! Array with maxreals real constants
   double precision :: scalars(maxcls+maxintscals)  ! Array with maxscl scalar
                                           ! constants

!   Description of some subroutines to get a constant
!
!   rval = getconst ( realname )       real rval gets value of real constant
!                                      with name realname
!   ival = getint ( intname )          integer ival gets value of integer constant
!                                      with name realname
!   sval = getstring ( stringname )    string sval gets value of string
!                                      with name stringname
!   rval = getvar ( varname )          real rval gets value of variable
!                                      with name realname

end module sepmodulecons
