module sepmoduleelem

   use sepmodulekmesh
   use sepmodulecactl

!  --- Contains common general information for subroutines build, deriv and
!      integr

   logical :: compl         ! indication whether real (compl = false) or
                            ! complex arithmetic is used (compl = true)

   integer :: icheld        ! in case of integs: -icheli
   integer :: icheli        ! choice parameter for element subroutines
   integer :: icompl        ! Multiplication factor
                            ! If real arithmetic icompl=1, else icompl=2
   integer :: idefcr        ! If 1 defect correction is applied, if 0 not
   integer :: ielrou        ! Indicates if vertex points of global region must
                            ! be interpolated from neighboring points (1)
                            ! or not (0)
   integer :: imas          ! Indicates the type of mass matrix
                            ! (1=diagonal, 2=consistent)
   integer :: iseqenth      ! Sequence number entghalpy vector
   integer :: iseqi1        ! Sequence number first input vector
   integer :: iseqi2        ! Sequence number second input vector
   integer :: iseqin        ! Sequence number first input vector
   integer :: iseqtemp      ! Sequence number temperature vector
   integer :: isubr         ! Type of calling subroutine
   integer :: ix            ! indication what type of derivative must be
                            ! computed
   integer :: iweivert      !
   integer :: jdegfd        ! Specific degree of freedom
   integer :: maxmin        ! Indication if only the integral must be computed
                          ! or also minimum and maximum values of the integrals
                          ! per element. Possible values:
                          ! 0:  Only the integral is computed
                          ! 1:  The integral as well as the minimum and maximum
                          !     value per element are computed
                          ! 2:  The integral as well as the minimum and maximum
                          !     absolute value of the integral per element are
                          !     computed
   integer :: maxunk        ! Maximal number of unknowns per point for all
                            ! "old" vectors
   integer :: nindex        ! Help parameter for the length of array index3
   integer :: numol0        ! Number of vectors that are stored in VECOLD
   integer :: numold        ! Number of vectors that are stored in VECOLD

end module sepmoduleelem
