module sepmodulefiles

!    Information concerning file with reference number 1-3.
!    Contains also filenames and file references
!    file 1 contains information concerning the standard elements
!    file 2 is used as backing storage file for those arrays that
!           must be used in other programs
!    file 3 general backing storage

   integer, parameter :: maxfilenames=100           ! Maximum number of
                                                    ! filenames
   integer :: ireffiles(maxfilenames)               ! file reference numbers
                                                    ! in use
   integer :: inextref                              ! Next free reference number
   integer :: numfilenames                          ! Number of file names that
                                                    ! have been read
   character (len=100) :: file_names(maxfilenames)  ! filenames

!  --- file 1

   integer :: iref1  ! Reference number for file 1
   integer :: irecp1 ! Record number of the last record that has been read as
                     ! first part
   integer :: irecp2 ! Record number of the last record that has been read as
                     ! second part
   integer :: nrec1  ! Length of the records on file 1 in words

!  --- file 2

   integer :: ifree2        ! First free record on file 2
   integer :: inew          ! Next free array number to be stored in array
                            ! IWORK3
   integer :: irec2         ! The value of IREC2 is equal to the last record
                            ! number used plus one
   integer :: iref2         ! Reference number for file 2
   integer :: iwork3(1000)  ! In this array of length 1000 information is stored
                            ! of at most 500 arrays that have been written to
                            ! file 2
                            ! iwork3(2*i-1) gives the record number from which the
                            !               array is stored
                            ! iwork3(2*i  ) gives the length of the array in words
   integer :: nrec2         ! Length of the records on file 2 in words

!  --- file 3

   integer :: ifree3 ! First free record on file 3
   integer :: irec3  ! The value of irec3 is equal to the last record number used
                     ! plus one
   integer :: iref3   ! Reference number for file 3
   integer :: nrec3  ! Length of the records on file 3 in words

end module sepmodulefiles