module sepmodulematr

use sepmodulematr1

integer, parameter :: nummat = 40    ! number of arrays matr
integer :: iseqmt                    ! Sequence number of matrix array
integer :: iseqmt2                   ! Sequence number of second matrix array
integer :: lastmatrix                ! last position used in matarr
integer :: nextfreemat               ! next free position in realmt

integer :: matarr(nummat)            ! indicates if matr has been filled:
                                     ! 0: matr(i) is empty
                                     ! >0: matr(i) has been filled
type (globmat), target :: realmt(nummat) ! refers to set of matr arrays
type (globmat), pointer :: Smat          ! refers to specific matrix

logical :: symm         ! Indicates whether the matrix symmetric (true) or not

double precision, pointer :: S_ii(:)   ! large matrix
double precision, pointer :: S_iib(:)  ! second part large matrix
double precision, pointer :: S_ip(:)   ! matrix corresponding to essential
                                       ! boundary conditions
double precision, pointer :: S_pi(:)   ! matrix corresponding to essential
                                       ! boundary conditions
double precision, pointer :: S_pp(:)   ! matrix corresponding to essential
                                       ! boundary conditions
double precision, pointer :: S_ic(:)   ! matrix corresponding to periodical
                                       ! boundary conditions
double precision, pointer :: S_if(:)   ! matrix corresponding to interface
                                       ! unknowns
double precision, pointer :: S_fi(:)   ! matrix corresponding to interface
                                       ! unknowns
double precision, pointer :: S_iout(:) ! matrix containing parts of equations
                                       ! with unknowns at other cpu's

! --- Matrices for the simple method

double precision, pointer :: S_Q(:)   ! Q matrix
double precision, pointer :: S_QL(:)  ! Q matrix (lower part)
double precision, pointer :: S_QU(:)  ! Q matrix (upper part)
double precision, pointer :: S_DIV(:) ! D matrix
double precision, pointer :: S_G(:)   ! G matrix
double precision, pointer :: S_C(:)   ! C matrix
double precision, pointer :: S_CL(:)  ! C matrix (lower part)
double precision, pointer :: S_CU(:)  ! Q matrix (upper part)
double precision, pointer :: S_PM(:)  ! PM matrix
double precision, pointer :: S_PML(:) ! PM matrix (lower part)
double precision, pointer :: S_PMD(:) ! Diagonal Pressure mass matrix
double precision, pointer :: S_R(:)   ! R matrix
double precision, pointer :: S_RL(:)  ! R matrix (lower part)
double precision, pointer :: S_RU(:)  ! R matrix (upper part)
double precision, pointer :: S_UD(:)  ! Diagonal Velocity matrix
double precision, pointer :: S_Qprime(:) ! Q' matrix

double precision, pointer :: S_Qpre(:)! preconditioning of Q matrix
double precision, pointer :: S_Rpre(:)! preconditioning of R matrix

double precision, pointer :: S1_ii(:)
double precision, pointer :: S1_iib(:)
double precision, pointer :: S1_ip(:)
double precision, pointer :: S1_pi(:)
double precision, pointer :: S1_pp(:)
double precision, pointer :: S1_ic(:)

double precision, pointer :: S2_ii(:)
double precision, pointer :: S2_iib(:)
double precision, pointer :: S2_ip(:)
double precision, pointer :: S2_pi(:)
double precision, pointer :: S2_pp(:)
double precision, pointer :: S2_ic(:)

double precision, pointer :: Dlapshift(:) ! diagonal matrix for shifted laplace

double precision, pointer :: M_ii(:) ! mass matrix (L)
double precision, pointer :: M_ii2(:) ! second part large mass matrix
double precision, pointer :: M_ip(:) ! second part large mass matrix
double precision, pointer :: M_pi(:)
double precision, pointer :: M_pp(:)
double precision, pointer :: M_ic(:)
double precision, pointer :: M_if(:)   ! matrix corresponding to interface
                                       ! unknowns
double precision, pointer :: M_fi(:)   ! matrix corresponding to interface
                                       ! unknowns
double precision, pointer :: M_iout(:) ! matrix containing parts of equations
                                       ! with unknowns at other cpu's

double precision, pointer :: Pre_ii(:)   ! preconditioning matrix

! ---  right-hand side vectors

type rhs
   double precision, pointer :: rh(:)
end type rhs

type (rhs), allocatable :: rhsds(:) ! Contains pointers to right-hand sides

end module sepmodulematr
