module sepmoduleplotfun

!  Module for subroutine plotfn

   type plotfninfo
      integer :: dcolor             ! color number
      integer :: isymbl             ! symbol number
      integer :: n                  ! if>0: number of points in the i-th
                                    ! function to be plotted
                                    ! if<0: minus number of separate parts the
                                    ! function consists of
      integer :: ileft              ! 0 if left y-scale must be used and 1
                                    ! if right y-scale must be used
      integer, pointer :: iwork(:)  ! used if n<0
                                    ! number of nodes per segment
      double precision, pointer :: work(:) ! values per segment
                                    ! For each segment all x-values followed by
                                    ! all function values
                   ! The corresponding local array is stored as follows:
                   ! If n>0, n x-values followed by n y-values
                   ! If n<0, the array consists of 2 parts
                   !    Part 1 of -n positions contains the number of points
                   !    Part 2 contains per subcurve first all x and then all
                   !           function values. Curves are stored subsequently
                   !           This array is real and should start at an odd
                   !           position if intlen=2
                   !    See also the Programmer's Guide, storage of vectors of
                   !    type 119
   end type plotfninfo
   type (plotfninfo), allocatable :: ilocal(:)
end module sepmoduleplotfun
