      subroutine mshcopy ( kmesh1, kmesh2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 16-04-1999 Replace body by mshcopybf
!        version  1.5  date 07-08-1998 Also copy kmesh parts q r and s
!        version  1.4  date 24-01-1998 Also copy kmesh part n
!        version  1.3  date 28-04-1997 Correction names
!        version  1.2  date 28-02-1997 Also copy iinput and rinput
!        version  1.1  date 11-01-1997 Also copy kmesh part k if available
!        version  1.0  date 01-07-1996
!
!   copyright (c) 1996-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Copy the essential parts of array kmesh1 into kmesh2
!    Only those parts needed for subroutine intmsh are copied
!    In 2D it concerns the parts c, i, k, m, iinput/rinput
!    In 3d also kmeshn
! **********************************************************************
!
!                       KEYWORDS
!
!     2d
!     3d
!     copy
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh1(*), kmesh2(*)

!     kmesh1     i    KMESH array to be copied
!     kmesh2    i/o   Copy of array KMESH
!                     All positions must have been initialized before
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS    Resets old name of previous subroutine of higher level
!     EROPEN    Produces concatenated name of local subroutine
!     MSHCOPYBF  Actual body of MSHCOPY
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshcopy' )
      call mshcopybf ( ibuffr, buffer, kmesh1, kmesh2 )
      call erclos ( 'mshcopy' )
      end
