      subroutine prinbufars
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 21-11-2012 Long integers
!        version  1.2  date 23-05-2005 Print extra information
!        version  1.1  date 04-04-2005 Print extra information
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the active arrays present in array buffer
!
! **********************************************************************
!
!                       KEYWORDS
!
!     memory_management
!     check
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/comcons3f90'
      include 'SPcommon/carrayf90'
      include 'SPcommon/cmcdpif90'
      include 'SPcommon/cnamtbf90'
      include 'SPcommon/cbuffrf90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, sum
      integer (kind=8) endaddress

!     endaddress     Last address used
!     i              Counting variable
!     sum            Help parameter to compute a sum
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      sum = 0
      endaddress = 0
      write(irefwr,*) &
         'The following arrays are active in the buffer array'
      do i = 1, iinfor
         if ( infor(i)>0 ) then
            write(irefwr,100) namarr(i), i, infor(i), infor1(1,i), &
                              infor1(2,i)
            sum = sum+infor1(1,i)
            endaddress = max(endaddress,infor(i)+infor1(1,i))
100         format ( 'Array ',a, ' with seq. number ', i5 , &
                     '  starting address ', i10, '  length ', i10, &
                     '  priority ', i4 )
         end if
      end do
      write(irefwr,110) sum, endaddress, nbuffr, ibfree, nbuffr-sum
110   format ( 'Total length used is ', i10/ &
               'last address is ', i10/ &
               'nbuffr = ', i10/ &
               'ibfree = ', i10/ &
               'free space is ', i10 )

      end
