      subroutine prinsl ( ivectr, kmesh, kprob, iref )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 03-04-1999 Replace body by prinslbf
!        version  1.10 date 24-02-1996 Jump in case of error
!        version  1.9  date 15-07-1994 New definition of ivectr(3)
!        version  1.8  date 10-12-1993 Removal of carray
!        version  1.7  date 21-10-1991 Correction more problems
!        version  1.6  date 03-07-1991 Correction type 116
!        version  1.5  date 30-10-1990 New memory management
!        version  1.4  date 17-02-1989 Deletion of superfluous parameters
!        version  1.3  date 29-09-1988 Extension for more problems
!        version  1.2  date 13-09-1988 Negative reference number
!        version  1.1  date 07-07-1988 Common cconst
!
!   copyright (c) 1987-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   print real/complex  sepran array except the large matrix
!   standard format 5d16.9 is used
!   This subroutine is meant to be used in combination with subroutine
!   prinsl.
!   prinsl writes a solution in character format to a file, &
!   readsl reads the solution
!         ivectr(2)=110,115 allowed
! **********************************************************************
!
!                       KEYWORDS
!
!     output
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuf
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kmesh(*),kprob(*),ivectr(*),iref

!     iref    i  Reference number of file to which solution must be written
!                possibilities:  see user manual
!                if iref < 0, the file is written unformatted, otherwise it is
!                             supposed to be formatted
!     ivectr  i  integer array denoting the array to be printed
!     kmesh   i  array containing information of the mesh
!     kprob   i  array containing information of degrees of freedom
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS     Resets old name of previous subroutine of higher level
!     EROPEN     Produces concatenated name of local subroutine
!     PRINSLBF   Actual body of prinsl
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinsl' )
      call prinslbf ( ibuffr, buffer, ivectr, kmesh, kprob, iref )
      call erclos ( 'prinsl' )
      end
