      subroutine readb1
! ======================================================================
!
!        programmer    Niek Praagman
!        version  2.4  date 15-11-2012 Long integers
!        version  2.3  date 24-07-1998 include commons
!        version  2.2  date 12-11-1991 Delete use of ibuffr
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     readb1 reads the first record of file 2
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     backing_storage
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
      include 'SPcommon/cfile2f90'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!     - &
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer work(1000)

!     work           Work array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     INI000         Copy integer array to other integer array possibly itself
!     READFL         Read integer array from a direct access SEPRAN file
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Read first record in work

      call readfl ( 1, 1, 1000, 1, 2, work )

!     --- Store information from work into common cfile2

      call ini000 ( work, ifree2, 1, 1,   1, 1 )
      call ini000 ( work, inew,   2, 1,   1, 1 )
      call ini000 ( work, iwork3, 3, 1, 998, 1 )
      end
