      subroutine msh623( ia, ib, istart, ibuur, nbr )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 14-04-2005 Update code
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Help subroutine to determine the approximate length of array
!     ibuur. First estimate is for each nodalpoint the same value nbr.
! **********************************************************************
!
!                       KEYWORDS
!
!     neighbour
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!     none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ia, ib, istart(*), ibuur(*), nbr

!     ia          i   first node of line to be considered
!     ib          i   second node of line to be considered
!     ibuur       o   neighbour array to be filled
!     istart      i   array with starting addresses of neighbours
!     nbr         i   estimated number of neighbours
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i1, i2, icontr, jstart, jeind

!     i           loopvariable
!     i1          smallest line node
!     i2          largest line node
!     icontr      helpvariable for control
!     jeind       endvalue neighbour loop
!     jstart      startvalue neighbour loop
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    none
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    none
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( ia<ib ) then
           i1 = ia
           i2 = ib
      else
           i1 = ib
           i2 = ia
      end if

!     --- Start and endaddress of node i1

      jstart = nbr * (i1-1) + 1
      jeind  = nbr *  i1

      do i = jstart, jeind
           icontr = ibuur(i)
           if ( icontr==i2 ) return
           if ( icontr==0  ) then
                ibuur(i) = i2
                istart(i1) = istart(i1) + 1
                return
           end if
      end do
      istart(i1) = istart(i1) + 1
      end
