      subroutine msh624( ia, ib, istart, ibuur )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 14-04-2005 Update code
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  0.1  date 26-03-1988
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to fill neighbour array for all nodes
!
! **********************************************************************
!
!                       KEYWORDS
!
!     neighbour
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!     none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ia, ib, istart(*), ibuur(*)

!     ia          i   first node of line to be considered
!     ib          i   second node of line to be considered
!     ibuur       o   neighbour array to be filled
!     istart      i   array with starting addresses of neighbours
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i1, i2, icontr, jstart, jeind

!     i           loopvariable
!     i1          smallest line node
!     i2          largest line node
!     icontr      helpvariable for control
!     jeind       endvalue neighbour loop
!     jstart      startvalue neighbour loop
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    none
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    none
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( ia<ib ) then
           i1 = ia
           i2 = ib
      else
           i1 = ib
           i2 = ia
      end if

!     --- Find start and end address for i1:

      jstart = istart(i1)
      jeind  = istart(i1+1)-1

!     --- Find place for neighbour i2

      do i = jstart, jeind, 2
         icontr = ibuur(i)
         if ( icontr==i2 ) return
         if ( icontr==0  ) then
              ibuur(i) = i2
              return
         end if
      end do
      end
