      subroutine msh625( kbound, nbound, istart, ibuur, inpelm)
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 14-04-2005 Update code
!        version  1.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Subroutine to fill the boundary points and neighbours in ibuur
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
!     neighbour
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!     none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kbound(*), nbound, istart(*), ibuur(*), inpelm

!     ibuur      o    neighbour array
!     inpelm     i    number of nodes in element (6 or 7)
!     istart     i    array with starting addresses
!     kbound     i    array with boundary triangles
!     nbound     i    total number of triangles in kbound
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i1, i2, i3, i4, i5, i6, jh

!     i           loopvariable
!     i1          node
!     i2          node
!     i3          node
!     i4          node
!     i5          node
!     i6          node
!     jh          help for startadress
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MSH627         Place node number in neighbour array
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    none
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Run through all boundary elements and place the appropriate
!         nodes in the neighbour arrays:

      do i = 1 , nbound
         jh = inpelm*(i-1)
         i1 = kbound(jh + 1)
         i2 = kbound(jh + 2)
         i3 = kbound(jh + 3)
         i4 = kbound(jh + 4)
         i5 = kbound(jh + 5)
         i6 = kbound(jh + 6)
         call msh627(i1,i2,i3,istart,ibuur)
         call msh627(i3,i4,i5,istart,ibuur)
         call msh627(i5,i6,i1,istart,ibuur)
      end do
      end
