      subroutine msh627( i1, i2, i3, istart, ibuur )
! ======================================================================
!
!        programmer    niek praagman
!        version  3.0  date 08-09-2010 New release
!        version  2.0  date 15-04-2005 Update code
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!
!   copyright (c) 1988-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Place node number in neighbour array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     node
!     neighbour
!     mesh
!     3d
!     mesh_generation
!     tetrahedron
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer i1, i2, i3, istart(*), ibuur(*)

!     i1             i    node on line to be considered
!     i2             i    node on line to be considered
!     i3             i    node on line to be considered
!     ibuur          o    neighbour array
!     istart         i    array with startaddresses
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ib, jstart, jeind, j

!     ib      "endnode" of line
!     j       loopvariable
!     jeind   endposition for "beginnode"
!     jstart  starting position for "beginnode"
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( i1<i3 ) then
           jstart = istart(i1)
           jeind  = istart(i1+1) - 1
           ib     = i3
      else
           jstart = istart(i3)
           jeind  = istart(i3+1) - 1
           ib     = i1
      end if

      do j = jstart, jeind, 2

!     --- Run through all neighbours

          if ( ibuur(j)==ib ) then

!         --- Neighbournode found: place node and ready

             ibuur(j+1) = i2
             return
          end if
      end do

      end
