      subroutine msh676 ( kelem, jelem, i1, i2, i3, i4 )
! ======================================================================
!
!        programmer    niek praagman
!        version  1.0  date 09-09-2010
!
!   copyright (c) 2010-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Place nodes of element in element array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh_generation
!     tetrahedron
!     3d
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer i1, i2, i3, i4, jelem, kelem(4,*)

!     i1             i    node number of tetrahedron
!     i2             i    node number of tetrahedron
!     i3             i    node number of tetrahedron
!     i4             i    node number of tetrahedron
!     jelem          i    number of element considered
!     kelem         i/o   element array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Trivial
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'msh676' )

!     --- Place nodes on appropriate positions:

      kelem(1,jelem) = i1
      kelem(2,jelem) = i2
      kelem(3,jelem) = i3
      kelem(4,jelem) = i4

      call erclos ( 'msh676' )

      end
