      program sepcompexe
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.2    date 25-10-1997 New call of sepcom
!        version 1.1    date 01-03-1993 New call of sepcom
!        version 1.0    date 16-11-1992
!
!   copyright (c) 1992-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!   Main program for the computational part of SEPRAN
!   A large number of standard problems may have been solved
!   The mesh must have been created by program SEPMESH and written to
!   file meshoutput ( on PC to file meshout.put )
!
!   The output is written to the files sepcomp.inf and sepcomp.out
!
! ********************************************************************
!
!                      KEYWORDS
!
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

! ********************************************************************
!
!                      COMMON BLOCKS
!
      integer, allocatable, dimension (:) :: ibuffr
      integer pbuffr, error
!f77      integer ibuffr, pbuffr
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
!f77      common ibuffr(pbuffr)

!                 Blank common
!    Working storage for all kinds of operations
!    ibuffr  i/o  General SEPRAN buffer array
!  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
! ********************************************************************
!
!             SUBROUTINES CALLED
!
!
!     SEPCOMBF  Actual body of program SEPCOMP
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ======================================================================
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end
