      subroutine er0065 ( usol, igathr, ucompr, n )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 14-04-1989
!
!   copyright (c) 1989-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     General gathering subroutine, i.e. the positions of usol
!     with index igathr(i) (i=1,...,n) are stored in ucompr
!     Complex version
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, igathr(n)
      double complex usol(*), ucompr(n)

!     igathr   i    Integer array containing the indices of the positions
!                   in usol to be copied into ucompr
!     n        i    Number of entries of igathr and hence of ucompr
!     ucompr   o    Array of length n in which the result of the
!                   gather step is stored
!     usol     i    In this array the solution to be gathered is stored
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i        Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!       ucompr  = usol             i = 1(1) n
!             i       igathr(i)
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      do i = 1, n
         ucompr(i) = usol(igathr(i))
      end do
      end
