      subroutine erchkint ( ivar, ivarmin, ivarmax, namevar )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 11-07-2007
!
!   copyright (c) 2007-2007  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if integer is between two values.
!     If not give error message
! **********************************************************************
!
!                       KEYWORDS
!
!     check
!     integer
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ivar, ivarmin, ivarmax
      character (len=*) namevar

!     ivar           i    Integer to be checked
!     ivarmax        i    Minimum value of integer allowed
!     ivarmin        i    Maximum value of integer allowed
!     namevar        i    Name of variable
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRINT         Put integer in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1378   Parameter has wrong value
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'erchkint' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from erchkint'

      end if  ! ( debug )

      if ( ivar<ivarmin .or. ivar>ivarmax ) then

!     --- ivar out of range

         call errchr ( namevar, 1 )
         call errint ( ivar, 1 )
         call errint ( ivarmin, 2 )
         call errint ( ivarmax, 3 )
         call errsub ( 1378, 3, 0, 1 )

      end if  ! ( ivar<ivarmin .or. ivar>ivarmax )

      call erclos ( 'erchkint' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End erchkint'

      end if  ! ( debug )

      end
