      subroutine erclmn ( namenw, timebefore )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 12-08-1999 Extra parameter timebefore
!        version  1.4  date 19-01-1999 include commons
!        version  1.3  date 26-12-1994 New commons cmessc and cmessg
!
!   copyright (c) 1990-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   subroutine ERCLMN does the final closing of a main SEPRAN subroutine
!   It is supposed that the subroutine has been opened with EROPEN
!   and that ERCLOS has not been called
!   ERCLMN performs the following tasks:
!   call the timing subroutine depending on the parameter ITIME
!   decrease all priorities of the arrays in IBUFFR
!   call ERCLOS, i.e. release the name of the main subroutine from name
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character *(*) namenw
      double precision :: timebefore(2)

!     namenw        i   Name of calling subroutine
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     INSTOP         SEPRAN stop subroutine
!     PRINTTIME      Print the CPU time at end of subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( itime.eq.1 ) call printtime ( namenw, timebefore )
      call erclos ( namenw )
      if ( ierror/=0 ) call instop
      end
