      subroutine ermarksurnod ( nodes, nnodes, marknodes, npoint )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  1.0  date 23-12-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array marknodes for all nodes in array nodes
!
! **********************************************************************
!
!                       KEYWORDS
!
!     node
!     curve
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nnodes, nodes(nnodes), npoint, marknodes(npoint)

!     marknodes      o    Array of size npoint that marks all nodes that
!                         have been stored in nodes
!                         marknodes(node) = 0: node has not been moved
!                         marknodes(node) = 1: node has been moved
!     nnodes         i    Number of nodes
!     nodes          i    Contains the node numbers
!     npoint         i    Number of nodal points
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'ermarksurnod' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from ermarksurnod'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      marknodes = 0
      marknodes(nodes(1:nnodes)) = 1

      nnodes = 0
      do i = 1, npoint

         if ( marknodes(i)>0 ) then

!        --- Node found

            nnodes = nnodes+1
            marknodes(i) = nnodes

         end if  ! ( marknodes(i)>0 )

      end do  ! i = 1, npoint

1000  call erclos ( 'ermarksurnod' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End ermarksurnod'

      end if  ! ( debug )

      end
