      subroutine errkeywexcl ( code, ncodmx, i1, i2 )
! ====================================================================== &
!
!        programmer    Guus Segal
!        version  2.0  date 13-11-2010 New subroutine
!        version  1.0  date 17-03-2004
!
!   copyright (c) 2004-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print error message concerning two keywords that are mutually exclusive
!
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ncodmx(*), i1, i2
      character (len=*) code(*)

!     code           i    List of  keywords
!     i1             i    Index of first keyword
!     i2             i    Index of second keyword
!     ncodmx         i    Number of characters per keyword
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1588   Two keywords are mutually exclusive
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      call eropen ( 'errkeywexcl' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from errkeywexcl'

      end if
      call errchr ( code(i1)(1:ncodmx(i1)), 1 )
      call errchr ( code(i2)(1:ncodmx(i2)), 2 )
      call errsub ( 1588, 0, 0, 2 )

      call erclos ( 'errkeywexcl' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End errkeywexcl'

      end if

      end
