      subroutine errwar ( mesnum, nints, nreal, nchar )
! ====================================================================== &
!
!        Programmer     S.Jansen / H.Hanzon
!        version 2.5    date 19-01-1999 include commons
!        version 2.4    date 26-12-1994 Delete commons cmessc and cmessg
!        version 2.3    date 02-02-1994 New comments
!        version 2.2    date 23-06-1992 New common cmessg
!        Version 2.1    date 12-02-1992 Introduction of mxwarn
!        Version 2.0    date 04-02-1990 Adapted to SEPRAN by Guus Segal
!        Version 1.0    date 01-01-1990
!
!     Copyright (c) 1990-1999 "Ingenieursbureau SEPRA"
!     Permission to copy or distribute this software or documentation
!     in hard copy or soft copy granted only by written license
!     obtained from "Ingenieursbureau SEPRA"
!     All rights reserved. No part of this publication may be
!     reproduced, stored in a retrieval system (e.g., in memory, disk, &
!     or core) or be transmitted by any means, electronic, mechanical, &
!     photocopy, recording, or otherwise, without written Permission
!     from the publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     ERRWAR prints a warning message.
!
! **********************************************************************
!
!                       KEYWORDS
!
!     error_manipulation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer mesnum, nints, nreal, nchar

!     mesnum   i    Error number.
!     nchar    i    Number of character strings.
!     nints    i    Number of integers.
!     nreal    i    Number of reals.
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!     None.
! **********************************************************************
!
!                       I/O
!
!     ERRWAR writes to the default output device.
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERMESS   Prints a message, stored in the Error Text File.
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     Number of warnings = 10 , subsequent warnings suppressed.
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Increment NWARN (number of warnings);
!     If (number of warnings <= 10) then
!        Call ERMESS;
!        If (number of warnings = 10) then
!           Print message;
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ====================================================================== &
!
      nwarn = nwarn + 1

      if ( nwarn.le.mxwarn ) then

!     --- Print the message, stored in the Error Text File.

         call ermess ( mesnum, nints, nreal, nchar, 'WARNING' )
         iwarn = mesnum

!        --- Print a warning if the number of warnings = 10 .

         if ( nwarn.ge.mxwarn ) then
            write (irefwr,'(//1x,78(''*'')/)')
            write (irefwr,100) mxwarn
100         format (' WARNING : Number of warnings = ', i4,'; '/ &
                    ' Subsequent warnings will be suppressed ')
            write (irefwr,'(/1x,78(''*'')//)')
         end if

      end if

      end
