      subroutine inicopint2doub ( usol, isol, nusol )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 18-10-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy integer array to double precision array
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol, isol(*)
      double precision usol(*)

!     isol           i    Integer solution array that must be copied to
!                         double
!     nusol          i    Total number of unknowns
!     usol           o    Double precision solution vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inicopint2doub' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inicopint2doub'

      end if
      if ( ierror/=0 ) go to 1000
      do i = 1, nusol
         usol(i) = isol(i)
      end do  ! i = 1, nusol

1000  call erclos ( 'inicopint2doub' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inicopint2doub'

      end if

      end
