      subroutine inielgrpprob ( numelgrps, elgrps )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 10-11-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Find all active element groups for problem iprob
!     This means all element groups with type numbers>0
! **********************************************************************
!
!                       KEYWORDS
!
!     element_group
!     type_number
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulekprob
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numelgrps, elgrps(*)

!     elgrps         o    contains element groups corresponding to problem
!     numelgrps      o    number of element groups stored in elgrps
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer itype, i

!     i              Counting variable
!     itype          Type number of element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inielgrpprob' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inielgrpprob'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      numelgrps = 0

      do i = 1, nelgrp
         itype = kprobc(i)
         if ( itype>0 ) then

!        --- type number>0 found, return

            numelgrps = numelgrps+1
            elgrps(numelgrps) = i

         end if  ! ( itype>0 )

      end do  ! i = 1, nelgrp

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inielgrpprob'

      end if  ! ( debug )
      call erclos ( 'inielgrpprob' )

      end
