      subroutine inimapint ( intarrglob, intarrloc, irenum, lenloc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 15-02-2005 Adaptation of text
!        version  1.0  date 05-06-2000
!
!   copyright (c) 2000-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Map integer array corresponding to global mesh into integer array
!    corresponding to local mesh using an array with
!    global node numbers corresponding to the local mesh
!    This subroutine has much in common with inimapint1 only the contents
!    of irenum are dfferent
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     global
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer intarrglob(*), intarrloc(*), lenloc, irenum(*)

!     intarrglob     i    Global integer array
!     intarrloc      o    Local integer array
!     irenum         i    Contain the global node numbers corresponding to the
!                         local ones
!     lenloc         i    Length of intarrloc
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     intarrloc(i) := intarrglob(irenum(i))
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, lenloc
         if ( irenum(i)>0 ) then
            intarrloc(i) = intarrglob(irenum(i))
         else
            intarrloc(i) = 0
         end if
      end do
      end
