      subroutine inimapintarr ( kmeshc, irenum, lenkmeshc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 23-06-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Map array kmeshc onto new numbering using numbering stored in irenum
!     Subroutine is very similar to inimapint1
! **********************************************************************
!
!                       KEYWORDS
!
!     map
!     global
!     reordering
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer lenkmeshc, kmeshc(lenkmeshc), irenum(*)

!     irenum         i    contains the new numbering
!     kmeshc        i/o   Array to be renumbered
!     lenkmeshc      i    length of array kmeshc
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inimapintarr' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inimapintarr'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      do i = 1, lenkmeshc
         kmeshc(i) = irenum(kmeshc(i))
      end do  ! i = 1, lenkmeshc

1000  call erclos ( 'inimapintarr' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inimapintarr'

      end if  ! ( debug )

      end
