      function ininumelsurfs ( kmeshn, nsurfs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 26-01-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Return with number of elements in all surfaces
!
! **********************************************************************
!
!                       KEYWORDS
!
!     surface
!     length
!     element
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ininumelsurfs, nsurfs, kmeshn(nsurfs,2)

!     ininumelsurfs  o    Number of elements in all surfaces
!     kmeshn         i    KMESH part n
!                         (i,1) gives number of nodes per element in surface i
!                         (i,2) gives number of elements in surface i
!     nsurfs         i    number of surfaces
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'ininumelsurfs' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from ininumelsurfs'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      ininumelsurfs = 0
      do i =1, nsurfs
         ininumelsurfs = ininumelsurfs+kmeshn(i,2)
      end do  ! i =1, nsurfs

1000  call erclos ( 'ininumelsurfs' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End ininumelsurfs'

      end if  ! ( debug )

      end
