      subroutine iniputin ( number, wrtrecord, ilast )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.0    date   07-03-1997
!
!
!   copyright (c) 1997-1997 "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Put integer number in wrtrecord from position ilast
!   Raise ilast
! **********************************************************************
!
!                       KEYWORDS
!
!    write
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ilast, number
      character *1000 wrtrecord

!     ilast     i/o   Last position used in wrtrecord
!     number     i    Integer number
!     wrtrecord i/o   Contains record to be written
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer n

!     n          |number|
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( number.lt.0 ) then
         wrtrecord(ilast+1:ilast+1) = '-'
         ilast = ilast+1
      end if
      n = abs(number)
      if ( n.lt.10 ) then
         write(wrtrecord(ilast+1:ilast+1),100) n
100      format(i1)
         ilast = ilast+1
      else if ( n.lt.100 ) then
         write(wrtrecord(ilast+1:ilast+2),110) n
110      format(i2)
         ilast = ilast+2
      else if ( n.lt.1000 ) then
         write(wrtrecord(ilast+1:ilast+3),120) n
120      format(i3)
         ilast = ilast+3
      else if ( n.lt.10000 ) then
         write(wrtrecord(ilast+1:ilast+4),130) n
130      format(i4)
         ilast = ilast+4
      else if ( n.lt.100000 ) then
         write(wrtrecord(ilast+1:ilast+5),140) n
140      format(i5)
         ilast = ilast+5
      else if ( n.lt.1000000 ) then
         write(wrtrecord(ilast+1:ilast+6),150) n
150      format(i6)
         ilast = ilast+6
      else
         write(wrtrecord(ilast+1:ilast+7),160) n
160      format(i7)
         ilast = ilast+7
      end if

      end
