      subroutine priinput ( iinput, rinput )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Print contents of arrays iinput and rinput
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*)
      double precision rinput(*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iinp, irinp, i, iplot, nelgrp
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write(irefwr,100) rinput(1), rinput(2)
100   format(' plotfm = ', f6.2, '   yfact =  ', f6.2 )
      call priinpoints ( iinput, rinput, iinp, irinp )
      call priincurves ( iinput, rinput, iinp, irinp )
      if ( iinput(4).gt.0 ) &
         call priinsurfaces ( iinput, rinput, iinp, irinp )
      if ( iinput(5).gt.0 ) &
         call priinvolumes ( iinput, iinp )
      call priinelgrps ( iinput, iinp, nelgrp )
      iplot = iinput(9)
      if ( iplot.eq.0 ) then
         write(irefwr,200) iplot
200      format(' iplot = ',i2 )
      else if ( iplot.gt.0 ) then
         write(irefwr,110) iplot, mod((iplot-1),10), (iplot-1)/10
110      format(' iplot = ',i2, '  jmark = ', i2,  '  numsub = ', i3 )
      else
         write(irefwr,120) (iinput(-iplot+5+i),i=0,9)
120      format(' Plot information ', 10i6 )
      end if
      write(irefwr,130) iinput(10)
130   format(' irenumber ', i3 )
      if ( iinput(12).ne.0 ) then
         call priinconnect ( iinput, iinp, nelgrp )
      end if
      if ( iinput(13).ne.0 ) then
         iinp = iinput(13)-5
         write(irefwr,140) (iinput(iinp+i),i=0,3)
140      format('maximum number of points etc ', 4i8)
      end if
      if ( iinput(14).ne.0 ) then
         iinp = iinput(14)-5
         write(irefwr,150) (iinput(iinp+i),i=0,4)
150      format('information of intermediate points ', 5i6)
      end if
      if ( iinput(15).ne.0 ) then
         call priinextra ( iinput, rinput, iinp, irinp, nelgrp )
      end if
      end
