      subroutine prinin1nonzero ( iarray, n, m, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 23-11-2005
!
!   copyright (c) 2005-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Auxiliary help subroutine only meant for debugging purposes
!     The task of prinin is to print an integer array in the
!       form   seq. number:  m numbers etc.
!     Only rows with at least one non-zero is printed
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(m,n)
      character (len=*) text

!    iarray   i  integer array to be printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  Number of lines of the integer array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j
      logical nonzero

!     i              Counting variable
!     j              Counting variable
!     nonzero        if true the i-th row contains non-zero elements
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinin1nonzero' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinin1nonzero'

      end if
      if ( ierror/=0 ) go to 1000
      write ( irefwr, 200 ) text
200   format(1x,a)
      do i = 1, n
         nonzero = .false.
         do j = 1, m
            if ( iarray(j,i)/=0 ) then
               nonzero = .true.
               go to 210
            end if  ! ( iarray(j,i)/=0 )
         end do  ! j = 1, m
210      if ( nonzero ) then
            write(irefwr,220) i,(iarray(j,i),j=1,min(m,10))
220         format(i7,':',10i7)
            if ( m>10 ) &
               write(irefwr,230) (iarray(j,i),j=11,m)
230            format(8x,10i7)
         end if  ! ( nonzero )
      end do

1000  call erclos ( 'prinin1nonzero' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinin1nonzero'

      end if

      end
