      subroutine prinin4 ( iarray, n1, n2, n3, n4, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-01-1998
!
!   copyright (c) 1998-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Auxiliary help subroutine only meant for debugging purposes
!   The task of prinin4 is to print an integer array in the
!   form   seq. numbers:  n4 numbers etc.
!   It is meant for 4-dimensional integer arrays
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n1, n2, n3, n4, iarray(n1,n2,n3,n4)
      character *(*) text

!    iarray   i  integer array to be printed
!    n1       i  Number of entries of the first component of the integer array
!    n2       i  Number of entries of the second component of the integer array
!    n3       i  Number of entries of the third component of the integer array
!    n4       i  Number of entries of the fourth component of the integer array
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, k, l

!    i          General loop variable
!    j          General loop variable
!    k          General loop variable
!    l          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, n1
         do j = 1, n2
            do k = 1, n3
               write(irefwr,110) i,j,k,(iarray(i,j,k,l),l=1,min(n4,10))
110            format(3i4,':',10i6)
               if ( n4.gt.10 ) &
                  write(irefwr,120) (iarray(i,j,k,l),l=11,n4)
120            format(13x,10i6)
            end do
         end do
      end do

      end
