      subroutine prininf2 ( iarray, m, n, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 20-06-2013 New definition file ref numbers
!        version  1.0  date 16-03-1998
!
!   copyright (c) 1998-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Auxiliary help subroutine only meant for debugging purposes
!   The task of prinin2 is to print an integer array in the
!   form   seq. number:  n numbers etc.
!   The array is written to the file with name text
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, iarray(m,n)
      character *(*) text

!    iarray   i  integer array to be printed
!    m        i  Number of entries of the integer array to be printed per line
!    n        i  Number of lines of the integer array to be printed
!    text     i  Text to be printed in the heading, also name of file
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, irefwr

!    i          General loop variable
!    irefwr     Unit number to use for "normal" writes
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inisetnewref

!     INIRMREF       Remove entry iref from the set of reference numbers used
!     INISETNEWREF   Create new reference number
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      irefwr = inisetnewref()
      open(unit=irefwr,file=text)
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, m
         write(irefwr,110) i,(iarray(i,j),j=1,n)
110      format(i4,':',10i7)
      end do
      close(unit=irefwr)
      call inirmref ( irefwr )

      end
