      subroutine prinrl1_ind ( array, m, n, indrow, indcol, nrow, ncol, &
                               text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-05-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxilary help subroutine only meant for debugging purposes
!    The task of prinrl1_ind is to print a real array in the form
!    seq. number:  m numbers etc.
!    The array is stored as an 1D array, which means that as two-dimensional
!    array the transpose is considered
!    ONly the rows and columns stored in indrow and indcol are printed
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, m, nrow, ncol, indrow(*), indcol(*)
      double precision array(m,n)
      character *(*) text

!     array          i    double precision array to be printed
!                         Matrix stored as a transposed 2d array
!     indcol         i    Array containing the column numbers to be printed
!     indrow         i    Array containing the row numbers to be printed
!     m              i    Number of columns of the matrix
!     n              i    Number of rows of the matrix
!     ncol           i    Number of columns to be printed
!     nrow           i    Number of rows to be printed
!     text           i    Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!    i          General loop variable
!    j          General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, nrow
         write(irefwr,110) i,(array(indcol(j),indrow(i)),j=1,ncol)
110      format(i4,':',ss,50(1pe12.3e2))
      end do
      end
