      subroutine prinrl3 ( array, n1, n2, n3, text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 17-01-1998
!
!   copyright (c) 1998-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Auxilary help subroutine only meant for debugging purposes
!    The task of prinrl1 is to print a real array in the form
!    form   seq. number:  m numbers etc.
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n1,n2,n3
      double precision array(n1,n2,n3)
      character *(*) text

!    array    i  double precision array to be printed
!    n1       i  Number of entries of the array to be printed per line
!    n2       i  Number of lines of the array to be printed
!    n3       i  Number of lines of the array to be printed
!    text     i  Text to be printed in the heading
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, k

!     i          General loop variable
!     j          General loop variable
!     k          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!    - &
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 ) text
100   format(1x,a)
      do i = 1, n1
         do j = 1, n2
            write(irefwr,110) i,j,(array(i,j,k),k=1,min(6,n3))
110         format(2i4,':',ss,6(1pe11.3e2))
            if ( n3.gt.6 ) write(irefwr,120) (array(i,j,k),k=7,n3)
120         format((9x,ss,6(1pe11.3e2)))
         end do
      end do
      end
