      function prsetvar ( iseq, rinsep )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 25-01-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill value of variable
!     This may be constant or a scalar
! **********************************************************************
!
!                       KEYWORDS
!
!     variable
!     constant
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecons
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iseq
      double precision prsetvar, rinsep(*)

!     iseq           i    If positive: sequence number in array rinsep where
!                         the constant is stored
!                         If negative the value is stored in scalars(-iseq)
!     prsetvar       o    Computed value
!     rinsep         i    Array containing the real input for this subroutine
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsetvar' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsetvar'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( iseq<0 ) then
         prsetvar = scalars(-iseq)
      else
         prsetvar = rinsep(iseq)
      end if  ! ( iseqphibar<0 )

1000  call erclos ( 'prsetvar' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsetvar'

      end if  ! ( debug )

      end
