      subroutine prts00 ( icurv1, icurv2, ncurvs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 08-10-1999 Allow variables
!        version  1.0  date 09-12-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Check if the curve numbers icurv1 and icurv2 are in the range
!   1 <= icurv <= ncurvs and also icurv2>= icurv1
! **********************************************************************
!
!                       KEYWORDS
!
!     curve
!     test
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer icurv1, icurv2, ncurvs

!     icurv1     i    First curve number
!     icurv2     i    Last curve number
!     ncurvs     i    Number of curves in mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRINT  Put integer in error message
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     151   first curve number has incorrect value
!     152   last curve number has incorrect value
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( icurv1.le.0 .or. &
           icurv1.gt.ncurvs .and. icurv1.lt.100000000 ) then
         call eropen ( 'prts00' )
         call errint ( icurv1, 1 )
         call errint ( ncurvs, 2 )
         call errsub ( 151, 2, 0, 0 )
         call erclos ( 'prts00' )
      end if
      if ( icurv2.lt.icurv1 .or. &
           icurv2.gt.ncurvs .and. icurv2.lt.100000000 ) then
         call eropen ( 'prts00' )
         call errint ( icurv2, 1 )
         call errint ( icurv1, 2 )
         call errint ( ncurvs, 3 )
         call errsub ( 152, 3, 0, 0 )
         call erclos ( 'prts00' )
      end if
      end
