      subroutine prts01 ( isurf1, isurf2, nsurfs )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 09-12-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Check if the surface numbers isurf1 and isurf2 are in the range
!   1 <= isurf <= nsurfs and also isurf2>= isurf1
! **********************************************************************
!
!                       KEYWORDS
!
!     surface
!     test
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer isurf1, isurf2, nsurfs

!     isurf1     i    First surface number
!     isurf2     i    Last surface number
!     nsurfs     i    Number of surfaces in mesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRINT  Put integer in error message
!     ERRSUB  Error messages
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!     155   first surface number has incorrect value
!     156   last surface number has incorrect value
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( isurf1.le.0 .or. isurf1.gt.nsurfs ) then
         call eropen ( 'prts01' )
         call errint ( isurf1, 1 )
         call errint ( nsurfs, 2 )
         call errsub ( 155, 2, 0, 0 )
         call erclos ( 'prts01' )
      end if
      if ( isurf2.lt.isurf1 .or. isurf1.gt.nsurfs ) then
         call eropen ( 'prts01' )
         call errint ( isurf2, 1 )
         call errint ( isurf1, 2 )
         call errint ( nsurfs, 3 )
         call errsub ( 156, 3, 0, 0 )
         call erclos ( 'prts01' )
      end if
      end
