      subroutine readstring ( irecord, endcolum )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 23-01-2006 Debug information
!        version  1.0  date 18-12-2002
!
!   copyright (c) 2002-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Read all letters following a letter, where underscore is also
!     characterized as letter
!     Information is stored in common cseprd and icolum is raised
! **********************************************************************
!
!                       KEYWORDS
!
!     read
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmoduleread
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer irecord, endcolum

!     endcolum       i    Last column with information in record
!     irecord        i    Record number in cardimage
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      logical asklet

!     ASKLET         Check if character is a capital letter
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Raise nitems
!     Fill itypeitems and firstcolitems
!     While ( next character is not a letter ) do
!        raise icolum
!     Fill lastcolitems
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'readstring' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from readstring'
         write(irefwr,100) 'nitems, icolum, irecord', &
                            nitems, icolum, irecord
100      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000

!     --- Raise nitems

      nitems = nitems+1

!     --- Fill itypeitems and firstcolitems

      typeitems(nitems) = 3
      firstcolitems(nitems) = icolum+maxcolum*(irecord-1)
      icolum = icolum+1

!     --- While ( next character is not a letter ) do

      do while ( icolum<=endcolum .and. asklet(cards(icolum:icolum)) )

!     --- raise icolum

         icolum = icolum+1

      end do

!     --- Fill lastcolitems

      lastcolitems(nitems) = icolum-1+maxcolum*(irecord-1)

1000  call erclos ( 'readstring' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,100) 'nitems, icolum, irecord', &
                            nitems, icolum, irecord
         call prinin ( typeitems, nitems, 'typeitems' )
         call prinin ( firstcolitems, nitems, 'firstcolitems' )
         call prinin ( lastcolitems, nitems, 'lastcolitems' )
         write(irefwr,*) 'End readstring'

      end if

      end
