      subroutine sepfillmodmesh
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-09-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill parameters in sepmodulemesh with start values
!
! **********************************************************************
!
!                       KEYWORDS
!
!     default
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemesh
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepfillmodmesh' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepfillmodmesh'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iplot        = 0
      jrenum       = 0
      numsub       = 0
      iinp1        = 0
      iinp2        = 0
      iinp3        = 0
      iinp4        = 0
      iinp5        = 0
      iinp6        = 0
      iinp7        = 0
      iinp8        = 0
      iinp9        = 0
      iinp10       = 0
      iinp11       = 0
      iinp12       = 0
      iinp13       = 0
      iinp14       = 0
      iinp15       = 0
      irnp1        = 0
      irnp2        = 0
      irnp3        = 0
      irnp4        = 0
      irnp5        = 0
      ichanmesh    = 0
      iwritfaces   = 0
      itypesurf    = 0
      icentre      = 0
      nlines       = 0
      nsurel       = 0
      nvolel       = 0
      jcoars       = 0
      nsurvl       = 0
      isurf        = 0
      nbndpt       = 0
      inpelm       = 0
      nboune       = 0
      mtrian       = 0
      nmes         = 0
      mmes         = 0
      lmes         = 0
      nboun        = 0
      isurnr       = 0
      inodp        = 0
      iselem       = 0
      ivolnr       = 0
      ivol         = 0
      nx           = 0
      ny           = 0
      nz           = 0
      nc           = 0
      mtetra       = 0
      nbcrd        = 0
      inplmt       = 0
      npomxs       = 0
      nelmax       = 0
      icirc        = 0
      linear       = 0
      ishape       = 0
      leniwk       = 0
      lenwrk       = 0
      lentau       = 0
      lencrv       = 0
      maxpnt       = 0
      maxcrv       = 0
      maxsrf       = 0
      maxvlm       = 0
      jboun        = 0
      jnodp        = 0
      jcurvp       = 0
      jcurvn       = 0
      juserp       = 0
      lnkbnd       = 0
      lnbcor       = 0
      lnrenu       = 0
      lnwrk1       = 0
      lnwrk2       = 0
      nbnmax       = 0
      npomax       = 0
      i3d          = 0
      notopol      = 0
      irefin       = 0
      itrans       = 0
      iblend       = 0
      icurvt       = 0
      icurnr       = 0
      ismoot       = 0
      icheck       = 0
      irenpl       = 0
      nomesh       = 0
      iorien       = 0
      ifinvl       = 0
      ispecial     = 0
      maxlencur    = 0
      maxlensur    = 0
      maxlenvol    = 0
      nintprop     = 0
      nrealprop    = 0
      maxloops     = 0
      mapping3d    = 0
      iscale       = 0
      itype_scale  = 0
      iparallel    = 0
      nelgrpdum    = 0
      nlayers      = 0
      ncoar        = 0
      ncoarstart   = 0
      nnodes       = 0
      ntria        = 0
      nextracrvs   = 0
      ncurvstart   = 0
      lenextracrvs = 0
      nextrasrfs   = 0
      nsurfstart   = 0
      lenextraboun = 0
      shape_cur    = 1
      shape_sur    = 3
      shape_vol    = 11

      icountmesh   = 1

      alloccurv = .false.

      nullify ( elemskip )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepfillmodmesh'

      end if  ! ( debug )
      call erclos ( 'sepfillmodmesh' )

      end subroutine sepfillmodmesh
