      subroutine sepranstart
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     initialize arrays in sepmodulemain
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemnsub
      use sepmodulemain
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPMAKEREL     Make relation between local and global arrays
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepranstart' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepranstart'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kmesh2d = 0
      kprob2d = 0
      intmat2d = 0
      isolut3d = 0
      kprob2d(:) = lenprob
      isolut3d = 0
      irhsd = 0
      massmt = 0
      stiffm = 0
      mattot = 0
      iinmap = 0
      meshnr = 1

      call sepmakerel

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepranstart'

      end if  ! ( debug )
      call erclos ( 'sepranstart' )

      end subroutine sepranstart
