      subroutine seprmmatstr2
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.1  date 11-12-2017 New storage of intmat
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.0  date 05-01-2016
!
!   copyright (c) 2016-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     nullify arrays in module sepmodulematstr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_structure
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmoduleproj
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seprmmatstr2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from seprmmatstr2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( allocated(kprobhglobinv) ) deallocate(kprobhglobinv)
      if ( associated(Pre_ii) ) nullify(Pre_ii)

      if ( associated(projcols) ) deallocate(projcols)
      if ( associated(projrows) ) deallocate(projrows)
      if ( associated(projU) ) deallocate(projU)
      if ( associated(projAu) ) deallocate(projAu)
      if ( associated(projE) ) then
         deallocate(projE)
         nullify(projE2d)
      end if  ! ( associated(projE) )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End seprmmatstr2'

      end if  ! ( debug )
      call erclos ( 'seprmmatstr2' )

      end subroutine seprmmatstr2
