      subroutine erfilldefcof4 ( namecof )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 13-12-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if keyword is found in list of constants or strings
!     If so check if the value is in the list of options
!     If so fill value in iincof
! **********************************************************************
!
!                       KEYWORDS
!
!     coefficient
!     default
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecoeffs
      use sepmodulecomio
      use sepmodulecons
      use sepmoduletexts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character (len=* ) namecof

!     namecof        i    Name of Coefficient
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: iseq

!                    they are not
!     iseq           Sequence number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer sepgetstring

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     SEPGETSTRING   Get the sequence number corresponding to the string in
!                    the block constants with name stringname
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'erfilldefcof4' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from erfilldefcof4'
         write(irefwr,*) 'namecof ', namecof
         write(irefwr,1) 'icoef, iposin', icoef, iposin
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iseq = sepgetstring ( namecof, chstrings, numstrings )

      if ( debug ) write(irefwr,1) 'iseq', iseq

      if ( iseq>0 ) then

!     --- Name found, store sequence number

         iincof(iposin+1) = 12       ! Type input = string
         iincof(iposin+2) = icoef    ! Sequence number coefficient
         iincof(iposin+3) = iseq
         iposin = iposin+3

      end if  ! ( iseq>0 )

1000  if ( debug ) then

!     --- Debug information

         call prinin ( iincof, iposin, 'iincof' )
         write(irefwr,*) 'End erfilldefcof4'

      end if  ! ( debug )
      call erclos ( 'erfilldefcof4' )

      end subroutine erfilldefcof4
