      subroutine prcopy2d ( npoint, vector1, ndim1, vector2, ndim2 )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-12-2000
!
!   copyright (c) 2000-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Copy two-dimensional array of size ndim1 x npoint into two-dimensional
!    array of size ndim2 x npoint.
!    The  smallest value of ndim1 and ndim2 is used for the copying
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoint, ndim1, ndim2
      double precision vector1(ndim1,npoint), vector2(ndim2,npoint)

!     ndim1          i    First dimension of vector to be copied
!     ndim2          i    First dimension of vector to which must be copied
!     npoint         i    Number of nodal points in vectors
!     vector1        i    Vector to be copied
!     vector2        o    Result vector
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do j = 1, min(ndim1,ndim2)
         do i = 1, npoint
            vector2(j,i) = vector1(j,i)
         end do
      end do
      end
