      subroutine prmakesignvec1 ( uin, uout, n )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-05-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Create new vector V by taking the sign of the input vector
!
! **********************************************************************
!
!                       KEYWORDS
!
!     sign
!     vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision uout(n), uin(n)

!     n              i    number of elements in sign vector
!     uin            i    sign vector
!     uout           o    Output vector (sign of input vector)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prmakesignvec1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prmakesignvec1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      do i = 1, n
         if ( abs(uin(i))> 0d0 ) then
            uout(i) = sign ( 1d0, uin(i) )
         else
            uout(i) = 0d0
         end if  ! ( abs(uin(i))> 0d0 ) then
      end do  ! i = 1, n

1000  call erclos ( 'prmakesignvec1' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prmakesignvec1'

      end if  ! ( debug )

      end
