      subroutine prtimehisscal1 ( iscal )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-03-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill time and value for scalar iscal into rvectim
!
! **********************************************************************
!
!                       KEYWORDS
!
!     time_dependent
!     time_history
!     scalar
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletimhis
      use sepmoduletime
      use sepmodulecomio
      use sepmodulecons
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: iscal

!     iscal          i    Sequence number of scalar
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prtimehisscal1' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prtimehisscal1'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      rvectim(1,istephiscal) = t
      rvectim(2,istephiscal) = scalars(iscal)

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prtimehisscal1'

      end if  ! ( debug )
      call erclos ( 'prtimehisscal1' )

      end subroutine prtimehisscal1
