      subroutine read02code ( ifirst, codegen, nscodegen, ncodegen, num )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-08-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy num positions of codegen into code/ncode/ncodmx
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     read
!     coefficient
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleread1
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer, intent(in) :: ifirst, num, nscodegen(num), ncodegen(num)
      character (len=*), intent(in) :: codegen(num)

!     codegen        i    Table with keywords to be copied
!     ifirst         i    First entry in code/ncode/ncodmx to be filled
!     ncodegen       i    Table containing the maximal number of characters in
!                         the keyword table codegen
!     nscodegen      i    Table containing the number of significant characters
!                         in the keyword table codegen
!     num            i    Number of items to be copied
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'read02code' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from read02code'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      code(ifirst:ifirst+num-1) = codegen
      ncode(ifirst:ifirst+num-1) = nscodegen
      ncodmx(ifirst:ifirst+num-1) = ncodegen

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End read02code'

      end if  ! ( debug )
      call erclos ( 'read02code' )

      end subroutine read02code
