      subroutine read073 ( kcode )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 30-08-2006 New definition of cpost5
!        version  1.0  date 12-06-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Interpret keywords following WRITE_MESH for program seppost
!
! **********************************************************************
!
!                       KEYWORDS
!
!     read
!     post_processing
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepost
      use sepmoduleread1
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kcode

!    kcode   o   Return code for subroutine READ05
!                Possible values:
!                4:  Keyword WRITE_MESH
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPREADSETKEYW Interpret a record containing keywords followed by data
! **********************************************************************
!
!                       I/O
!
!     WRITE_MESH, file = 'filename', Vi
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- INPUT / OUTPUT PARAMETERS

      call eropen ( 'read073' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from read073'
         write(irefwr,1) 'ityprd', ityprd
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kcode = 4  !  write_mesh

      nncode = 2
      code(1) = 'FILE'
      code(2) = 'V'
      ncode(1) = 4
      ncode(2) = 1
      ncodmx(1:2) = ncode(1:2)
      itype(1) = 6
      itype(2) = 0
      tabmin(1) = 0d0
      tabmin(2) = 1d0
      tabmax(1) = 0d0
      tabmax(2) = 1d2
      table(1:nncode) = -1d0
      nmain = 0
      call sepreadsetkeyw

      if ( table(1)>0d0 ) then

!     --- table(1)>0 found, hence filename

         iinputpst(100) = 1  ! use filename
         nchar = nint(tabmax(1))
         textid(1) = strout(nint(table(1)))(1:nchar)

      end if  ! ( table(1)>0d0 )

      if ( table(2)>0d0 ) then

!     --- table(2)>0 found, hence Vi

         iinputpst(2) = nint(table(2))+1

      end if  ! ( table(1)>0d0 )
1000  if ( debug ) then

!     --- Debug information

         write(irefwr,1) 'ityprd', ityprd
         write(irefwr,*) 'End read073'

      end if  ! ( debug )
      call erclos ( 'read073' )

      end subroutine read073
