      subroutine sepcopkmeshbuf
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-08-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy new arrays into ibuffr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     mesh
!     symmetric
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulesymm
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     ERDEALLOC      Produce error message in case deallocate went wrong
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepcopkmeshbuf' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepcopkmeshbuf'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Allocate new array coor

      allocate ( km(iseqkm)%coor(2,npointsymm) )
      km(iseqkm)%kmesh(23) = 2*npointsymm
      km(iseqkm)%coor = coortmp


!     --- Allocate new array kmeshc

      length =  size ( kmeshc )
      allocate ( km(iseqkm)%kmeshc(2*length) )
      km(iseqkm)%kmesh(17) = 2*length
      km(iseqkm)%kmeshc = kmeshctmp

!     --- Allocate new array kmeshm

      length = size(kmeshmtmp)
      allocate ( km(iseqkm)%kmeshm(length) )
      km(iseqkm)%kmesh(27) = length
      km(iseqkm)%kmeshm = kmeshmtmp

      deallocate ( coortmp, kmeshctmp, kmeshmtmp, stat = error )
      if ( error/=0 ) call erdealloc ( error, 'coortmp' )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepcopkmeshbuf'

      end if  ! ( debug )
      call erclos ( 'sepcopkmeshbuf' )

      end subroutine sepcopkmeshbuf
