      subroutine checkmesh
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 25-11-2012 Long integers
!        version  1.2  date 24-09-2003 New call to checkmesh1
!        version  1.1  date 25-01-2002 New call to checkmesh1
!
!   copyright (c) 2001-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check mesh by computing the volumes of all the elements
!
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     check
!     area
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer inpelm, ikelmc, ielgrp

!     ielgrp         element group number
!     ikelmc         position in kmesh part c
!     inpelm         number of points per element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     CHKSBM         Check volume of submesh
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'checkmesh' )
      ikelmc = 1
      do ielgrp = 1, nelgrp
         inpelm = Topgrp(ielgrp)%inpelm
         inelem = Topgrp(ielgrp)%inelem
         ishape = kmeshf(ielgrp)
         call  chksbm ( kmeshc(ikelmc), inelem, ishape, inpelm, ielgrp, &
                        coor, ndim, 2, npoint )
         ikelmc = ikelmc+inelem*inpelm
      end do
      call erclos ( 'checkmesh' )
      end subroutine checkmesh
