      subroutine msh074 ( kmeshz, ncurvs, iinput, changed )
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.1    date  18-10-1996 Minor change because of new kmeshz
!        version 1.0    date  23-08-1996
!
!
!
!   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!   Indicate the boundaries that must be adapted in case a redistribution
!   of the number of nodes must be computed
! **********************************************************************
!
!                       KEYWORDS
!
!     boundary
!     free_boundary
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer kmeshz(*), iinput(*), ncurvs
      logical changed

!     changed    o    If true the number of nodes of at least one curve may
!                     be changed
!     iinput    i/o   integer input array
!     kmeshz     i    kmesh part z
!     ncurvs     i    Number of curves in mesh
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, iinp, icurve

!     i          Counting variable
!     icurve     Type of curve
!     iinp       last position used in array iinput
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MSH046    Raise iinp as function of icurve
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      iinp = 16
      changed = .false.
      do i = 1, ncurvs

         icurve = abs(iinput(iinp))
         if ( icurve.eq.0 ) then

!        --- Empty curve found: skip

            iinp = iinp + 1

         else

!        --- Standard curve, check if it is changed

            if ( kmeshz(i).eq.2 ) then
               iinput(iinp) = -icurve
               changed = .true.
            end if
            call msh046 ( iinput, iinp, icurve )

         end if

      end do

      end
