      subroutine mshg09(izwaar,ipos1,ipos2,ipos3,ipos4,ipos5, &
                        ipos6,np,npoint,nhelp,nelem)
      integer izwaar(*)
! ******************************************************************
! * &
! *   subroutine for the reordering of izwaar before
! *   renumbering is performed
! * &
! ********************************************************************
!
!
!        programmer   Niek Praagman
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   10-09-1987
!
!
!
!   copyright (c) 1985,1987  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
! * &
! *   input / output
! *     izwaar     (i,o)  :  helparray , see mshg
! *     ipos1       (o)   :  startposition array with adresses of
! *                          adjacent elements
! *     ipos2       (o)   :  startposition array with adjacent elements
! *                          for each nodal point
! *     ipos3       (o)   :  startposition helparray ja , see mshg04
! *     ipos4       (o)   :  startposition levelp , see mshg04
! *     ipos5       (o)   :  startposition levpin , see mshg05
! *     ipos6       (o)   :  startposition levelm , see mshg04
! *     np          (i)   :  number of nodal points in linear mesh, &
! *                          i.e. cornerpoints and eventually mid- &
! *                          points along the boundary
! *     npoint      (i)   :  total number of nodal points in the mesh
! *                          np=npoint in the linear case]
! *     nhelp       (i)   :  estimate of nodal points in mesh , see mshg
! *     nelem       (i)   :  number of elements in mesh
! * &
! ************************************************************************
! * &
! *   compute positions and place arrays in right positions of izwaar
! * &
      ipos1=1
! * &
      do 100 i=1,np
          izwaar(i)=izwaar(i+np)
100   continue
      ipos2=1+np
      ih=izwaar(np)
      kh=8*nhelp
      do 200 i=1,ih
          izwaar(i+np)=izwaar(i+kh)
200   continue
      ipos3=np+ih+1
      ipos4=ipos3+npoint
      ipos5=ipos4+npoint
      ipos6=ipos5+npoint
! *  in total needed
      itot=ipos6+nelem-1
      if (itot.lt.14*nhelp) return
! *  too many positions needed
      call ertrap('mesh   (mshg09)',313,2,itot,0,0)
      call instop
      end
