      subroutine msho51( coor, n, u )

! =======================================================================
!
!
!         programmer   niek praagman
!
!         version 1.1  date  09-03-1993 new norms
!         version 1.0  date  28-03-1990
!
!
!
!   copyright (c) 1990-1993  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     Fill arclength array u of 3d line with n points as given
!     by array coor
!
! ***********************************************************************
!
!     KEYWORDS
!
!     3d
!     arc_length
!
! ***********************************************************************
!
!     INPUT / OUTPUT PARAMETERS

      implicit none
      integer n
      double precision coor(3,n), u(n)

!     coor      i    3-D coordinate array
!     n         i    number of points to be considered
!     u         o    arclength array
!
! ***********************************************************************
!
!     COMMON BLOCKS
!
! ***********************************************************************
!
!     LOCAL PARAMETERS

      double precision sleng, dx, dy, dz, dr
      integer i

!     dr          Euclidian distance
!     dx          x-difference
!     dy          y-difference
!     dz          z-difference
!     i           loop variable
!     sleng       arclength
!
! ***********************************************************************
!
!     SUBROUTINES CALLED
!
! ***********************************************************************
!
!     ERROR MESSAGES
!
! ***********************************************************************
!
!     METHOD
!
!     trivial
!
! =======================================================================

      sleng = 0

      u(1)  = 0

      do 100 i = 2 , n

          dx = coor(1,i) - coor(1,i-1)
          dy = coor(2,i) - coor(2,i-1)
          dz = coor(3,i) - coor(3,i-1)

          dr = sqrt( dx*dx + dy*dy + dz*dz )

          sleng = sleng + dr
          u(i)  = sleng

100   continue

!     scale

      do 200 i  = 1 , n

          u(i)  = u(i) / sleng

200   continue

      end
