      subroutine msho76 ( kmeshm, nbound )
! ======================================================================
!
!        programmer     Niek Praagman
!        version 1.0    date   27-06-1996
!
!
!
!   copyright (c) 1996-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill kmesh part m in case of an unstructured mesh where the nbound
!     boundary points have been given as a starting sequence
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer nbound, kmeshm(*)

!     kmeshm  o    part M of array KMESH see SEPRAN PG
!     nbound  i    number of nodal points in boundary of domain
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Fill all positions as indicated in the PG
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Fill the array positions as indicated in the Programmers Guide

      kmeshm(  1 ) = 0
      kmeshm(  2 ) = 7
      kmeshm(  3 ) = 7 + nbound
      kmeshm(  4 ) = 0
      kmeshm(  5 ) = 1
      kmeshm(  6 ) = 1 + nbound

      do 100 i = 1, nbound

          kmeshm( 6 + i ) = i

100   continue

      end
