      subroutine mshobstac5 ( inext, isequence, specialpoints, &
                              nspecialpnts )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 15-08-1999
!
!   copyright (c) 1999-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Skip superfluous special points along the obstacle
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inext, isequence(*), specialpoints(7,*), nspecialpnts
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical finished
      integer inext1, inext2, iseq
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     finished := false
!     inext := inext+1
!     while ( not finished and inext<=nspecialpnts ) do
!        iseq := isequence(inext)
!        inext1 := specialpoints(3,iseq)
!        inext2 := specialpoints(5,iseq)
!        if ( inext1=0 and inext2=0 ) then
!           inext := inext+1
!           finished := true
!        else if ( inext1#0 and isequence(inext1)#iseq+1 or
!                  inext2#0 and isequence(inext2)#iseq+1 ) then
!           inext := inext+1
!           finished := true
!        else (following point corresponds to this one )
!           isequence(inext) := 0
!           inext := inext+1
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      finished = .false.
      inext = inext+1
      do while ( .not. finished .and. inext.le.nspecialpnts )

!     --- not finished and inext<=nspecialpnts

         iseq = isequence(inext)
         inext1 = specialpoints(3,iseq)
         inext2 = specialpoints(6,iseq)

         if ( inext1.eq.0 .and. inext2.eq.0 ) then

!        --- inext1=0 and inext2=0

            finished = .true.

         else if ( inext1.ne.0 ) then

!        --- inext1 # 0

            if ( isequence(inext1).eq.inext+1 ) then

!           --- Next point corresponds to same part, skip this one

               isequence(inext) = 0

            else if ( inext2.ne.0 ) then

               if ( isequence(inext2).eq.inext+1 ) then

!              --- Next point corresponds to same part, skip this one

                  isequence(inext) = 0

               else

!              --- Next point does not correspond to same part

                  finished = .true.

               end if

            else

!           --- Next point does not correspond to same part

               finished = .true.

            end if

         else

!        --- inext2 # 0

            if ( isequence(inext2).eq.inext+1 ) then

!           --- Next point corresponds to same part, skip this one

               isequence(inext) = 0

            else if ( inext1.ne.0 ) then

               if ( isequence(inext1).eq.inext+1 ) then

!              --- Next point corresponds to same part, skip this one

                  isequence(inext) = 0

               else

!              --- Next point does not correspond to same part

                  finished = .true.

               end if

            else

!           --- Next point does not correspond to same part

               finished = .true.

            end if

         end if
         inext = inext+1

      end do

      end
