      subroutine mshpavcb ( nowbnd, bndcr, crd, bndnr, nbndnod, &
                            maxbounds, zero )
! ======================================================================
!
!        programmer    Bas van Rens
!        version  2.0  date 19-12-2003 Extra parameter zero
!        version  1.2  date 29-11-1997 pass size of nowbnd
!        version  1.1  date 05-08-1997
!        version  1.0  date 27-05-1997
!
!   copyright (c) 1997-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      Fills the array bndcr with all the coordinates that
!      are postioned on the edge of that loop, adds the first node nr
!      of nowbnd to the end of nowbnd without increasing the count
!      of nowbnd. This is done for ease of coding in mshpavmr
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision crd(4,*),bndcr(2,*)
      integer maxbounds, nowbnd(maxbounds,*), bndnr, nbndnod
      logical zero

!     bndcr          o    array containing the coordinates
!     bndnr          i    number of the boundaries to put in bndcr
!     crd            i    array containing the coordinates of the nodes
!     maxbounds      i    max number of loops in nowbnd
!     nbndnod        o    number of coordinates in bndcr
!     nowbnd         i    array containing the boundary nodes for each loop
!     zero           o    If true all nodes along the boundary have thickness
!                         zero
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       general counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      zero = .true.
      do i = 2, nowbnd(bndnr,1)+1
         bndcr(1,i-1) = crd(1,abs(nowbnd(bndnr,i)))
         bndcr(2,i-1) = crd(2,abs(nowbnd(bndnr,i)))
         if ( zero ) then
           if ( abs(crd(3,abs(nowbnd(bndnr,i)))).gt.0 ) zero = .false.
         end if
      end do

!     --- add the first coordinate at the end for simplicity

      bndcr(1,nowbnd(bndnr,1)+1) = bndcr(1,1)
      bndcr(2,nowbnd(bndnr,1)+1) = bndcr(2,1)

!     --- add the first node nr to the end for simplicity

      nowbnd(bndnr,nowbnd(bndnr,1)+2)=nowbnd(bndnr,2)

!     --- the number of boundary nodes is one more

      nbndnod = nowbnd(bndnr,1)+1

      end
