      function mshpavin ( sublis, ls, mainlis, lm )
! ======================================================================
!
!        programmer     Bas van Rens
!        version 1.1    date 11-10-1998 More efficient version
!        version 1.0    date 24-01-1997
!
!   copyright (c) 1997-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!        checks wether all the entries of sublis with length ls
!        can be found in mainlis with length lm
! **********************************************************************
!
!                       KEYWORDS
!
!   mesh
!   mesh_generation
!   surface
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer ls,lm,sublis(ls),mainlis(lm),mshpavin

!     lm         i    length of array mainlis
!     ls         i    length of array sublis
!     mainlis    i    array of length lm of the main set
!     mshpavin   o    1 if sublis is subset of mainlis
!     sublis     i    array of length ls of the subset
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i,j,chkone

!     chkone     indicates wether sublis(i) occurs in mainlis
!     i          counting variable over the sublis
!     j          counting variable over the mainlis
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      mshpavin = 1
      do i = 1, ls
         chkone=0
         do j=1, lm
            if ( mainlis(j).eq.sublis(i) ) then
               chkone=1
               go to 100
            end if
         end do
         if ( chkone.eq.0 ) then
            mshpavin = 0
            go to 1000
         end if
100   end do

1000  end
