      subroutine mshr18(coor,n,m,kmeshc)
      implicit double precision (a-h,o-z)
      integer kmeshc(*)
      double precision coor(*)
!
! ********************************************************************
!
!
!        programmer   Guus Segal
!        version 2.0  date   27-11-1992 Removal of parameter inpelm
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   05-05-1987
!
!
!
!   copyright (c) 1987  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!     * fill coordinates of midpoints for special 10-point elements
!
! ********************************************************************
!
!           input / output   parameters
!
!     coor,numnp1,numnp2   see mshr12
!
!     kmeshc      kmesh part c
!
      double precision x(4), y(4)

! ********************************************************************
!
      ikelmc=0
      do 100 j=1,n
      do 100 i=1,m
!
!      *  First put the co-ordinates of the 4 vertices of the quadrilateral
!         in the arrays x and y
!
         ih=1+(i-1)*(9*n+3)
         ih2=ih+(j-1)*2
         ih=ih+(j-1)*3
         x(1)=coor(2*ih-1)
         y(1)=coor(2*ih)
         ih1=ih+3
         x(2)=coor(2*ih1-1)
         y(2)=coor(2*ih1)
         ih1=ih+9*n+6
         x(3)=coor(2*ih1-1)
         y(3)=coor(2*ih1)
         ih1=ih+9*n+3
         x(4)=coor(2*ih1-1)
         y(4)=coor(2*ih1)
!
!      *  next check the direction of the diagonal
!
         if(kmeshc(ikelmc+6).eq.kmeshc(ikelmc+14)) then
!
!         *  even situation
!
!         *  Fill the internal points
!
            ih1=ih2+5*n+2
            coor(2*ih1-1)=(x(1)+x(3)+x(4))/3d0
            coor(2*ih1)=(y(1)+y(3)+y(4))/3d0
            ih1=ih2+5*n+3
            coor(2*ih1-1)=(x(1)+x(3)+x(2))/3d0
            coor(2*ih1)=(y(1)+y(3)+y(2))/3d0
            dx=(x(3)-x(1))/3d0
            dy=(y(3)-y(1))/3d0
            ih1=ih2+3*n+2
            coor(2*ih1-1)=x(1)+dx
            coor(2*ih1)=y(1)+dy
            ih1=ih2+7*n+3
            coor(2*ih1-1)=x(1)+dx*2d0
            coor(2*ih1)=y(1)+dy*2d0
         else
!
!         *  odd situation
!
!         *  Fill the internal points
!
            ih1=ih2+5*n+3
            coor(2*ih1-1)=(x(2)+x(3)+x(4))/3d0
            coor(2*ih1)=(y(2)+y(3)+y(4))/3d0
            ih1=ih2+5*n+2
            coor(2*ih1-1)=(x(1)+x(4)+x(2))/3d0
            coor(2*ih1)=(y(1)+y(4)+y(2))/3d0
            dx=(x(4)-x(2))/3d0
            dy=(y(4)-y(2))/3d0
            ih1=ih2+3*n+2
            coor(2*ih1-1)=x(2)+dx
            coor(2*ih1)=y(2)+dy
            ih1=ih2+7*n+3
            coor(2*ih1-1)=x(2)+dx*2d0
            coor(2*ih1)=y(2)+dy*2d0
         end if
         if(i.ne.1) then
!
!       * Fill lower side of quadrilateral when j#1
!
            dx=(x(2)-x(1))/3d0
            dy=(y(2)-y(1))/3d0
            ih1=ih+1
            coor(2*ih1-1)=x(1)+dx
            coor(2*ih1)=y(1)+dy
            ih1=ih+2
            coor(2*ih1-1)=x(1)+dx*2d0
            coor(2*ih1)=y(1)+dy*2d0
         end if
         if(j.ne.n) then
!
!       * Fill right side of quadrilateral when i#n
!
            dx=(x(3)-x(2))/3d0
            dy=(y(3)-y(2))/3d0
            ih1=ih2+3*n+3
            coor(2*ih1-1)=x(2)+dx
            coor(2*ih1)=y(2)+dy
            ih1=ih2+7*n+4
            coor(2*ih1-1)=x(2)+dx*2d0
            coor(2*ih1)=y(2)+dy*2d0
         end if
100   continue
      end
