      subroutine mshr21 ( kmeshc, npoint, nelem, inpelm )
! ======================================================================
!
!        programmer   Guus Segal
!        version 1.0  date   22-08-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    Fill array kmeshc for centroid points in 5-point elements
!
! ********************************************************************
!
!                      KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer inpelm, nelem, kmeshc(inpelm, nelem), npoint

!     inpelm  i    number of points per element
!     kmeshc  o    kmesh part c, contains the nodal points corresponding to the
!                  elements
!     nelem   i    Number of elements
!     npoint  i    Number of nodal points
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer ielem

!     ielem   Element number
! ********************************************************************
!
!                    SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!

      do 100 ielem = 1, nelem
         kmeshc(inpelm,ielem) = npoint+ielem
100   continue
      npoint = npoint + nelem
      end
