      subroutine mshr23 ( kmeshc, npoint, nelem, inpelm )
! ======================================================================
!
!        programmer   Guus Segal
!        version 1.0  date   22-08-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    Add centroid points in 5-point elements in array kmeshc
!    KMESHC has been stored as if npelm = 4
! ********************************************************************
!
!                      KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer inpelm, nelem, kmeshc(inpelm*nelem), npoint

!     inpelm  i    number of points per element
!     kmeshc i/o   kmesh part c, contains the nodal points corresponding to the
!                  elements
!     nelem   i    Number of elements
!     npoint i/o   Number of nodal points
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer ielem, k

!     ielem   Element number
!     k       Counting variable
! ********************************************************************
!
!                    SUBROUTINES CALLED
!
!     MSHR21  Fill array kmeshc for centroid points in 5-point elements
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!

      do 110 ielem = nelem, 2, -1
         do 100 k = inpelm-1, 1, -1
            kmeshc((ielem-1)*inpelm+k) = kmeshc((ielem-1)*(inpelm-1)+k)
100      continue
110   continue
      call mshr21 ( kmeshc, npoint, nelem, inpelm )
      end
