      subroutine mshv05(jw,nr,ipoly,ipoln,iconc,izicht,n,c,npt,coor, &
                        coarse,rim)
      implicit double precision (a-h,o-z)
      integer ipoly(*), izicht(*), nr(*)
      double precision c(*), coor(*), coarse(*)
! ***********************************************************************
! * &
! *   mshv05 divides a concave polygon in two new ones by choosing the
! *   most appropriate splitting line .
! * &
! ***********************************************************************
!
!
!         programmer   niek praagman
!         version 4.2  date  18-08-1992 remove float
!         version 4.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 4    date  27-08-1986
!
!
!
!   copyright (c) 1984,1992  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
! * &
! *   reference distance
! * &
      afstcn=1.d-4*rim
! * &
! *   start division , resulting polygons are written to ipoly
! * &
! *   jw is the point with largest angle and iconc the total number of
! *   concave points in the polygon .
! * &
! *   determine which points are visible from point jw
! *   ( fill array izicht )
! * &
      iz=0
      j=jw+2
      i1=jw-2
      if ( i1.le.0 ) i1=i1+n
! * &
110   continue
! * &
      j=j+1
      if ( j.gt.n ) j=j-n
      if ( j.eq.i1 ) goto 120
      iz=iz+1
      izicht(iz)=j
! * &
      goto 110
! * &
120   continue
! * &
! *   izicht contains n-5 points
! * &
      if ( iconc.eq.1 ) goto 300
! * &
! *   iconc > 1 : more than one concave point , determine which points
! *   are really visible
! * &
      i=nr(jw+1)
      xi=coor(2*i-1)
      yi=coor(2*i)
      i1=nr(jw)
      xi1=coor(2*i1-1)
      yi1=coor(2*i1)
      i2=nr(jw+2)
      xi2=coor(2*i2-1)
      yi2=coor(2*i2)
! * &
      do 150 k=1,iz
          j=izicht(k)
          jh=nr(j+1)
          xj=coor(2*jh-1)
          yj=coor(2*jh)
! * &
! *       is j visible
! * &
! *       line i-jh within concave angle ?
          call mshg03(xi,yi,xj,yj,xi1,yi1,xi2,yi2,ih)
! * &
! *       no coinciding points ?
! * &
! *       determine distance j-i1 and j-i2
! * &
          dx=(xj-xi1)*(xj-xi1)+(yj-yi1)*(yj-yi1)
          if ( dx.lt.afstcn ) goto 140
          dx=(xj-xi2)*(xj-xi2)+(yj-yi2)*(yj-yi2)
          if ( dx.lt.afstcn ) goto 140
! * &
! *       no coninciding points , &
! * &
          if (ih.eq.0) goto 140
          call mshg01(xi,yi,xi1,yi1,xj,yj,cs)
          if (cs.lt.-0.95d0) goto 140
          call mshg01(xi,yi,xi2,yi2,xj,yj,cs)
          if (cs.lt.-0.95d0) goto 140
! * &
! *       search clockwise
! * &
          jl=jw
160       continue
          jl=jl+1
          if ( jl.eq.(n+1) ) jl=1
          kh=j
          if ( kh.eq.1 ) kh=n+1
          if ( jl.eq.(kh-1) ) goto 165
          jlh=nr(jl+1)
          xl=coor(2*jlh-1)
          yl=coor(2*jlh)
          jls=nr(jl+2)
          xls=coor(2*jls-1)
          yls=coor(2*jls)
          call mshg03(xi,yi,xj,yj,xl,yl,xls,yls,ih)
          if ( ih.eq.0 ) goto 140
! * &
! *       ih = 1 , no common point
! * &
          goto 160
! * &
165       continue
! * &
! *       no problems along the right side , take the left
! * &
          jl=jw
170       continue
          jl=jl-1
          if ( jl.eq.0 ) jl=n
          kh=j
          if ( kh.eq.n ) kh=0
          if ( jl.eq.(kh+1) ) goto 175
          jlh=nr(jl+1)
          xl=coor(2*jlh-1)
          yl=coor(2*jlh)
          jls=nr(jl)
          xls=coor(2*jls-1)
          yls=coor(2*jls)
          call mshg03(xi,yi,xj,yj,xl,yl,xls,yls,ih)
          if ( ih.eq.0 ) goto 140
! * &
! *       ih = 1 , no common point
! * &
          goto 170
! * &
175       continue
! * &
! *       also visible along the left side
! * &
          goto 150
! * &
140       continue
! * &
! *       not visible
! * &
          izicht(k)=0
! * &
150   continue
! * &
! *   walk through izicht to determine splitting line
! * &
300   continue
! * &
! *   determine most appropriate line starting in jw
! * &
      ibest=0
      jbest=0
      iforty=0
      afwijk=5.0d0
      i=nr(jw+1)
      xi=coor(2*i-1)
      yi=coor(2*i)
      i1=nr(jw)
      x1=coor(2*i1-1)
      y1=coor(2*i1)
      i2=nr(jw+2)
      x2=coor(2*i2-1)
      y2=coor(2*i2)
! * &
310   continue
! * &
      izhulp=0
! * &
      do 350 k=1,iz
           j=izicht(k)
           if (j.eq.0) goto 350
           izhulp=1
           jc=nr(j+1)
           xj=coor(2*jc-1)
           yj=coor(2*jc)
           j1=nr(j)
           x3=coor(2*j1-1)
           y3=coor(2*j1)
           j2=nr(j+2)
           x4=coor(2*j2-1)
           y4=coor(2*j2)
! * &
! *        angle 1  : points i1 , i , j
           call mshg01(x1,y1,xi,yi,xj,yj,c1)
           if ( c1.gt.0.99d0 ) goto 350
! * &
! *        angle 2  : points i2 , i , j
           call mshg01(x2,y2,xi,yi,xj,yj,c2)
           if ( c2.gt.0.99d0 ) goto 350
! * &
! *        angle 3  : points j1 , j , i
           call mshg01(x3,y3,xj,yj,xi,yi,c3)
           if ( c3.gt.0.99d0 ) goto 350
! * &
! *        angle 4  : points j2 , j , i
           call mshg01(x4,y4,xj,yj,xi,yi,c4)
           if ( c4.gt.0.99d0 ) goto 350
! * &
           jbest=1
! * &
! *        check whether all new angles are between 60 and 300 degrees
! *        ( unless iforty = 1 )
! * &
           if ( iforty.eq.1 ) goto 345
! * &
           if ( c1.gt.0.5d0 ) goto 350
           if ( c2.gt.0.5d0 ) goto 350
           if ( c3.gt.0.5d0 ) goto 350
           if ( c4.gt.0.5d0 ) goto 350
! * &
! *        all angles are okay
! * &
345        continue
! * &
! *        compute sum of aberrations
! * &
           af1=abs(c1)
           af2=abs(c2)
           af3=abs(c3)
           af4=abs(c4)
           af5=abs(c1+1.0d0)
           af6=abs(c2+1.0d0)
           af7=abs(c3+1.0d0)
           af8=abs(c4+1.0d0)
           if (af5.lt.af1) af1=af5
           if (af6.lt.af2) af2=af6
           if (af7.lt.af3) af3=af7
           if (af8.lt.af4) af4=af8
           som=af1+af2+af3+af4
           ibest=1
           if ( som.gt.afwijk ) goto 350
           afwijk=som
! * &
! *        candidate
! * &
           jmog=j
! * &
350   continue
! * &
      if ( izhulp.eq.1 ) goto 354
! * &
! *   no points visible , hence no splitting line can be drawn
! * &
      call ertrap('mesh  (mshg  mshv05)',351,1,0,0,0)
      call instop
! * &
354   continue
! * &
      if ( jbest.eq.1 ) goto 348
! * &
! *   no candidates found , hence no splitting line can be drawn
! * &
      call ertrap('mesh  (mshg  mshv05)',352,2,n,0,0)
      call instop
! * &
348   if ( ibest.eq.1 ) goto 358
! * &
! *   ibest = 0 , no candidates impose no longer requirements
! *   with respect to the new angles
! * &
      iforty=1
! * &
      goto 310
! * &
358   continue
! * &
! *   best possibility is the line i-jmog
! * &
      jc=nr(jmog+1)
      xj=coor(2*jc-1)
      yj=coor(2*jc)
! * &
      ipnt=nr(jw+1)
      jpnt=nr(jmog+1)
      rimog=coarse(ipnt)
      rjmog=coarse(jpnt)
      ri=(rimog+rjmog)/2.0d0
! * &
! *   determine length of line ipnt - jpnt
! * &
      dx=xj-xi
      dy=yj-yi
! * &
      sleng=sqrt(dx*dx+dy*dy)
! * &
      call mshv06(jw,jmog,sleng,ri,n1)
! * &
      n1=n1+1
! * &
      if (n1.le.1) goto 362
! * &
! *   n1 > 1 , hence ( n1-1 ) new points
! * &
      nh1=n1-1
! * &
! *   place points weighted on line
! * &
      a=1d0/nh1
      alva=rjmog/rimog
      alva=(alva)**a
! * &
! *   determine weighting factors
! * &
      som=1d0
! * &
      do 355 i=1,nh1
          som=alva*som+1d0
355   continue
! * &
! *   correct length
! * &
      rbx=dx/som
      rby=dy/som
      s=1.0d0
! * &
! *   coarseness difference along the line
! * &
      ah=(rjmog-rimog)/n1
! * &
      do 360 i=1,nh1
          npt=npt+1
          coor(2*npt-1)=xi+s*rbx
          coor(2*npt)=yi+s*rby
          s=alva*s+1.0d0
          coarse(npt)=rimog+i*ah
360   continue
! * &
362   continue
! * &
! *   fill array ipoly
! * &
      ih=jw+1
      ipoln=ipoln+1
      ihulp=ipoln
365   continue
      ipoln=ipoln+1
      ipoly(ipoln)=nr(ih)
      ih=ih+1
      if ( ih.gt.(n+1) ) ih=ih-n
      if ( ih.ne.(jmog+1) ) goto 365
      ipoln=ipoln+1
      ipoly(ipoln)=nr(jmog+1)
      if ( n1.le.1 ) goto 372
! * &
      do 370 i=1,nh1
           ipoln=ipoln+1
           ipoly(ipoln)=npt+1-i
370   continue
! * &
372   continue
! * &
      ipoly(ihulp)=ipoln-ihulp
      ih=jmog+1
      ipoln=ipoln+1
      ihulp=ipoln
 375  continue
      ipoln=ipoln+1
      ipoly(ipoln)=nr(ih)
      ih=ih+1
      if ( ih.gt.(n+1) ) ih=ih-n
      if ( ih.ne.(jw+1) ) goto 375
      ipoln=ipoln+1
      ipoly(ipoln)=nr(jw+1)
      if ( n1.le.1 ) goto 382
! * &
      do 380 i=1,nh1
          ipoln=ipoln+1
          ipoly(ipoln)=npt-nh1+i
380   continue
! * &
382   continue
! * &
      ipoly(ihulp)=ipoln-ihulp
! * &
      end
