      subroutine msh305(coor,ik,n,tau)
! ======================================================================
!
!        programmer    niek praagman
!        version  1.2  date 27-11-2012 Long integers
!        version  1.1  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  1.0  date 03-12-1984
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     determine tau values along line .
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ik(*), n
      double precision coor(*), tau(*)

!     coor    i     standard array containing the coordinates
!     ik      i     array containing the nodal point numbers on the
!                   line to be considered
!     n       i     number of points on line
!     tau     o     array containing the relative length of the nodal
!                   points measured from point ik(1) to ik(n)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision dist, dx, dy, dz

!     dist           Distance between two points
!     dx             length of vector in x-direction
!     dy             length of vector in y-direction
!     dz             length of vector in z-direction
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      tau(1)=0d0
      do i=2,n
          dx=coor(3*ik(i)-2)-coor(3*ik(i-1)-2)
          dy=coor(3*ik(i)-1)-coor(3*ik(i-1)-1)
          dz=coor(3*ik(i))-coor(3*ik(i-1))
          dist=sqrt(dx*dx+dy*dy+dz*dz)
          tau(i)=tau(i-1)+dist
      end do
          dist=tau(n)
      do i=1,n
          tau(i)=tau(i)/dist
      end do
      end
