      subroutine msh306 ( x, x1j, xnj, xi1, xim, tau, sigma )
! ======================================================================
!
!        programmer    niek praagman
!        version  1.1  date 27-11-2012 Long integers
!        version  1.0  date 03-12-1984
!
!   copyright (c) 1984-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     determine coordinate in surface using the first part of
!     coon's formula
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision sigma, tau, x, x1j, xi1, xim, xnj

!     sigma
!     tau
!     x
!     x1j
!     xi1
!     xim
!     xnj
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      x = x1j*(1d0-tau)+tau*xnj +xi1*(1d0-sigma)+sigma*xim
      x=x/2d0
      end
