      subroutine mshdelkmeshh
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 27-11-2012 Long integers
!        version  1.0  date 03-10-2003
!
!   copyright (c) 2003-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Delete kmesh part h and all its related arrays
!
! **********************************************************************
!
!                       KEYWORDS
!
!     delete
!     mesh
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshdelkmeshh' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshdelkmeshh'
         write(irefwr,1) 'kelmh', kelmh
  1      format ( a, 1x, (10i6) )

      end if
      if ( ierror/=0 ) go to 1000

      if ( km(iseqkm)%kmesh(22)>0 ) then
         if ( associated(km(iseqkm)%icurvsobst2d) ) &
            deallocate(km(iseqkm)%icurvsobst2d)
         if ( associated(km(iseqkm)%iactobst) ) &
            deallocate(km(iseqkm)%iactobst)
         if ( associated(km(iseqkm)%icurvsmsh) ) &
            deallocate(km(iseqkm)%icurvsmsh)
         if ( associated(km(iseqkm)%curvefacts) ) &
            deallocate(km(iseqkm)%curvefacts)
         if ( associated(km(iseqkm)%curvesmsh) ) &
            deallocate(km(iseqkm)%curvesmsh)
         deallocate ( km(iseqkm)%kmeshh )
         nullify(icurvsobst2d, iactobst, icurvsmsh, curvefacts, curvesmsh)
         km(iseqkm)%kmesh(22) = 0
         if ( debug ) write(irefwr,1) 'nsurfs, nvolms', nsurfs, nvolms

         do i = 1, nsurfs+nvolms
            if ( debug ) write(irefwr,1) 'i', i
            if ( associated(km(iseqkm)%kmhsur(i)%kmeshcsur) ) &
               deallocate(km(iseqkm)%kmhsur(i)%kmeshcsur)
            if ( associated(km(iseqkm)%kmhsur(i)%kbndptsur) ) &
               deallocate(km(iseqkm)%kmhsur(i)%kbndptsur)
            if ( associated(km(iseqkm)%kmhsur(i)%coorsur) ) &
               deallocate(km(iseqkm)%kmhsur(i)%coorsur)
            if ( associated(km(iseqkm)%kmhsur(i)%maparsur) ) &
               deallocate(km(iseqkm)%kmhsur(i)%maparsur)
            km(iseqkm)%kmhsur(i)%filled = .false.
         end do  ! i = 1, nsurfs+nvolms
         deallocate(km(iseqkm)%kmhsur)

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshdelkmeshh'

      end if
      call erclos ( 'mshdelkmeshh' )

      end
