      subroutine mshmetis2 ( kmeshc, ikelmc, epart, nelem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-03-2015
!
!   copyright (c) 2015-2015  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Reset kmeshc from c-style to fortran style
!     Translate epart from c-numbering to fortran numbering
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     topology
!     parallel
!     metis
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer,intent(in) :: ikelmc, nelem
      integer,intent(inout) :: kmeshc(ikelmc), epart(nelem)

!     epart         i/o   Array of size nelem containing the processor
!                         sequence numbers at output
!     ikelmc         i    length of kmesh part c
!     kmeshc        i/o   kmesh part c, contains the nodal points
!                         corresponding to the elements
!     nelem          i    Number of elements (length of epart)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshmetis2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshmetis2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      kmeshc = kmeshc+1
      epart = epart+1

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshmetis2'

      end if  ! ( debug )
      call erclos ( 'mshmetis2' )

      end subroutine mshmetis2
