      subroutine mshpavcopbnd ( bndcoorold, bndcoornew, numnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-12-2003
!
!   copyright (c) 2003-2003  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      Copy boundary bndcoorold to bndcoornew and set thickness of bncoornew
!      equal to zero for one specific boundary
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     mesh_generation
!     surface
!     paver
!     copy
!     boundary
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision bndcoorold(2,*), bndcoornew(4,*)
      integer numnodes

!     bndcoornew     o    Contains the coordinates of the new boundary created
!                         by making one layer during the paver algorithm
!     bndcoorold     i    Contains the coordinates of the previous (old)
!                         boundary during the paver process
!     numnodes       i    Number of nodal points in array nodes
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshpavcopbnd' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshpavcopbnd'

      end if
      if ( ierror.ne.0 ) go to 1000
      do i = 1, numnodes
         bndcoornew(1,i) = bndcoorold(1,i)
         bndcoornew(2,i) = bndcoorold(2,i)
         bndcoornew(3,i) = 0d0
         bndcoornew(3,i) = 1d0
      end do

1000  call erclos ( 'mshpavcopbnd' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshpavcopbnd'

      end if

      end
