      subroutine mshmvcoorusp ( distance, userpoint, numusp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 06-11-2009
!
!   copyright (c) 2009-2009  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Move coordinates of user point to new position
!     Only array rinput is adapted
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     coordinate
!     user_point
!     change_boundary
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer userpoint(*), numusp
      double precision distance(*)

!     distance       i    distance that point has to be moved
!     numusp         i    Contains number of nodes between origin and interface
!     userpoint      i    Contains the user point numbers along the
!                         axis sorted in ascending order from position 2
!                         userpoint(1) contains the interface
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     MSHMVCOORUSP1  Move coordinates of user point to new position
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'mshmvcoorusp' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from mshmvcoorusp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- Update array rinput

      call mshmvcoorusp1 ( rinputkm(3), distance, ndim, &
                           userpoint, numusp )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End mshmvcoorusp'

      end if  ! ( debug )
      call erclos ( 'mshmvcoorusp' )

      end subroutine mshmvcoorusp
