      subroutine er0001(vector,lastpos,layout,text,istep)
! ======================================================================
!
!        programmer    Guus Segal
!        version  4.4  date 09-06-2010 Change of layout
!        version  4.3  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  4.2  date 20-10-1990  Error correction format 7
!
!   copyright (c) 1984-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print array from positions 1 to lastpos with steps istep
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      character text *(*)
      double precision vector(*)
      integer lastpos, layout, istep

!    istep     i  each istep th element is printed
!    layout    i  see prinrv
!    lastpos   i  last position of array vector
!    text      i  text to be printed in the heading
!    vector    i  array to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, itien, iunder, iupper, j, n9, nh

!     i          Counting variable
!     itien
!     iunder     Lower bound of array
!     iupper     Upper bound of array
!     j          Counting variable
!     n9
!     nh         number of nodes along a subcurve
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
  2   format(' vector ',a)
  3   format(/15x,'1/6',11x,'2/7',11x,'3/8',11x,'4/9',11x,'5/10')
  4   format(/16x,'1',10x,'2',10x,'3',10x,'4',10x,'5',10x,'6',10x, &
             '7',10x,'8',10x,'9',10x,'10'/)
  5   format(9x,10(ss,1pe11.3e2))
  6   format(9x,10f11.3)
  7   format(9x,5(ss,1pe14.6e2)/9x,5(ss,1pe14.6e2))
  8   format(i7,2x,10(ss,1pe11.3e2))
  9   format(i7,2x,10f11.3)
 10   format(i7,2x,5(ss,1pe14.6e2)/9x,5(ss,1pe14.6e2))

      iunder=1
      n9=9*istep
      write(irefwr,2) text
      if(layout==1) write(irefwr,3)
      if(layout>1) write(irefwr,4)
      iupper=iunder+n9
      if(iupper>lastpos) iupper=lastpos
      goto (110,120,130),layout
110     write(irefwr,7) (vector(j),j=iunder,iupper,istep)
        goto 200
120     write(irefwr,5) (vector(j),j=iunder,iupper,istep)
        goto 200
130     write(irefwr,6) (vector(j),j=iunder,iupper,istep)
        goto 200
200   if(iupper==lastpos) return
      nh=lastpos/istep
      iunder=iupper+istep
      do i=1,nh
         itien=10*i
         iupper=iunder+n9
         if(iupper>lastpos) iupper=lastpos
         goto (210,220,230),layout
210        write(irefwr,10) itien,(vector(j),j=iunder,iupper,istep)
           goto 250
220        write(irefwr,8) itien,(vector(j),j=iunder,iupper,istep)
           goto 250
230        write(irefwr,9) itien,(vector(j),j=iunder,iupper,istep)
           goto 250
250      iunder=iupper+istep
         if(iunder>lastpos) return
      end do
      end
