      function getucdnr ( itype )
! ======================================================================
!
!        programmer    Bas van Rens
!        version  1.0  date 15-06-2000
!
!   copyright (c) 2000-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Return with the number of sub elements for a specific SEPRAN element
!    The subelements are all linear simplices
! **********************************************************************
!
!                       KEYWORDS
!
!     subdivision
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
       integer getucdnr, itype

!     getucdnr       o    Number of sub cells
!     itype          i    itype contains the current standard element
!                         See UM pag. 2.2.17
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
       integer NexpCells(18)

!     nexpcells      Array containing the number of subcells of a sepran
!                    element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
       data NexpCells /1,2,1,4,1,4,6,9,4,3,1,8,1,8, &
                     8,8,12,4/

!        Shape SEPRAN              Expansion DX
!          1 line                     1  line
!          2 line 3 points            2  lines 2 points
!          3 triangle                 1  triangle
!          4 isopar. tri.             4  triangles
!          5 quad                     1  quad
!          6 isopar. quad             4  quads
!          7 isopar. tri.             6  triangles
!          8 isopar. tri.             9  triangles
!          9 quad2 (5 points)         4  triangles
!         10 triangle (4 points)      3  triangles
!         11 tetrahedron              1  tetrahedron
!         12 isopat. tetra.           8  tetrahedra
!         13 hexahedra                1  hexahedra
!         14 isopar. hexa(27 points)  8  hexahedra
!         15 isopar. tetra(14 points) 5  tetrahedra
!         16 isopar. tetra(15 points) 5  tetrahedra
!         17 hexahedra (9 points)     12 tetrahedra
!         18 tehtrahedra (5 points)   4  tetrahedra
! ======================================================================
!
       getucdnr = NexpCells(itype)

       end
