      subroutine incmar ( n, intdi1, intmt1, intdi2, intmt2, ishift, &
                          text )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 07-04-1991
!
!   copyright (c) 1991-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       incmar compares the arrays INTDI1, INTMT1 with INTDI2, &
!       INTMT2 and prints the difference between the two, if any
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n, intdi1(n+1), intdi2(n+1), intmt1(*), intmt2(*), ishift
      character *(*) text

!     intdi1  i   First part of INTMT1. Gives number of columns per row
!     intdi2  i   First part of INTMT2. Gives number of columns per row
!     intmt1  i   Second part of INTMT1. Gives columns numbers per row
!     intmt2  i   Second part of INTMT2. Gives columns numbers per row
!     ishift  i   Shift for printing of row number. So the actual row number
!                 printed is i+ishift
!     n       i   Number of rows in INTMT1/2
!     text    i   Text to be printed in case of a difference
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      logical headin
      integer i, j, icol, jcol, ncol

!    headin    Indicates if a heading must be printed (true) or not (false)
!    i         General loop variable
!    icol      Column number in INTMT1
!    j         General loop variable
!    jcol      Column number in INTMT2
!    ncol      Number of columns in a row
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      headin = .true.
      do 200 i = 1, n
         ncol = intdi1(i+1) - intdi1(i)
         if ( ncol.ne.intdi2(i+1)-intdi2(i) ) then
            if ( headin ) then
               write(irefwr,100) text
100            format(//' Differences found in'/1x,a//)
               headin = .false.
            end if
            write(irefwr,110) i+ishift, ncol, intdi2(i+1)-intdi2(i)
110         format('Row',i5,'  Number of cols in INTMT1:',i3, &
                   ' Number of cols in INTMT2:',i3)
         end if
         do 150 j = 1, ncol
            icol = intmt1(intdi1(i)+j)
            jcol = intmt2(intdi2(i)+j)
            if ( icol.ne.jcol ) then
               if ( headin ) then
                  write(irefwr,100) text
                  headin = .false.
               end if
               write(irefwr,120) i+ishift, j, icol, jcol
120            format('Row', i6,' Entry', i3,'  Column numbers in', &
                      ' INTMT1:',i6,'  in INTMT2:',i6 )
            end if
150      continue
200   continue
      end
