      subroutine pr0006 ( amat, nel, i )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.5  date 06-12-2008 Adaptation format
!        version  2.4  date 14-11-1996 New memory management
!        version  2.3  date 04-01-1992 Adaption of format
!        version  2.2  date 22-08-1991 Zdenek: no dimension, cdc, ce
!        version  2.1  date 04-04-1990 New type format
!        version  2.0  date 27-03-1986
!
!   copyright (c) 1982-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      print row of real matrix
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision, intent(in) :: amat(*)
      integer, intent(in) :: nel, i

!     amat       i    array containing the row of the large matrix, &
!                     from position 1
!     i          i    row number
!     nel        i    number of elements in the row
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: nh, j

!     j          Counting variable
!     nh         Upper bound for array to be printed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      nh=nel
      if ( nh>5 ) nh=5
      write(irefwr,1) i,(amat(j),j=1,nh)
  1   format(1x,i5,':',5(ss,1pe15.7e2))
      if ( nel<=5 ) return
      write(irefwr,2) (amat(j),j=6,nel)
  2   format((7x,5(ss,1pe15.7e2)))
      end
