      subroutine prfillgrid2 ( coor, xmin, ymin, dx, dy, nstepx, &
                               nstepy )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-01-2001
!
!   copyright (c) 2001-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill coordinates of equidistant grid
!     2D version
! **********************************************************************
!
!                       KEYWORDS
!
!     coordinate
!     2d
!     grid
!     regular
!     rectangle
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nstepx, nstepy
      double precision coor(2,nstepy,nstepx), xmin, dx, ymin, dy

!     coor           o    array of length ndim x npoint containing the
!                         co-ordinates of the nodal points with respect to the
!                         global numbering
!     dx             i    step size in x-direction
!     dy             i    step size in y-direction
!     nstepx         i    Number of steps in x-direction
!     nstepy         i    Number of steps in y-direction
!     xmin           i    Minimum x-value
!     ymin           i    Minimum y-value
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, nstepx
         do j = 1, nstepy
            coor(1,j,i) = xmin+dx*(i-1)
            coor(2,j,i) = ymin+dy*(j-1)
         end do
      end do
      end
