      subroutine princomplnum ( complnum, d1, d2, chsign )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 16-08-2010
!
!   copyright (c) 2010-2010  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Split a complex number in a real part and the absolute value
!     of the imaginary part
!     Store sign of imaginary part
! **********************************************************************
!
!                       KEYWORDS
!
!     complex
!     number
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      complex * 16 complnum
      double precision d1, d2
      character (len=1) chsign

!     chsign         o    Contains the sign of the imaginary parts of number
!     complnum       i    Complex number to be splitted
!     d1             o    real part of number
!     d2             o    imaginary part of number
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      d1 = dble(complnum)
      d2 = imag(complnum)
      if ( d2<0d0 ) then
         chsign = '-'
         d2 = -d2
      else
         chsign = '+'
      end if  ! ( d2<0d0 )
      end
