      subroutine princoor2 ( coor, ndim, iseqnr, nodes, nnodes )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 27-03-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ndim, iseqnr, nodes(*), nnodes
      double precision coor(ndim,*)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, inode
      character (len=6) text(3)

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
      data text / 'x_coor', 'y_coor', 'z_coor' /
! ======================================================================
!
      call eropen ( 'princoor2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from princoor2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( iseqnr==0 ) then

!     --- iseqnr = 0, complete coordinates array

         write ( irefwr, 100 )
100      format ( 'node        x         y         z' )
         do i = 1, nnodes
            inode = nodes(i)
            write(irefwr,110) inode, coor(:,inode)
110         format(i6,':',ss,3(1pe10.3e2))
         end do  ! i = 1, nnodes

      else

!     --- iseqnr > 0, one component only

         write ( irefwr, 200 ) text(iseqnr), &
            (nodes(i),coor(iseqnr,nodes(i)),i=1,nnodes)
200      format(a/(5(1x,i6,':',ss,1pe10.3e2)))


      end if  ! ( iseqnr==0 )

1000  call erclos ( 'princoor2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End princoor2'

      end if  ! ( debug )

      end
