      subroutine prinelmedges ( ielem )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.3  date 30-11-2012 Long integers
!        version  1.2  date 08-12-2004 nmeshb --> nmeshd
!        version  1.1  date 08-11-2004 Adapt keywords
!
!   copyright (c) 2002-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print all edges corresponding to an element
!
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     element
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer :: ielem

!     ielem          i    Element number of element to be printed
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ipstart, i, nedge_elem

!     i              Counting variable
!     ipstart        Starting address in array
!     nedge_elem     number of edges corresponding to element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFILLKMESHAA Fill first part of array KMESH part aa
!     SEPFILLNMESHC  Fill array nmeshc
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Activate array
!     Compute starting address
!     Actual printing
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinelmedges' )

!     --- Activate array

      if ( kelmaa==0 ) call sepfillkmeshaa
      if ( nmesh(34)==0 ) call sepfillnmeshc

!     --- Actual printing

      ipstart = nmeshd(ielem)
      nedge_elem = nmeshd(ipstart)
      write ( irefwr,100 ) ielem, (nmeshd(ipstart+i), i=1,nedge_elem)
100   format ( 'edges corresponding to element ', i8, ' are'/ &
               (10i8) )

      call erclos ( 'prinelmedges' )

      end
