      subroutine prinibounels ( ibounelems )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-01-2004
!
!   copyright (c) 2004-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array ibounelems
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     obstacle
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibounelems(*)

!     ibounelems     i    Array of length numbounelms (<nelem) containing
!                         the element numbers of the elements that have all
!                         points on the boundary or on the obstacle
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer numobstelms, numbounelms, numbnobelms, istart

!     istart         First position used at a part
!     numbnobelms    number of elements that have some points on the boundary
!                    and the others on the obstacle
!     numbounelms    Number of elements that have all points on the
!                    boundary of the obstacle or a set of curves
!     numobstelms    number of elements that have all points on the obstacle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinibounels' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prinibounels'

      end if
      if ( ierror.ne.0 ) go to 1000
      numobstelms = ibounelems(1)
      numbounelms = ibounelems(2)
      numbnobelms = ibounelems(3)
      istart = 4
      call prinin ( ibounelems(istart), numobstelms, &
          'elements with all nodes on the obstacle' )
      istart = istart+numobstelms
      call prinin ( ibounelems(istart), numbounelms, &
          'elements with all nodes on the boundary' )
      istart = istart+numbounelms
      call prinin ( ibounelems(istart), numbnobelms, &
      'elements with some nodes on the boundary and rest on obstacle' )

1000  call erclos ( 'prinibounels' )

      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prinibounels'

      end if

      end
