      subroutine prinkmeshcur ( icurnr, kmeshm )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 02-02-2005
!
!   copyright (c) 2005-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array kmeshm for one curve
!
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     curve
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer icurnr, kmeshm(*)

!     icurnr         i    Curve sequence number
!     kmeshm         i    KMESH part m, contains nodal point numbers of the
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer istar3, ifirst, numnodes

!     ifirst         First curve (surface) number read
!     istar3         Starting address of KMESHM part 3 in KMESH part M
!     numnodes       Number of nodal points in array nodes
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prinkmeshcur' )
      istar3 = kmeshm(2)-1
      ifirst = kmeshm(4+icurnr)
      numnodes = kmeshm(5+icurnr)-ifirst
      write(irefwr,*) 'Nodes of curve no ', icurnr
      call prinin ( kmeshm(istar3+ifirst), numnodes, 'kmeshm' )
      call erclos ( 'prinkmeshcur' )
      end
