      subroutine printrl2file ( array, lenarr, namefile )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 20-06-2013 New definition file ref numbers
!        version  1.0  date 27-08-2004
!
!   copyright (c) 2004-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write real array of size lenarr (unformatted) to file named namefile
!     First record is lenarr (integer)
!     Second record array
! **********************************************************************
!
!                       KEYWORDS
!
!     write
!     print
!     file
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer lenarr
      double precision array(lenarr)
      character *(*) namefile

!     array          i    Array to be printed
!     lenarr         i    Length of array
!     namefile       i    String variable containing name of the file
!                         to which the result is written
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iref

!     iref           File reference number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer inisetnewref

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     INIRMREF       Remove entry iref from the set of reference numbers used
!     INISETNEWREF   Create new reference number
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'printrl2file' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from printrl2file'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      iref = inisetnewref()
      open ( iref, file = namefile, form = 'unformatted' )
      write(iref) lenarr
      write(iref) array
      close(iref)
      call inirmref ( iref )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End printrl2file'

      end if
      call erclos ( 'printrl2file' )

      end
