      subroutine printuserp
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 31-08-2000
!
!   copyright (c) 2000-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     prints the user points in a mesh as given
!     in array kmesh
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     user_point
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, node

!     i              Counting variable
!     j              Counting variable
!     node           Node number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr,* ) 'Co-ordinates of the user points'
      write ( irefwr,* ) 'User_point  Node       co-ordinates'
      do  i = 1, nuspnt
         node = kmeshl(i)
         if ( node>0 ) then
            write ( irefwr, 100 ) i, node, (coor(j,node),j=1,ndim)
100         format( i4, ':', i6, 2x, ss, 3(1pe13.5e2) )
         end if
      end do
      end
