      subroutine prsepblockendp
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 05-02-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Write last part problem to problem file
!
! **********************************************************************
!
!                       KEYWORDS
!
!     write
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prsepblockendp' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prsepblockendp'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write(irefwr,*) 'matrix'
      write(irefwr,*) 'storage_scheme=compact, symmetric'
      write(irefwr,*) 'end'
      write(irefwr,*) 'solve'
      write(irefwr,*) '   iteration_method = cg, accuracy = 1e-6,&'
      write(irefwr,*) '      print_level=2,, preconditioning = ilu &'
      write(irefwr,*) '      start = random, projection_method = coarse'
      write(irefwr,*) 'end'
      write(irefwr,*) 'structure'
      write(irefwr,*) '   set output off'
      write(irefwr,*) '   prescribe_boundary_conditions potential,&'
      write(irefwr,*) '      value = 1, surface=(s1)'
      write(irefwr,*) '   solve_linear_system potential'
      write(irefwr,*) '   potex = 1'
      write(irefwr,*) '   diff = potential - potex'
      write(irefwr,*) '   error = inf_norm (diff )'
      write(irefwr,*) '   print error'
      write(irefwr,*) 'end'

1000  call erclos ( 'prsepblockendp' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prsepblockendp'

      end if  ! ( debug )

      end
