      subroutine sepderassem ( compllc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-01-2017
!
!   copyright (c) 2017-2017  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     add element vector to large vector of derived quantities
!     Old subroutine to0021
! **********************************************************************
!
!                       KEYWORDS
!
!     element_vector
!     add
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulebuild
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      logical compllc

!     compllc   i    indication whether the arithmetic is real (false)
!                    or complex (true)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, i1, inusol, in1

!                    they are not
!     i              Counting variable
!     i1
!     in1
!     inusol         Position of unknown in array USOL
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRININ         print 1d integer array
!     PRINRL         Print 1d real vector
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepderassem' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepderassem'
         call ertrace
         call prinin ( index5, icouno, 'index5' )
         call prinrl ( elemvc2, icouno, 'elemvc2' )
         write(irefwr,*) 'compllc ', compllc

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( .not. compllc ) then

         do i = 1, icouno
            inusol=index5(i)
            vectout2(inusol)=vectout2(inusol)+elemvc2(i)
         end do

      else

         i1=-1
         do i = 1, icouno
            i1=i1+2
            inusol=index5(i)
            in1=inusol+inusol-1
            vectout2(in1)=vectout2(in1)+elemvc2(i1)
            vectout2(in1+1)=vectout2(in1+1)+elemvc2(i1+1)
         end do

      end if  ! ( .not. compllc )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepderassem'

      end if  ! ( debug )
      call erclos ( 'sepderassem' )

      end subroutine sepderassem
