      subroutine seppr0013
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     print contents of kmesh part h
!     Old subroutine pr0013
! **********************************************************************
!
!                       KEYWORDS
!
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PR0014         print co-ordinates of points
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'seppr0013')
      if ( kmrinput>0 ) then

!     --- Array rinput exists

         write(irefwr,100)
100      format(/' co-ordinates of user points'/)
         call pr0014 ( rinputkm(3), nuspnt, ndim )
      end if
      if ( kelmh==0 ) go to 1000
      write(irefwr,110) icurvsmsh
110   format(/' number of nodal points of the curves'/(1x,20i6))
      write(irefwr,120)
120   format(/' co-ordinates of points of curves'/)
      length = size(curvesmsh,2)
      call pr0014 ( curvesmsh, length, ndim )
      if ( nsurfs+nvolms>0 ) write(irefwr,130)
130   format(/' information of surfaces and volumes')
      do i = 1,nsurfs+nvolms
         if ( kmeshh(1,i+1)>0 ) then
            write(irefwr,140)
140         format(/' co-ordinates of nodal points'/)

            call pr0014(kmhsur(i)%coorsur, kmeshh(1,i+1), ndim)
         end if
         if ( kmhsur(i)%filled ) then
            write(irefwr,150)
150         format(/' elements of submesh'/)

            write(irefwr,160) kmhsur(i)%kmeshcsur
160         format(1x,10i6)
         end if
         if ( kmeshh(3,i+1)>0 ) then
            write(irefwr,170)
170         format(/' mapping array'/)
            write(irefwr,160) kmhsur(i)%maparsur
         end if
      end do
1000  call erclos ( 'seppr0013')
      end subroutine seppr0013
