      subroutine sepprinkmeshs
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array kmeshs
!     Old subroutine prinkmeshs
! **********************************************************************
!
!                       KEYWORDS
!
!     print
!     mesh
!     curve
!     surface
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PR0012         Print accumulated array
!     PRININ1        print 2d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Activate array
!     Compute starting address
!     Print
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprinkmeshs' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprinkmeshs'

      end if
      if ( ierror/=0 ) go to 1000

!     --- Print

      write(irefwr,200)
200   format ( //' Curves corresponding to surfaces'/ )
      call pr0012 ( nsurfs, kmeshs, kmeshs )
      call prinin1 ( kmeshs(nsurfs+2), nsurfs, 8, &
                     'Rest of information per surface' )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprinkmeshs'

      end if
      call erclos ( 'sepprinkmeshs' )

      end
