      subroutine sepprinnmeshc
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array nmesh part c
!     Node numbers of the edges
!     Old subroutine prinnmeshc
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     node
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, iedge, nnode_edge

!     i              Counting variable
!     iedge          edge sequence number
!     istart         First position used at a part
!     nnode_edge     number of nodes in edge
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprinnmeshc' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprinnmeshc'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      write ( irefwr, 100 )
100   format ( ' Node numbers of the edges'/ )
      do iedge = 1, nedges
         istart = nmeshc(iedge)
         nnode_edge = nmeshc(istart)
         write ( irefwr, 110 ) iedge, &
            (nmeshc(istart+i), i = 1, nnode_edge )
110      format ( i6,':', 40i7 )
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprinnmeshc'

      end if  ! ( debug )
      call erclos ( 'sepprinnmeshc' )

      end subroutine sepprinnmeshc
