      subroutine sepprinnmeshd
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-03-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of array nmesh part d
!     edge numbers of elements
!     Old subroutine prinnmeshd
! **********************************************************************
!
!                       KEYWORDS
!
!     edge
!     element
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, istart, nedge_elem, ielem

!     i              Counting variable
!     ielem          Element number
!     istart         First position used at a part
!     nedge_elem     Number of edges in element
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      write ( irefwr, 100 )
100   format ( ' Edge numbers of the elements'/ )
      do ielem = 1, nelem
         istart = nmeshd(ielem)
         nedge_elem = nmeshd(istart)
         write ( irefwr, 110 ) ielem, &
            (nmeshd(istart+i), i = 1, nedge_elem )
110      format ( i6,':', 40i7 )
      end do
      end
