      subroutine  sepprmshob1
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-04-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of icurvsobst
!     Old subroutine prmshob1
! **********************************************************************
!
!                       KEYWORDS
!
!     mesh
!     print
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, n, istart, nfound, icurnr
      logical found

!     found      If true already a possibility has been found
!     i          Counting variable
!     icurnr     Curve sequence number
!     istart     First position used at a part
!     n          number of points on a curve
!     nfound     Number of active points found on the obstacle for one curve
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     PRININ1    print 1d integer array
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      found = .false.
      istart = 0
      do icurnr = 1, ncurvs
         if ( icurnr==1 ) then
            n = icurvsmsh(1)
         else
            n = icurvsmsh(icurnr)-icurvsmsh(icurnr-1)
         end if
         if ( iobscurv(icurnr)>0 ) then

!        --- Possibly active points on curve

            nfound = 0
            do i = 1, n
               if ( icurvsobst2d(1,istart+i)/=0 ) nfound = nfound + 1
            end do
            if ( nfound>0 ) then

!           --- there are active obstacle points on the curve

               write(irefwr,*) 'curve number ',icurnr
               call prinin1 ( icurvsobst2d(1,istart), n, 2, 'icurvsobst' )
               found = .true.

            end if

         end if
         istart = istart + n

      end do
      if ( .not. found ) write(irefwr,*) 'no active obstacles'

      end
