      subroutine to0042
! ======================================================================
!
!        programmer   Jaap van der Zanden
!        version 2.0  date   16-03-1998 Complete revision
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0  date   24-05-1988
!
!   copyright (c) 1988-1998  "ingenieursbureau SEPRA".
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from the "ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!    averaging of degrees of freedom of vectout over the first
!    two points of an element (developed for itype(mesh)=-10001
!                                            itype(prob)=-1)
!    real version
! **********************************************************************
!
!                       KEYWORDS
!
!    derivative
!    average
!    real
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulevecs
      use sepmodulekprob
      use sepmodulebuild
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer inunkp, j, ileft, iright

!     ileft      First node in connection element
!     inunkp     Number of degrees of freedom in first point
!     iright     Second node in connection element
!     j          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( indprfo.eq.0 ) then

!     --- Number of degrees of freedom constant

         if ( nunkpo.eq.1 ) then

!        --- One degree of freedom per point

            ileft = index1(1)
            iright = index1(2)
            vectout(ileft) = vectout(ileft)+vectout(iright)
            vectout(iright) = vectout(ileft)
            weight(ileft) = weight(ileft)+weight(iright)
            weight(iright) = weight(ileft)

         else

!        --- nunkpo degrees of freedom per point

            do j = 1, nunkpo
               ileft = (index1(1)-1)*nunkpo+j
               iright = (index1(2)-1)*nunkpo+j
               vectout(ileft) = vectout(ileft)+vectout(iright)
               vectout(iright) = vectout(ileft)
               weight(ileft) = weight(ileft)+weight(iright)
               weight(iright) = weight(ileft)
            end do

         end if

      else

!     --- number of degrees of freedom not constant

         ileft = index1(1)
         inunkp = kprobfo(ileft+1)-kprobfo(ileft)
         do j = 1, inunkp
            ileft = kprobfo(index1(1))+j
            iright = kprobfo(index1(2))+j
            vectout(ileft) = vectout(ileft)+vectout(iright)
            vectout(iright) = vectout(ileft)
            weight(ileft) = weight(ileft)+weight(iright)
            weight(iright) = weight(ileft)
         end do

      end if

      end
