      subroutine to0085fillel ( iworkel, ichoice, iobst )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 30-11-2012 Long integers
!        version  1.0  date 21-10-2011
!
!   copyright (c) 2011-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array workel with information which elements must be
!     skipped and which not
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     integral
!     level_set
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iworkel(nelem), ichoice, iobst

!     ichoice        i    Choice parameter, see array IINPUT(5)
!     iobst          i    Sequence number of level being considered
!     iworkel        o    Work array of length nelem to indicate if an element
!                         may be used (0) or must be skipped (1)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer istart, numinelmobst

!     istart         Starting address
!     numinelmobst   Number of elements that are completely within the obstacle
! **********************************************************************
!
!                       SUBROUTINES CALLED
!

!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     SEPFLIELEMOBST Fill or activate array kmesh ad  part 2: ielemobst
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'to0085fillel' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from to0085fillel'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iworkel = 0

      if ( ichoice<0 ) then

!     --- ichoice = -1 or -2, fill iworkel

         call sepflielemobst

         istart = ielemobst(iobst)
         numinelmobst = ielemobst(istart)+ielemobst(istart+1)
         istart = istart+3

         if ( ichoice==-1 ) then

!        --- ichoice = -1, all elements in non-active part are skipped

            iworkel(ielemobst(istart:istart+numinelmobst-1)) = 1

         else

!        --- ichoice = -2, all elements in active part are skipped

            iworkel = 1
            iworkel(ielemobst(istart:istart+numinelmobst-1)) = 0

         end if  ! ( ichoice==-1 )

      end if  ! ( ichoice<0 )

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End to0085fillel'

      end if  ! ( debug )
      call erclos ( 'to0085fillel' )

      end
