      subroutine topmaptetra11 ( kmeshc, kmeshcnew, inpelm, inelem, &
                                 inpelmnew )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 29-11-2006
!
!   copyright (c) 2006-2006  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy elements of shape 11 or 18 into new elements of shape 11
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     interpolation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer inpelm, inelem, kmeshc(inpelm,inelem), inpelmnew, &
              kmeshcnew(inpelmnew,inelem)

!     inelem         i    Number of elements in a specific element group
!     inpelm         i    number of points per element
!     inpelmnew      i    number of points per element for new mesh
!     kmeshc         i    kmesh part c, contains the nodal points
!                         corresponding to the elements
!     kmeshcnew      o    New kmesh part c
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, ielem

!     i              Counting variable
!     ielem          Element number
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'topmaptetra11' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from topmaptetra11'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      do ielem = 1, inelem
         do i = 1, inpelmnew
            kmeshcnew(i,ielem) = kmeshc(i,ielem)
         end do  ! i = 1, 4
      end do  ! ielem = 1, inelem

1000  call erclos ( 'topmaptetra11' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End topmaptetra11'

      end if  ! ( debug )

      end
