      subroutine plafcv
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 09-01-1993 Complete new subroutine, old one
!                                      no longer used
!        version  1.0  date 08-04-1991
!
!   copyright (c) 1991-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Compute the scaling factors and minimum and maximum values of the
!    co-ordinates in case of zooming
!    Information is read from common CPLAF1 and stored in CPLAF
! **********************************************************************
!
!                       KEYWORDS
!
!     plot
!     transformation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleplot
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dx, dy

!    dx      Help parameter to compute the scaling factor in x-direction
!    dy      Help parameter to compute the scaling factor in y-direction
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      actfac = zfact ** ilzoom
      dx = (xmaxzm-xminzm)*actfac
      dy = (ymaxzm-yminzm)*actfac
      xmint  = max ( xminzm, xcentr-0.5d0*dx)
      xmaxt  = min ( xmaxzm, xcentr+0.5d0*dx)
      ymint  = max ( yminzm, ycentr-0.5d0*dy)
      ymaxt  = min ( ymaxzm, ycentr+0.5d0*dy)
      xfct   = dx / alefig
      yfct   = dy / widfig
      xmin = xmint
      xmax = xmaxt
      ymin = ymint
      ymax = ymaxt
      end
