      subroutine plafp8 (ichois, icolor, npolyg, polyg)
! ======================================================================
!
!        programmer    Guus Segal
!        version 3.14  date   06-02-2004 Remove superfluous computers
!        version 3.13  date   20-04-1999 Inlcude commons
!        version 3.12  date   16-11-1994 no colors for postscript B/W
!
!   copyright (c) 1986-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   All rights reserved. No part of this publication may be reproduced,
!   stored in a retrieval system (e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!    Plot polygon, or fill polygon with colour depending on the
!    value of icolor
!    All parameters are single precision
!
!    machine dependent subroutine
!    starbase/ hpgl/ apollo/ PC with VGA or EGA/ cgi
!
! **********************************************************************
!
!                 Input/output parameters

      use sepmodulecomio
      use sepmodulemach
      use sepmoduleplot
      implicit none
      integer ichois, icolor, npolyg
      real polyg(*)
!
!    ichois   i   Choice parameter.  Not used anymore
!    icolor   i   number indicating the type of colour to be used for fill
!                 0:  the polygon will not be filled
!                 1-ncolor: index in colortable
!    npolyg   i   number of points in the polygon
!    polyg    i   array of length 2*npolyg containing the co-ordinates
!                 of the points in the polygon in the sequence:
!                 x1,y1, x2,y2, ... , xnpolyg,ynpolyg
!
! **********************************************************************
!
!                 SEPRAN commons
!

! **********************************************************************
!
!                 Generally used local variables

      integer i, imode, icount, iref

!    i            loop variable
!    imode        first parameter for unformatted files
!    icount       Count of number of calls for error message
!    iref         Reference number for SEPRAN neutral plot file
!
      data icount/0/
!
! **********************************************************************
!
!                 Machine-dependent actions
!
!    In order to get the correct package, the user should remove the
!    comments before the calls of the packages
!
!    The following specific comments are used
!
!    chps   HP-Unix   StarBase version
!    chgl   HP-GL plotter version
!    calc   Calcomp version (with slight modifications for some versions)
!    capo   Apollo version
!    cgks   GKS version
!    cpl1   Plot-10 version
!    cvga   PC, running FTN77/386 with VGA or EGA card
!    ccgi   PC, running UNIX with CGI package
!    cpos   PostScript output
!    cown   Local version not supported by SEPRAN
!
! ======================================================================
!
      iref = abs(irefpl)

!
! **********************************************************************
!   some implementations need explicit setting of the default color
!

      if ((posdev(1:2).ne.'ps' .and. posdev(1:2).ne.'pl') .and. &
          dcolor.gt.0) call plcol0 (dcolor)

!    *  Add origin to polyg

      do 10 i=2,2*npolyg,2
         polyg(i-1)=polyg(i-1)+xorig
10       polyg(i)=polyg(i)+yorig

!
! **********************************************************************
!
      if (iplotf.eq.1 .and. irefpl.lt.0 .or. posdev(1:2).eq.'fb') then
!
!       *  write binary (unformatted) to file 8
!
         imode=7
         write (iref) imode,float(icolor),float(dcolor),0.,0.,npolyg
         write (iref) (polyg(i), i=1,2*npolyg)
      else if ( iplotf.eq.1 .or. posdev(1:2).eq.'fa' .or. &
                posdev(1:2).eq.'f1' ) then
!
!       *  write ascii (formatted) to file 8
!
         write (iref,40) icolor,dcolor,npolyg
40       format ('7',2(1x,i3),' 0 0 ',i3)
         write (iref,50) (polyg(i),i=1,2*npolyg)
50       format (10f8.3)
      end if
      if ( posdev(1:1).eq.'f' ) then
         return
!
! **********************************************************************
!
!   *  PostScript plotter output to file:
!
      else if ( posdev(1:2).eq.'ps' .or. posdev(1:2).eq.'pl' &
           .or. posdev(1:2).eq.'pc' .or. posdev(1:2).eq.'pw' ) then
!
!      reset line color in postscript B/W
         if (posdev(1:2).eq.'ps'.or.posdev(1:2).eq.'pl') dcolor=0

         call plpos8 (icolor, npolyg, polyg)
         return
!
! **********************************************************************
!
!   *  Local version not supported by SEPRAN
!
      else if ( posdev(1:2).eq.'ow' ) then
!
         call plown8 (ichois, icolor, npolyg, polyg)
         return
!
! **********************************************************************
!
!    Machine dependent call (HP-GL code for plotter)
!
      else if (posdev(1:1).eq.'p') then
         call plhgl8 (ichois, icolor, npolyg, polyg)
         return
!
!
! **********************************************************************
!
!    Unknown choice, unsupported or commented out of compiled version
!
      else if ( icount.eq.0 ) then
         write (irefwr,9900) posdev
9900     format (' plafp8 - device ',a,' not supported in this version')
         icount = 1
      end if
!
      end
