      subroutine plbc15(work,n,icirc,work2,hstep,rho,icrd)
      implicit double precision (a-h,o-z)
      double precision work(*), work2(*)
! * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer   niek praagman                                    * &
!         version 1.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1    date  26-199-1986                                    * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1986  "ingenieursbureau sepra"                        * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "ingenieursbureau sepra".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *   plbc15 smoothes either the x-coordinates or the y-coordinates     * &
! *                                                                     * &
! ***********************************************************************
! *                                                                     * &
! *   parameters : see plbc14                                           * &
! *                                                                     * &
! ***********************************************************************
! * &
      k=icrd-1
! * &
! *   startposition arclength
! * &
      iph = 5+8*n
! * &
      if ( icrd.eq.1 ) then
! * &
           do 100 i=1,n-1
               ih=2*i
               dx=work(ih+1)-work(ih-1)
               dy=work(ih+2)-work(ih  )
               arcl=sqrt(dx*dx+dy*dy)
               work2(iph+i)=arcl
100        continue
! * &
           if ( icirc.eq.1 ) then
                work2(iph+n)=work2(iph+1)
           else
                work2(iph+n)=1d0
           end if
! * &
! *        store number of spline pieces in position 2
! * &
           work2(2)=n-1
! * &
! *        store actual length of work2 in position 3
! * &
           if ( icirc.eq.0 .or. n.eq.4 ) then
                work2(3)=5+9*n
           else
                work2(3)=5+11*n
           end if
! * &
           work2(4)=hstep
           work2(5)=rho
! * &
      end if
! * &
      if ( n.eq.2 ) then
! * &
           ipa=5+(0+k)*n
           ipb=5+(2+k)*n
           ipc=5+(4+k)*n
           ipd=5+(6+k)*n
! * &
           work2(ipa+1)=work(1+k)
           work2(ipa+2)=work(3+k)
           dx=work(3)-work(1)
           dy=work(4)-work(2)
           arc=sqrt(dx*dx+dy*dy)
           if ( arc.lt.1.d-10 ) then
                work2(ipb+1)=1d0
           else
                work2(ipb+1)=(work2(ipa+2)-work2(ipa+1))/arc
           end if
           work2(ipb+2)=0d0
           work2(ipc+1)=0d0
           work2(ipc+2)=0d0
           work2(ipd+1)=0d0
           work2(ipd+2)=0d0
! * &
           return
! * &
      end if
! * &
! *   compute right hand side of spline equations
! * &
      call plbc17(work,work2,n,k)
! * &
      if ( icirc.eq.0 ) j=2
      if ( icirc.eq.1 ) j=1
! * &
      nunk=n-j
! * &
! *   build and store matrix
! * &
      if ( k.eq.0 ) then
! * &
           call plbc18(work2,n,j)
! * &
! *        make decomposition
! * &
           if ( nunk.gt.2 ) then
                call plbc19(work2,n,j)
           end if
! * &
      end if
! * &
! *   solve system of equations
! * &
      call plbc20(work2,n,j,k)
! * &
! *   compute and store spline coefficients
! * &
      call plbc21(work,work2,n,j,k)
! * &
      end
