      subroutine plbc20(w2,n,j,k)
      implicit double precision (a-h,o-z)
      double precision w2(*)
! *
! ***********************************************************************
!
!
!         programmer   niek praagman
!         version 1.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1    date  26-199-1986
!
!
!
!   copyright (c) 1986  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
! *
! *   PLBC20 solves the system of equations that has to be solved for
! *   discrete cubic spline smoothing.
! *   The solution is stored in the pos. of the rhs:
! *   positions ipc+i, i=j(1)n-1
! *
! **********************************************************************
! *
! *   Parameters  : see PLBC14
! *
! ***********************************************************************
! *
! *   Initialise
! *
      nunk=n-j
      ipp=5+n
      ipq=5+3*n
      ipr=5+7*n
      ips=5+9*n
      ipt=5+10*n
      ipc=5+(4+k)*n
      nm1=n-1
      nm2=n-2
      nm3=n-3
      nm4=n-4
      nm5=n-5
! *
! *   Check number of unknowns
! *      compute one- or two-component solution
! *
      if ( nunk.lt.3 ) then
! *
           if ( nunk.eq.1 ) then
                w2(ipc+2)=w2(ipc+2)/w2(ipp+2)
           else
                w2(ipc+2)=(w2(ipc+2)*w2(ipp+3)-w2(ipc+3)*w2(ipq+2))/ &
                          (w2(ipp+2)*w2(ipp+3)-w2(ipq+2)*w2(ipq+2))
                w2(ipc+3)=(w2(ipc+3)-w2(ipc+2)*w2(ipq+2))/w2(ipp+3)
           end if
! *
           return
! *
      end if
! *
! *   solve decomposed system ldlt*x=rhs
! *
! *   solve l*x=rhs and store result in rhs
! *
      iend=nm3
! *
      if ( j.eq.2 .or. nunk.eq.3 ) iend=nm1
! *
      istart=j+2
      w2(ipc+j+1)=w2(ipc+j+1)-w2(ipq+j)*w2(ipc+j)
! *
      if ( nunk .ne.4 .or. j.ne.1) then
! *
           do 30 i=istart,iend
               w2(ipc+i)=w2(ipc+i)-w2(ipr+i-2)*w2(ipc+i-2)- &
                         w2(ipq+i-1)*w2(ipc+i-1)
30         continue
! *
      end if
! *
      if ( j .ne.2 .and. nunk.ne.3 ) then
! *
           sums=0d0
           sumt=0d0
           do 50 i=1,nm3
               sums=sums+w2(ips+i)*w2(ipc+i)
               sumt=sumt+w2(ipt+i)*w2(ipc+i)
50         continue
           w2(ipc+nm2)=w2(ipc+nm2)-sums
           w2(ipc+nm1)=w2(ipc+nm1)-sumt-w2(ipt+nm2)*w2(ipc+nm2)
      end if
! *
! *   solve d*x=rhs and store result in rhs
! *
      do 70 i=j,nm1
         w2(ipc+i)=w2(ipc+i)/w2(ipp+i)
70    continue
! *
! *   solve lt*x=rhs
! *
      if ( j.ne.1 .or. nunk.eq.3 ) then
! *
           w2(ipc+nm2)=w2(ipc+nm2)-w2(ipq+nm2)*w2(ipc+nm1)
           iend=nm1-j
           do 80 i=2,iend
              m=nm1-i
              w2(ipc+m)=w2(ipc+m)-w2(ipq+m)*w2(ipc+m+1)- &
                        w2(ipr+m)*w2(ipc+m+2)
80         continue
! *
      else
! *
           cnm1=w2(ipc+nm1)
           w2(ipc+nm2)=w2(ipc+nm2)-w2(ipt+nm2)*cnm1
           cnm2=w2(ipc+nm2)
           w2(ipc+nm3)=w2(ipc+nm3)-w2(ips+nm3)*cnm2-w2(ipt+nm3)*cnm1
           w2(ipc+nm4)=w2(ipc+nm4)-w2(ipq+nm4)*w2(ipc+nm3)- &
                       w2(ips+nm4)*cnm2-w2(ipt+nm4)*cnm1
           if ( nunk.ne.4 ) then
                do 100 i=1,nm5
                    m=nm4-i
                    w2(ipc+m)=w2(ipc+m)-w2(ipq+m)*w2(ipc+m+1)- &
                              w2(ipr+m)*w2(ipc+m+2)-w2(ips+m)*cnm2- &
                              w2(ipt+m)*cnm1
100             continue
           end if
! *
      end if
! *
      end
