      subroutine plbc21(w1,w2,n,j,k)
      implicit double precision (a-h,o-z)
      double precision w1(*), w2(*)
! *
! ***********************************************************************
!
!
!         programmer     Niek Praagman
!         version 2.1    date   22-08-1991 Zdenek: no dimension, cdc, ce
!         version 2.0    date   5-198-1987
!         version 2.1    date  17-02-1989  Deletion of superfl. parms
!
!
!
!   copyright (c) 1986,1989  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "Ingenieursbureau SEPRA"
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
! *
! *   PLBC21 computes and stores the spline coefficients of the discrete
! *   cubic spline pieces ai + bi*(t-ti) + ci*(t-ti)**2 + di*(t-ti)**3.
! *   the coefficients are stored in array w2:
! *   ai in positions ipa+i,
! *   bi in positions ipb+i,
! *   ci in positions ipc+i,
! *   di in positions ipd+i, i=1(1)n-1
! *
! **********************************************************************
! *
! *   Parameters : See PLBC14
! *
! ***********************************************************************
! *
      h  =w2(4)
      rho=w2(5)
      r6=6*h**3/rho
      ipa=5+k*n
      ipb=5+(2+k)*n
      ipc=5+(4+k)*n
      ipd=5+(6+k)*n
      iph=5+8*n
      nm1=n-1
      np1=n+1
!
      if ( j.eq.2 ) then
! *
! *        open contour line
! *
           w2(ipc+n)=0d0
           w2(ipc+1)=0d0
      else
! *
! *        closed contour line
! *
           w2(ipc+n)=w2(ipc+1)
           w2(ipd+n)=(w2(ipc+2)-w2(ipc+n))/(3d0*w2(iph+n))
           enul=(w2(ipc+n)-w2(ipc+nm1))/(3d0*w2(iph+nm1))
      end if
! *
      w2(ipd+nm1)=(w2(ipc+n)-w2(ipc+nm1))/(3d0*w2(iph+nm1))
      if ( j.eq.2 ) w2(ipd+n) = w2(ipd+n-1)
      w2(ipa+n)  =w1(2*n+k-1)-r6*(w2(ipd+n)-w2(ipd+nm1))
! *
      do 30 i=2,nm1
          m  =np1-i
          mm1=m-1
          mp1=m+1
          w2(ipd+mm1)=(w2(ipc+m)-w2(ipc+mm1))/(3d0*w2(iph+mm1))
          w2(ipa+m)  =w1(2*m+k-1)-r6*(w2(ipd+m)-w2(ipd+mm1))
          w2(ipb+m)  =(w2(ipa+mp1)-w2(ipa+m))/w2(iph+m)- &
                       w2(iph+m)*(2d0*w2(ipc+m)+w2(ipc+mp1))/3d0
30    continue
! *
      if ( j.eq.2 ) then
           enul = w2(ipd+1)
           hnm1 = w2(iph+n-1)
           w2(ipb+n-1)=(w1(2*n+k-1)-w2(ipa+n-1))/hnm1 &
                       -w2(ipc+n-1)*hnm1 &
                       -w2(ipd+n-1)*hnm1*hnm1
      end if
      w2(ipa+1)=w1(1+k)-r6*(w2(ipd+1)-enul)
      w2(ipb+1)=(w2(ipa+2)-w2(ipa+1))/w2(iph+1)- &
                w2(iph+1)*(2d0*w2(ipc+1)+w2(ipc+2))/3d0
      w2(ipb+n)=w2(ipb+1)
! *
      end
