      subroutine plcoli
! ======================================================================
!
!
!        programmer     Eef Hartman
!        version 1.0    date   28-06-1994
!
!
!   copyright (c) 1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    this subroutine sets the machine independent color table
!    for usage by all low-level plotting routines in color.
!    The table is 3xN elements, in order Red, Green and Blue,
!    each element is between 0 (nothing of this color) and 1 (full
!    intensity).
!
! **********************************************************************
!
!                      KEYWORDS
!
!    plot
!    color
! ********************************************************************
!
      use sepmoduleplot
      implicit none
!
! **********************************************************************
!
!                      COMMON BLOCKS
!
! **********************************************************************
!
!                    LOCAL PARAMETERS

      integer i
! ======================================================================

!    *  The standard colour is white  (1)

      colors(1,1) = 1.0
      colors(2,1) = 1.0
      colors(3,1) = 1.0

!    *  The first colour set consists of 21 colours
!       Start at 1 (internally 2)
!       11 colours from blue to red
!       11 colours from red to yellow

      do 210 i=1,10
         colors(1,i+1)=(i-1)/10.0
         colors(2,i+1)=0.0
         colors(3,i+1)=(11-i)/10.0
210   continue
      do 220 i=1,10
         colors(1,11+i)=1.0
         colors(2,11+i)=(i-1)/10.0
         colors(3,11+i)=0.0
220   continue
      colors(1,22)=1.0
      colors(2,22)=1.0
      colors(3,22)=0.0

!    *  The second colour set consists of 41 colours
!       Start at 22 (internally 23)
!       21 colours from blue to red
!       21 colours from red to yellow

      do 230 i=1,20
         colors(1,i+22)=(i-1)/20.0
         colors(2,i+22)=0.0
         colors(3,i+22)=(21-i)/20.0
230   continue
      do 240 i=1,20
         colors(1,42+i)=1.0
         colors(2,42+i)=(i-1)/20.0
         colors(3,42+i)=0.0
240   continue
      colors(1,63)=1.0
      colors(2,63)=1.0
      colors(3,63)=0.0

!    *  The third colour set consists of 41 colours
!       Start at 63 (internally 64)
!       21 colours from green to yellow
!       21 colours from yellow to red

      do 250 i=1,20
         colors(1,i+63)=(i-1)/20.0
         colors(2,i+63)=1.0
         colors(3,i+63)=0.0
250   continue
      do 260 i=1,20
         colors(1,83+i)=1.0
         colors(2,83+i)=(21-i)/20.0
         colors(3,83+i)=0.0
260   continue
      colors(1,104)=1.0
      colors(2,104)=0.0
      colors(3,104)=0.0

!    *  The fourth colour set consists of 41 colours
!       Start at 104 (internally 105)
!       41 colours from white to black

      do 270 i=1,40
         colors(1,i+104)=(41-i)/40.0
         colors(2,i+104)=(41-i)/40.0
         colors(3,i+104)=(41-i)/40.0
270   continue
      colors(1,145)=0.0
      colors(2,145)=0.0
      colors(3,145)=0.0

!
!    * now set curcol to 1 (default color) and dcolor to 0 (no color)
!

      curcol = 1
      dcolor = 0

!
      end
