      subroutine plhgl7 ( x, y, text, angle, height, nchar )
! ======================================================================
!
!
!        programmer     Eef Hartman
!        version 1.0    date   06-12-1991
!
!   copyright (c) 1991  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!    subroutine to plot a text starting on (x,y)
!
!    machine dependent subroutine
!    HPGL
!
! ********************************************************************
!
!                      KEYWORDS
!
!   machine_dependent
!   plot
!   hpgl
!
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      use sepmodulemach
      use sepmoduleplot
      implicit none
      real x, y, angle, height
      integer nchar
      character *(*) text

!
!     angle     i   The text is plotted under an angle of angle degrees.
!
!     height    i   The height of the text is equal to HEIGHT centimeters.
!
!     nchar     i   Number of characters in the text to be plotted
!
!     text      i   Text to be plotted. Character variable
!                   The text may contain at most 80 characters
!
!     x,y       i   give the co-ordinates of the at most left under point of
!                   the first character. The pen moves with pen up to (X,Y).
!
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer irefgl, is, ic
!
!    irefgl       file reference number for hpgl file
!
! ********************************************************************
!
!             SUBROUTINES CALLED
!
!     ERCLOS:  Resets old name of previous subroutine of higher level
!     EROPEN:  Produces concatenated name of local subroutine
!     ERRSUB:  Error messages
!
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      irefgl = abs(irefpl) + 1

         write (irefgl,100) mod(dcolor,8)+1,x,y
100      format (' sp',i1,'pu',f6.2,',',f6.2,';')
         if (abs(angle).lt.0.01) then
            ic=1
            is=0
         else if (abs(angle-90.0).lt.0.01) then
            ic=0
            is=1
         else if (abs(angle+90.0).lt.0.01) then
            ic=0
            is=-1
         else if (abs(angle+180.0).lt.0.01 .or. &
                  abs(angle-180.0).lt.0.01) then
            ic=-1
            is=0
         end if
         write (irefgl,110) ic,is,0.6*height,height,text(1:nchar), &
            char(3)
110      format (' dr',i1,',',i2,'si',f7.3,',',f7.3,'lb',a,a1,';')
      end
!dc*eor
