      subroutine plt301 ( nstart )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 30-05-2018
!
!   copyright (c) 2018-2018  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nstart(*)

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ihelp, ielem, i, inpelm

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'plt301' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from plt301'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      ihelp=1
      nstart(1)=0

      do i=1,nelgrp

          inpelm=Topgrp(i)%inpelm
          inelem=Topgrp(i)%inelem

          do ielem=1,inelem
              ihelp=ihelp+1
              nstart(ihelp)=nstart(ihelp-1)+inpelm
          end do

      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End plt301'

      end if  ! ( debug )
      call erclos ( 'plt301' )

      end subroutine plt301
