      subroutine plt351(v,xa,ya,za,ski,eta,xbara,ybara,zbara,skia,etaa)
      implicit double precision (a-h,o-z)
      double precision v(3), ski(3), eta(3)
! * &
! ***********************************************************************
! *                                                                     * &
! *   Subroutine to compute the projection of point (xa,ya,za).         * &
! *   Result in global coordinates : (xbara,ybara,zbara)                * &
! *   Result in local coordinates  : ( skia,etaa )                      * &
! *                                                                     * &
! ***********************************************************************
!                                                                       * &
!                                                                       * &
!         programmer   niek praagman                                    * &
!         version 1.1  date  22-08-1991 Zdenek: no dimension, cdc, ce
!         version 1    date  27-6-1987                                    * &
!                                                                       * &
!                                                                       * &
!                                                                       * &
!   copyright (c) 1987  "ingenieursbureau sepra"                        * &
!   permission to copy or distribute this software or documentation     * &
!   in hard or soft copy granted only by written license obtained       * &
!   from "ingenieursbureau sepra".                                      * &
!   all rights reserved. no part of this publication may be reproduced, * &
!   stored in a retrieval system (e.g. , in memory, disk or core)       * &
!   or be transmitted by any means, electronic, mechanical, photocopy,  * &
!   recording, or otherwise, without written permission from the        * &
!   publisher.                                                          * &
!                                                                       * &
! ***********************************************************************
! *                                                                     * &
! *   Meaning of parameters :                                           * &
! *                                                                     * &
! *   v                    (i)  : viewpoint                             * &
! *   (xa,ya,za)           (i)  : point to be projected                 * &
! *   (ski,eta)            (i)  : basisvectors in projection plane      * &
! *   (xbara,ybara,zbara)  (o)  : projection of point in 3-D            * &
! *   (skia,etaa)          (o)  : projection of point in 2-D            * &
! *                                                                     * &
! ***********************************************************************
! * &
! *   Determine alpha
! * &
      sum = ( (xa-v(1))*v(1) + (ya-v(2))*v(2) + (za-v(3))*v(3) )
! * &
      som = (v(1)*v(1) + v(2)*v(2) + v(3)*v(3))
! * &
      alpha = - som/sum
! * &
      xbara = v(1) + alpha * ( xa - v(1) )
      ybara = v(2) + alpha * ( ya - v(2) )
      zbara = v(3) + alpha * ( za - v(3) )
! * &
! *   Determine local coordinates
! * &
      ikeuze = 1
      det    = ski(1)*eta(2) - ski(2)*eta(1)
! * &
      hedet  = ski(2)*eta(3) - ski(3)*eta(2)
      if ( abs(hedet).gt.abs(det) ) then
           ikeuze = 2
           det    = hedet
      end if
! * &
      hedet  = ski(3)*eta(1) - ski(1)*eta(3)
      if ( abs(hedet).gt.abs(det) ) then
           ikeuze = 3
           det    = hedet
      end if
! * &
      if ( ikeuze.eq.1 ) then
           skia  =  ( eta(2)*xbara - eta(1)*ybara ) / det
           etaa  =  ( ski(1)*ybara - ski(2)*xbara ) / det
      else if ( ikeuze.eq.2 ) then
           skia  =  ( eta(3)*ybara - eta(2)*zbara ) / det
           etaa  =  ( ski(2)*zbara - ski(3)*ybara ) / det
      else if ( ikeuze.eq.3 ) then
           skia  =  ( eta(1)*zbara - eta(3)*xbara ) / det
           etaa  =  ( ski(3)*xbara - ski(1)*zbara ) / det
      end if
! * &
      end
