      subroutine pltjfs ( hptr )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.1  date 21-11-1995 Better error handling
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       this subroutine frees a segment starting at hptr.
!       it is appended to the freelist.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer hptr

!     hptr  i   cell number of first cell.
!               If hptr was a header cell, hptr contains pointer to next
!               segment on exit.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer lastcl, optr, gbgcan

!     gbgcan  garbagecan (everything that gets in here is thrown away).
!     lastcl  last cell of this segment
!     optr    car (hptr)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     ERRSUB  Error messages
!     PLTJAD  to change the segment pointer
!     PLTJDC  to change the cell pointer of the freelist.
!     PLTJEN  to find end of segment
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1268   pltjrm called with Empty segment.
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjfs')
      if (hptr.eq.nil) then
         call errsub (1268, 0, 0, 0)

!        --- Error: pltjfs called with empty list

         goto 99999

!        --- Signify fatal error and exit

      end if

!     --- First clean the address register. Then find the last cell of the
!         --- segment
!         Finally add the segment to the freelist, by updating the cell pointer
!         of lastcl and the start address of the freelist.

      call pltjad (hptr, nil, optr)
      call pltjen (hptr, lastcl)
      call pltjdc (lastcl, freest, gbgcan)
      if ( ierror/=0 ) goto 99999
      freest = hptr
      hptr = optr
99999 continue
      call erclos ('pltjfs')
      end
