      subroutine pltjse ( stadr, xcoor, ycoor )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjse plots a line. Xcoordinates & y coordinates in
!       xcoor & ycoor. Data structure as defined in the listpack.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer stadr
      double precision xcoor (*), ycoor (*)

!     stadr   i    start address of the list
!     xcoor   i    array of x coordinates in the listpack.
!     ycoor   i    array of y coordinates in the listpack.
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer seghpt, cell

!     cell    cell number of cell to be plotted
!     seghpt  first cell (header) of a segment
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjca, pltjcd

!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     PLAFEP  General SEPRAN low level plotting subroutine
!     PLTJCA  to get the next segment
!     PLTJCD  To find cellpointer to next cell
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjse')

!     --- While {list not exhausted}
!           Plot segment
!           Get next segment
!         End While {list}

      seghpt = stadr
100   if (seghpt.eq.nil) goto 130

!     --- 130: END-OF-LIST
!         Plot Segment:
!         Go with pen up to first point of segment
!         While {segment not exhausted}
!            go with pen down to this point
!            get next point.
!         End While {segment}

      call plafep (4, xcoor (seghpt), ycoor (seghpt), 0d0,0d0,0)
      cell = seghpt
110   if (cell.eq.nil) goto 120

!     --- 120: END-OF-SEGMENT

         call plafep (5, xcoor(cell), ycoor(cell), 0d0, 0d0, 0)
         cell = pltjcd (cell)
      goto 110
120   continue

!     --- End of segment

      seghpt = pltjca (seghpt)
      goto 100
130   continue

!     --- End of list

      call erclos ('pltjse')
      end
