      subroutine pltjsl ( stadr1, stadr2, point )
! ======================================================================
!
!        programmer    Jos van Kan
!        version  1.0  date 20-01-1995
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!       pltjsl takes a list preprocessed by sepseg and makes two lists out of
!       it, a visible one and an invisible one. Stadr1 is the start address of
!       the visibile list, stadr2 the start address of the invisible list.
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulepltj
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer stadr1, stadr2, point(*)

!     point   i    array containing the visibility property of the cells
!     stadr1 i/o   start address of list (i) and the visible list (o)
!     stadr2  o    start address of the invisible list
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer seghd0, seghd1, seghd2

!     seghd0  first cell of a segment
!     seghd1  ?
!     seghd2  ?
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer pltjca

!     ERCLOS  Resets old name of previous subroutine of higher level
!     EROPEN  Produces concatenated name of local subroutine
!     PLTJCA  to get the next segment
!     PLTJMS  to append a created segment to an existing list
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ('pltjsl')
      seghd0 = nil
      seghd1 = stadr1
      stadr2 = nil
      seghd2 = nil
100   if (seghd1.eq.nil) goto 200
      if (point (seghd1).ne.visbl) then
         call pltjms (stadr1, seghd0, stadr2, seghd2)
         if (seghd0.eq.nil) then
            seghd1 = stadr1
         else
            seghd1 = pltjca (seghd0)
         end if
         if (seghd2.eq.nil) then
            seghd2 = stadr2
         else
            seghd2 = pltjca (seghd2)
         end if
      else
         seghd0 = seghd1
         seghd1 = pltjca (seghd1)
      end if
      goto 100
200   continue
      call erclos ('pltjsl')
      end
