      subroutine pltr14( a1, a2, a3, b1, b2, b3, c1, c2, c3, det )

! =======================================================================
!
!
!         programmer   niek praagman
!
!         version 1.1    date  11-02-1993 new norms
!         version 1.0    date  28-05-1991
!
!
!   copyright (c) 1991-1993  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard or soft copy granted only by written license obtained
!   from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system (e.g. , in memory, disk or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ***********************************************************************
!
!     DESCRIPTION
!
!     subroutine to compute the determinant of the matrix
!
!         | A1    B1    C1  |
!         |                 |
!         | A2    B2    C2  |      .
!         |                 |
!         | A3    B3    C3  |
!
! *******************************************************************
!
!     INPUT / OUTPUT PARAMETERS
!
      implicit none
      double precision a1, a2, a3, b1, b2, b3, c1, c2, c3, det

!     a1       - &
!     a2       - &
!     a3       - &
!     b1       - &
!     b2       - i  the entries of the 3 X 3 matrix
!     b3       - &
!     c1
!     c2
!     c3
!     det        o  determinant value of matrix
!
! ***********************************************************************
!
!     COMMON BLOCKS : none
!
! ***********************************************************************
!
!     ERROR MESSAGES : none
!
! ***********************************************************************
!
!     METHOD
!
!     trivial
!
! =======================================================================

      det=a1*b2*c3-a1*c2*b3-a2*b1*c3+a3*b1*c2+a2*b3*c1-c1*a3*b2

      end
