      subroutine prsprcre ( usol, kprobhinvloc, indprhloc )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 02-02-1998
!
!   copyright (c) 1998-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    fill part of usol corresponding to "right" periodical boundary
!    conditions in the case of complex arithmetic
!    Formula to be used: ur = ul + c
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer kprobhinvloc(*), indprhloc
      complex*16 usol(nusol)

!    indprhloc     i   indication if kprob part h has been filled (>0) or not (0)
!    kprobhinvloc  i   Second part of array KPROB part h (kprob h inverse)
!    usol        i/o  Solution array to be addapted
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!   i    General loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    for i:= (1)npboun do
!       U                     = U         + C
!        i+nusol-nbound-npboun   kprobs(i)   i
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      if ( indprhloc.eq.0 ) then
         do i=1,npboun
            usol(nusol-nbound-npboun+i) = usol(kprobs(i))+rprobs(i,1)
         end do
      else
         do i=1,npboun
            usol(kprobhinvloc(nusol-nbound-npboun+i)) = &
               usol(kprobhinvloc(kprobs(i)))+rprobs(i,1)
         end do
      end if
      end
