      subroutine toglob01
! ======================================================================
!
!        programmer    Guus Segal
!        version 2.0   date 16-01-1999 Extra parameter index4
!        version 1.0   date 14-09-1998
!
!
!   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array index2 with the positions of the unknowns in the nodal points
!     of an element
! **********************************************************************
!
!                       KEYWORDS
!
!     element
!     matrix
!     right_hand_side
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulebuild
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer :: inunkp, inusol, j, k, inodp

!     inodp      Nodal point number
!     inunkp     Number of degrees of freedom in first point
!     inusol     Position of unknown in array USOL
!     j          Counting variable
!     k          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      icount = 0
      index4(1,1) = 0
      if ( indprf==0 ) then

!     --- Constant number of degrees of freedom

         do j = 1,inpelm
            inodp = index1(j)
            inusol = (inodp-1)*nunkp
            do k = 1, nunkp
               index5(icount+k) = inusol+k
            end do
            icount = icount+nunkp
            index4(1,j+1) = icount
         end do

      else

!     --- Variable number of degrees of freedom

         do j = 1, inpelm
            inodp = index1(j)
            inusol = kprobf(inodp)
            inunkp = kprobf(inodp+1)-inusol
            do k = 1, inunkp
               index5(icount+k) = inusol+k
            end do
            icount = icount+inunkp
            index4(1,j+1) = icount
         end do

      end if
      if ( indprr>0 ) then
         do j = 1, icount
            index2(j) = kprobr(index5(j))
         end do
      else
         do j = 1, icount
            index2(j) = index5(j)
         end do
      end if
      end
