      subroutine prcopyctimenbc ( iincop, rincop )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 26-01-2012
!
!   copyright (c) 2012-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Copy contents of iincop and rincop into ctimen
!
! **********************************************************************
!
!                       KEYWORDS
!
!     copy
!     time_integration
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduletime
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iincop(8)
      double precision rincop(10)

!     iincop         i    Copy of integer part of ctimen
!     rincop         i    Copy of real part of ctimen
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prcopyctimenbc' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prcopyctimenbc'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      t        = rincop(1)
      tout     = rincop(2)
      tstep    = rincop(3)
      tend     = rincop(4)
      t0       = rincop(5)
      theta    = rincop(6)
      toutinit = rincop(7)
      toutend  = rincop(8)
      toutstep = rincop(9)
      toutnext = rincop(10)
      iflag        = iincop(1)
      icons        = iincop(2)
      itimdep      = iincop(3)
      itimloop     = iincop(4)
      ioutact      = iincop(5)
      itiminterval = iincop(6)
      icalltim     = iincop(7)
      maxcalltim   = iincop(8)

1000  call erclos ( 'prcopyctimenbc' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prcopyctimenbc'

      end if  ! ( debug )

      end
