      subroutine prparprec2 ( y, m, inumblocks )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-11-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Perform first parallel part of matrix vector multiplication
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     multiplication
!     parallel
!     vector
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m, inumblocks(2,*)
      double precision y(*)

!     inumblocks     i    unknown number and number of subdomains
!     m              i    The number of interface points
!     y             i/o   vector y in matrix-vector multiplication
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prparprec2' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prparprec2'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      y(inumblocks(1,1:m)) = y(inumblocks(1,1:m))/inumblocks(2,1:m)

1000  call erclos ( 'prparprec2' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prparprec2'

      end if  ! ( debug )

      end
