      function prtimenthal3eu2 ( temperature, tempold, npoint, TOLX )
! ======================================================================
!
!        programmer    John Brusche
!        version  1.0  date 19-10-2005
!
!   copyright (c) 2003-2005  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Determine whether deltatemp==0
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer npoint
      double precision temperature(npoint), tempold(npoint), TOLX
      logical prtimenthal3eu2

!     npoint         i    Number of points
!     prtimenthal3eu2 o    True if deltatemp ~= 0
!     temperature    i    Temperature vector
!     tempold        i    Previous temperature vector
!     tolx           i    Tolerance for measuring deltatemp==0
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i
      double precision temp, test

!     i              Counting variable
!     temp           Help variable
!     test           Help variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prtimenthal3eu2' )

      test = 0d0

      do i = 1, npoint

         temp = abs(temperature(i)- tempold(i))/ &
                                         max(abs(temperature(i)),1d0)
         if (temp>test) test = temp

      end do

      prtimenthal3eu2 = test<TOLX

      call erclos ( 'prtimenthal3eu2' )

      end
