      subroutine seppjsubi ( A )
! ======================================================================
!
!        programmer    Gjalt Wijma
!        version  1.0  date 14-06-2016
!
!   copyright (c) 2016-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     This subroutines initializes the variables concerning the solution
!     of the subsystem.
!     Old subroutine prpjsubi
! **********************************************************************
!
!                       KEYWORDS
!
!     conjugate_gradients
!     projection
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleintmat
      use sepmoduleproj
      use sepmoduletexts
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      type (rmatrix) :: A

!     A          i/o    Structure of type matrix containing the necessary
!                       information of the matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Fill parameter with respect to matrix

      A%scaling = 2
      A%prlump = 0
      A%deflation = .false.
      A%type_prec = 3          ! ILU preconditioning
      A%typesolv = 1           ! CG
      A%type_storage = 5       ! symmetric compact storage
      A%symmetric = .true.
      A%nproj = 0
      A%nmax = nmax
      A%matmultsp = 0
      A%startvec = 0
      A%iprint = 0             ! print level
      A%iaccuracy = 0
      A%irelerr = 0
      A%ntreigv = 20
      A%keep = 0
      A%factor = 0d0
      A%adapt = 0d0
      A%eps = 1d-2
      A%eps1 = 0d0
      A%eps2 = 1d-2
      A%alammin = 0d0
      A%precon = .true.
      A%eistat = .false.
      A%iseqim = iseqim

      end
