      subroutine inibitext ( ibit, iarrunk, maxunk )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 12-06-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Extract the information stored in the bit pattern ibit, and put that
!     information in array iarrunk
!     Each entry of iarrunk contains one bit
! **********************************************************************
!
!                       KEYWORDS
!
!     bit_pattern
!     extract
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer ibit, iarrunk(*), maxunk

!     iarrunk        o    Array containing the values of the bits counted from
!                         the right
!     ibit           i    Actual bit pattern
!     maxunk         i    Maximum number of unknowns per point
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, bit

!     bit            help variable to compute the actual bit
!     i              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      bit = ibit
      do i = 1, maxunk
         iarrunk(i) = mod(bit,2)
         bit = bit/2
      end do
      end
