      function inibt0 ( nunkp )
! ======================================================================
!
!
!        programmer     Guus Segal
!        version 1.2    date   18-09-1994 New layout
!        version 1.1    date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1.0    date   10-01-1983
!
!
!
!   copyright (c) 1983-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! ********************************************************************
!
!                         DESCRIPTION
!
!   Compute the maximal bit pattern corresponding to nunkp and return this
!   value to inibt0
! ********************************************************************
!
!                      KEYWORDS
!
!   boundary_condition
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer inibt0, nunkp

!     inibt0  o    2 ** nunkp - 1
!     nunkp   i    Maximum number of unknowns in a point
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer ihelp(19)

!    ihelp   Array containing 2*i-1 for i = 1(1)19
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ********************************************************************
!
!                    DATA STATEMENTS
!
      data ihelp / 1, 3, 7, 15,  31, 63 , 127, 255, 511, &
           1023, 2047, 4095, 8191, 16383, 32767, 65535, 131071, 262143, &
           524287/
! ======================================================================
!
      if ( nunkp.le.0 .or. nunkp.gt.19 ) then

!     --- nunkp <= 0 or nunkp >19

         inibt0=2**nunkp-1

      else

!     --- 1 <= nunkp <= 19

         inibt0=ihelp(nunkp)

      end if

      end
