      subroutine prob02 ( numpnt, iposgrp, iinp )
! ======================================================================
!
!        programmer    Guus Segal
!        version  5.1  date 22-07-2000 Adaptation for multi-block
!        version  5.0  date 05-05-1998 Use array iposgrp
!        version  4.0  date 16-11-1991 Complete revision
!
!   copyright (c) 1984-2000  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     fill array kprob part i with point boundary elements
!     This subroutine is the counterpart of subroutine PROB06, &
!     if PROB06 is changed also PROB02 should be changed and vice versa
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekmesh
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer numpnt, iinp, iposgrp(*)

!     iinp      i/o   last position used in array iinputkp
!     iposgrp   i/o   work array of length numnat in which the starting
!                     addresses of the element groups in KPROB part i are
!                     stored
!                     At input the last postions used for an element group
!                     are stored, at output they are updated
!     numpnt     i    number of parts where points are given for generation
!                     of boundary elements
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer j, npnt, i, ipoint, jpoint, ibngrp, ikprbi

!     i          Counting variable
!     ibngrp     boundary element group number
!     ikprbi     Last position used in kprobi for this group
!     ipoint
!     j          Counting variable
!     jpoint
!     npnt       Number of points
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do j = 1, numpnt

         ibngrp = iinputkp(iinp+1)
         ikprbi = iposgrp(ibngrp)
         npnt = iinputkp(iinp+2)
         iinp = iinp+2
         do i = 1, npnt
            ipoint = iinputkp(iinp+i)
            jpoint = kmeshl(ipoint)
            if ( jpoint.gt.0 ) then

!           --- point belongs to present block

               ikprbi = ikprbi+1
               kprobi(ikprbi) = jpoint

            end if

         end do
         iposgrp(ibngrp) = ikprbi
         iinp = iinp+npnt
      end do

      end
