      subroutine prob26 ( natconpt, ikprbi, iinp, iposgrp )
! ======================================================================
!
!        programmer     Guus Segal
!        version 2.0    date   06-05-1998 Remove some error messages, ibngrp
!                                         Extra parameter iposgrp
!        version 1.0    date   07-12-1997
!
!   copyright (c) 1997-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! **********************************************************************
!
!                       DESCRIPTION
!
!    compute length of array kprob part i with point boundary elements
!    corresponding to contact surfaces
!    This subroutine is the counterpart of subroutine PROB27, &
!    if prob26 is changed also PROB27 should be changed and vice versa
! **********************************************************************
!
!                       KEYWORDS
!
!   problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer natconpt, ikprbi, iinp, iposgrp(*)

!     iinp       i    last position used in array iinputkp
!     ikprbi    i/o   last position used in array kprob part i
!     iposgrp   i/o   work array of length numnat in which the starting
!                     addresses of the element groups in KPROB part i are
!                     stored
!                     In this subroutine the length with respect to an
!                     element group is added to the existing array
!     natconpt   i    Number of contacts where natural point boundary conditions
!                     are given
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, iconct, ibngrp, numconct, nconctct

!     i          Counting variable
!     ibngrp     Boundary element group number read
!     iconct     Sequence number of contact
!     nconctct   Number of points with contact
!     numconct   Maximum number of contacts in problem
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    Initializations
!    nconctct := 0
!    For all natural boundary contact elements do
!       ibngrp := boundary element group
!       iconct := contact sequence number
!       numpnt = number of contact points
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       MODULES USED
!
! ======================================================================
!
!     --- Initializations

      numconct = kprobloc(48)

!     --- For all natural boundary contact elements do

      do i = 1, natconpt
         ibngrp = iinputkp(iinp+1)
         iconct = iinputkp(iinp+3)
         iinp = iinp+3
         if ( iconct.le.numconct ) then

            nconctct = kprobvp1(iconct,1)
            if ( nconctct.gt.0 ) then

!           --- Contact elements have been found

               kprobb(ibngrp) = kprobb(ibngrp)+nconctct
               ikprbi = ikprbi+nconctct
               iposgrp(ibngrp) = iposgrp(ibngrp)+nconctct

            end if

         end if

      end do

      end
