      subroutine probackgrid
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 27-06-2012 Use lenkprobfp
!        version  1.0  date 02-08-2004
!
!   copyright (c) 2004-2012  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array kprob for rectangular grid with constant number of unknowns
!     per point
! **********************************************************************
!
!                       KEYWORDS
!
!     rectangle
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      use sepmoduletexts
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision dummy(1)

!     dummy          Dummy parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'probackgrid' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from probackgrid'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000
      kprobloc(4) = nunkp
      kprobloc(5) = nusol
      kprobloc(7) = 1         ! ntype
      kprobloc(8) = 1         ! nelgrp
      kprobloc(31) = ndim
      kprobloc(33) = nunkp
      kprobloc(40) = 1        ! nprob
      allocate ( kp(iseqkp)%kprobsub(iprob)%kprobc(1) )
      kprobc => kp(iseqkp)%kprobsub(iprob)%kprobc
      kprobc(1) = 1        ! kprob part c

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End probackgrid'

      end if
      call erclos ( 'probackgrid' )

      end
