      subroutine problocaltrans
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 22-10-2013 Complete new body
!        version  1.2  date 30-12-2009 Extra Debug
!        version  1.1  date 24-09-2007 Extension with parallel
!
!   copyright (c) 2006-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Check if there are any local transformations
!     If so store information in part n
! **********************************************************************
!
!                       KEYWORDS
!
!     problem_definition
!     local_transform
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ih

!     ih             Help variable to store the value of KPROB(2) temporarily
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRINKPROBN     print kprob part n
!     PROB09         Compute NPLTRA and store in array KPROB
!     PROBLOCTRSER   Compute local transformations and store in array kprobn
!                    Serial computation
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'problocaltrans' )
      debug = .false.
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from problocaltrans'

      end if
      if ( ierror/=0 ) go to 1000

!     --- Get constants

      ih = kprobloc(2)

!     --- Compute number of local transformations

      call prob09

      if ( npltra>0 ) then

!     --- npltra>0, hence there are local transformations
!         Fill kprob part n

         call probloctrser ( ih )

      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'kprob part n'
         call prinkprobn ( npoint, ndim )
         write(irefwr,*) 'End problocaltrans'

      end if
      call erclos ( 'problocaltrans' )

      end subroutine problocaltrans
