      subroutine prord2nocontct ( iinputlc, iinplc, itype, natnocel, &
                                  table )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 14-04-2011
!
!   copyright (c) 2011-2011  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Fill array iinputlc with information of natural boundary conditions
!     for no_contact_elements records
! **********************************************************************
!
!                       KEYWORDS
!
!     input
!     problem_definition
!     natural_boundary_condition
!     contact
!     element
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinputlc(*), iinplc, itype, natnocel
      double precision table(*)

!     iinplc        i/o   Last position used in array iinputlc
!     iinputlc      i/o   Work array in which the input read is stored before
!                         copying in iinput
!                         See subroutine prord2
!     itype          o    Type of record found
!     natnocel      i/o   number of parts where no_contact elements are defined
!     table          i    Contains the numbers read for the various keywords
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ishape

!     ishape         Shape number of elements
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'prord2nocontct' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from prord2nocontct'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      itype = 9
      natnocel = natnocel + 1
      ishape = nint(table(5))
      iinputlc(iinplc+1) = itype
      iinputlc(iinplc+2) = ishape
      iinputlc(iinplc+3) = nint(table(9))
      iinplc = iinplc+3

1000  call erclos ( 'prord2nocontct' )
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End prord2nocontct'

      end if  ! ( debug )

      end
