      subroutine proreadefault ( iinput, nelgrp, lengin, lengrl )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.1  date 12-06-2014 new version
!        version  1.0  date 30-05-2012
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Defines array iinput for probdf in case of default problem
!
! **********************************************************************
!
!                       KEYWORDS
!
!     input
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer iinput(*), nelgrp, lengin, lengrl

!     iinput         o    integer input array for subroutine probdf
!                         The default array is defined here
!     lengin         o    Length of integer array iinput
!     lengrl         o    Length of real array rinput
!                         (in double precision variables)
!     nelgrp         i    Number of element groups
! **********************************************************************
!
!                       LOCAL PARAMETERS
!

! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'proreadefault' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from proreadefault'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      iinput(2:60) = 0
      iinput(1) = 1

!     --- Set version number

      iinput(15) = 10
      iinput(61:60+nelgrp) = 990
      lengin = 60+nelgrp
      lengrl = 0

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End proreadefault'

      end if  ! ( debug )
      call erclos ( 'proreadefault' )

      end
