      subroutine sepprinkprobe
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 03-12-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Print the contents of kprobe
!     Old subroutine prinkprobe
! **********************************************************************
!
!                       KEYWORDS
!
!     array
!     print
!     problem_definition
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemain
      use sepmodulekprob
      use sepmodulekmesh
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ivec, ih, indprelc

!     ih             Help variable to store a constant temporarily
!     ivec           Sequence number of vector of special structure
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     PRNI21         write differences of integer array with special format
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepprinkprobe' )
      debug = .false. .and. ioutp>=0

      ndtvec = kprobloc(6)
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepprinkprobe'
         write(irefwr,1) 'ndtvec', ndtvec
  1      format ( a, 1x, (10i6) )

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

      if ( ndtvec==0 ) go to 1000
      indpre = kprobloc(18)
      kelgrp = kprobloc(39)
      kprobe2 => kprobpart%kprobe2
      kprobe3 => kprobpart%kprobe3
      if ( debug ) write(irefwr,1) 'kelgrp', kelgrp

      do ivec = 1,ndtvec
         ih = kprobe2(ivec)

         if ( debug ) write(irefwr,1) 'ivec, ih', ivec, ih
         if ( ih<0 ) then
            write(irefwr,221) ivec,-ih
221         format(' Number of degrees of freedom in array of', &
                   ' special structure',i3,' is',i3)
         else if ( ih>0 ) then
            write(irefwr, 222) ivec
222         format(' Number of degrees of freedom in array', &
                   ' of special structure',i3,':')
            call prni21 ( npoint, kprobe3(ivec)%arr )
         end if
      end do

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepprinkprobe'

      end if  ! ( debug )
      call erclos ( 'sepprinkprobe' )

      end
