      subroutine topedg011 ( nmeshd, inelem, ielem, ipd, nedpel )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 04-05-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   creates the edges part 1 pointers and initialization
!   One element group only
! **********************************************************************
!
!                       KEYWORDS
!
!     topology
!     edge
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nmeshd(*), inelem, ielem, ipd, nedpel

!     ielem         i/o   Element number
!                         At input last one used
!                         At output last one used
!     inelem         i    Number of elements in this element group
!     ipd           i/o   pointer in kmeshaad
!     nedpel         i    number of edges in one element
!     nmeshd        i/o   nmesh part d
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer iedge, irelem

!     iedge          edge sequence number
!     irelem         Relative element sequence number with respect to
!                    element group
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Loop over the elements

      do irelem = 1, inelem

         ielem = ielem + 1

!        --- Set pointer to second part of nmeshd

         nmeshd( ielem ) = ipd
         nmeshd(ipd) = nedpel

!        --- Initialize second part of nmeshd

         do iedge = 1, nedpel
            nmeshd( ipd + iedge ) = 0
         end do

!        --- Update pointer ipd

         ipd = ipd + nedpel + 1

      end do

      end
