      subroutine eldervsubr ( npelm, x, y, nunk_pel, elem_vec, &
                              solution, itype, icheld, len_outvec )
! ======================================================================
!
!        programmer     Guus Segal
!        version 2.0    date 28-08-2014
!        version 1.0    date 02-10-2009
!
!
!   copyright (c) 2009-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!      User element subroutine to compute derivatives to be used by SEPRAN
!      This is the special version for
!      the Numerical Analysis Lab of Delft University of Technology
! **********************************************************************
!
!                       KEYWORDS
!
!    derivatives
!    vector
!    element
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer, intent(in) :: npelm, nunk_pel, itype, icheld, len_outvec
      double precision, intent(in) :: x(npelm), y(npelm), &
                                      solution(nunk_pel)
      double precision, intent(out) :: elem_vec(len_outvec)

!     elem_vec    o   In this array the student must store the element vector, &
!                     in the following way:
!                     elem_vec(i) = f_i; i = 1(1)nunk_pel
!                     It concerns the derived quantity that must be computed
!     icheld      i   Choice parameter to distinguish between the various
!     itype       i   Type number of element.
!                     This parameter is defined in the input block PROBLEM
!     len_outvec  i   Length of array elem_vec
!     ndim        i   Dimension of the space.
!     npelm       i   Number of points per element
!     nunk_pel    i   number of degrees of freedom in the element
!     solution    i   In this array the solution from which the derived
!                     quantities must be computed, as indicated by Vi, is stored
!     x           i   Contains the x-coordinates of the nodes of the element using
!                     the local node numbering
!     y           i   Contains the y-coordinates of the nodes of the element using
!                     the local node numbering
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!      Dit gedeelte moet door de practicant worden ingevuld
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!    The element vector is filled by the user, depending on the parameters
!    itype and icheld
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Replace the next three statements by statements for filling
!         the element vector

      call errchr ( 'eldervsubr', 1 )
      call errsub ( 349, 0, 0, 1 )
      call instop
      end
