      subroutine el1006 ( elemvc, f )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 28-01-1995 Renamed subroutine el1006
!
!   copyright (c) 1995-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Put stiffness vector into element vector for 27-point element
!    Navier-Stokes equation
! **********************************************************************
!
!                       KEYWORDS
!
!     element_vector
!     navier_stokes_equation
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision elemvc(icount), f(3*n)

!     elemvc  o    Element vector
!     f       i    Element vector without the effect of the pressure
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i       Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- First put Stiffness vector in correct positions

      do i = 1, 14*3
         elemvc(i) = f(i)
      end do
      do i = 14*3+1, 27*3
         elemvc(i+4) = f(i)
      end do
      end
