      subroutine el2012(jzero,jdiag,b,s,w,phi,psi,nphi,npsi,m,lrow,work)
      implicit double precision (a-h,o-z)
      double precision s(*), b(*), w(*), work(*), phi(*), psi(*)
!
! ********************************************************************
!
!
!        programmer   guus segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   10-06-1985
!
!
!
!   copyright (c) 1985  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!    *  compute part of matrix corresponding to zeroth order derivatives
!       the integral to be computed is:
!
!        /  phi (i)  psi (j)  dx
!
!
! ********************************************************************
!
!                            input/output
!
!      jzero     i   choice parameter. Possibilities:
!
!        1           b and w constant
!
!        2           general
!
!        3,4         see 1,2   no addition takes place
!
!      jdiag     i   choice parameter. Possibilities:
!
!        1           phi i(j) = 0  when i # j
!
!        2           psi i(j) = 0  when i # j
!
!        3           general
!
!      b         i   array containing the function b
!                    in the integration points
!
!      s        i/o  element matrix  ( lrow x lrow )
!                    only a nphi x npsi part is filled
!                    s(i,j)=s((i-1)*lrow+j)  1-d storage
!
!      w         i   array containing the weights for the numerical integ.
!
!      phi       i   array containing the values of the basis functions phi
!                    in the integration points
!                    phi i (xk) = phi((i-1)*m+k)  1-d storage
!
!      psi       i   array containing the values of the basis functions psi
!                    in the integration points
!                    psi i (xk) = psi((i-1)*m+k)  1-d storage
!
!      nphi      i   number of basis functions phi
!
!      npsi      i   number of basis functions psi
!
!      m         i   number of integration points
!
!      lrow      i   number of rows in s
!
!      work          work array of length m
!
! ********************************************************************
!
      kzero=jzero
      if(jzero.gt.2) then
         do 50 i=1,lrow*lrow
 50         s(i)=0d0
         kzero=jzero-2
      end if
      in=0
      im=0
      if(jdiag.eq.3) then
!
!      *  jdiag = 3   general
!
         if(kzero.eq.1) then
!
!         * jzero = 1,3  b and w constant
!
            h=b(1)*w(1)
            do 150 i=1,nphi
               jm=0
               do 120 j=1,npsi
                  sum=0d0
                  do 110 k=1,m
110                  sum=sum+phi(im+k)*psi(jm+k)
                  sum=h*sum
                  s(in+j)=s(in+j)+sum
120               jm=jm+m
               im=im+m
150            in=in+lrow
         else
!
!         * jzero = 2,4  general
!
            do 160 k=1,m
160            work(k)=w(k)*b(k)
            do 200 i=1,nphi
               jm=0
               do 180 j=1,npsi
                  sum=0d0
                  do 170 k=1,m
170                  sum=sum+phi(im+k)*psi(jm+k)*work(k)
                  s(in+j)=s(in+j)+sum
180               jm=jm+m
               im=im+m
200            in=in+lrow
         end if
      else if(jdiag.eq.1) then
!
!      *  jdiag = 1   phi i (xj) = delta i j
!
         if(kzero.eq.1) then
!
!         * jzero = 1,3  b and w constant
!
            h=b(1)*w(1)
            do 250 i=1,nphi
               do 220 j=1,npsi
220               s(in+j)=s(in+j)+h*psi((j-1)*m+i)
250            in=in+lrow
         else
!
!         * jzero = 2,4  general
!
            do 300 i=1,nphi
               h=w(i)*b(i)
               do 280 j=1,npsi
280               s(in+j)=s(in+j)+h*psi((j-1)*m+i)
300            in=in+lrow
         end if
      else if(jdiag.eq.2) then
!
!      *  jdiag = 2   psi i (xj) = delta i j
!
         if(kzero.eq.1) then
!
!         * jzero = 1,3  b and w constant
!
            h=b(1)*w(1)
            do 350 i=1,nphi
               do 320 j=1,npsi
320               s(in+j)=s(in+j)+h*phi(im+j)
               im=im+m
350            in=in+lrow
         else
!
!         * jzero = 2,4  general
!
            do 400 i=1,nphi
               do 380 j=1,npsi
380               s(in+j)=s(in+j)+w(j)*b(j)*phi(im+j)
               im=im+m
400            in=in+lrow
         end if
      end if
      end
