      subroutine el2016(ichois,jdiag,amat1,amat2,const1,const2,n,lrow)
      implicit double precision (a-h,o-z)
      double precision amat1(*), amat2(*)
!
! ********************************************************************
!
!        programmer   guus segal
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   16-07-1985
!
!
!   copyright (c) 1985  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     compute sum of to matrices
!
!     amat1=const1*amat1+const2*amat2
!
! ********************************************************************
!
!                          input / output
!
!     ichois  i   parameter not used (ichois=1) assumed
!
!     jdiag   i   choice parameter
!        1        matrices are diagonal matrices
!        2        matrices are full
!
!     amat1  i/o  matrix of length (lrow*lrow)
!
!     amat2   i   matrix of length (n*n) n<=lrow
!
!     const1,2  i   constants
!
!     lrow    i   number of rows of array amat1
!
!     n       i   number of rows (to be used) of array amat2
!
! ********************************************************************
!
      if(const1.ne.0d0) then
!
!       *  const1 # 0  standard situation
!
         if (jdiag.eq.2) then
            do 100 i=1,n
               i1=(i-1)*lrow
               i2=(i-1)*n
               do 100 j=1,n
                  amat1(i1+j)=const1*amat1(i1+j)+const2*amat2(i2+j)
100         continue
         else
            do 200 i=1,n
               i1=(i-1)*lrow+i
               i2=(i-1)*n+i
               amat1(i1)=const1*amat1(i1)+const2*amat2(i2)
200         continue
         end if
      else
!
!      *  const1 = 0  multiply matrix amat2 and store in amat1
!
         if (jdiag.eq.2) then
            do 300 i=1,n
               i1=(i-1)*lrow
               i2=(i-1)*n
               do 300 j=1,n
                  amat1(i1+j)=const2*amat2(i2+j)
300         continue
         else
            do 400 i=1,n
               i1=(i-1)*lrow+i
               i2=(i-1)*n+i
               amat1(i1)=const2*amat2(i2)
400         continue
         end if
      end if
      end
