      subroutine el6005(f, vec1, vec2, vec3, vec4, eta, m, ichois)
! ======================================================================
!
!        programmer     Patrick Anderson
!        version 1.0    date   24-01-1997
!
!   copyright (c) 1997-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!     compose f out of vec1, vec2, vec3, vec4 and eta
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer m, ichois
      double precision f(m), vec1(m), vec2(m), vec3(m), &
                       vec4(m), eta(m)

!     eta       i     viscosity
!     f         o     resulting vector
!     ichois    i     choice parameter for component
!     m         i     number of integration points
!     vec1      i     first input vector
!     vec2      i     second input vector
!     vec3      i     third input vector
!     vec4      i     fourth input vector
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!     i    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, m
         if (ichois.eq.1) f(i) = 2*eta(i)*vec1(i) - f(i)
         if (ichois.eq.2) f(i) = eta(i)*(vec2(i)+vec3(i)) - f(i)
         if (ichois.eq.3) f(i) = 2*eta(i)*vec4(i) - f(i)
      end do

      end
