      subroutine el6027 ( mass, w1, det, mone, m )
! ======================================================================
!
!        programmer    Luc Timmermans
!        version 3.0   date  26-09-1994  equal number of nodes in each
!                                        direction) - P. Minev
!        version 2.0   date  07-11-1991  change in parameterlist
!        version 1.0   date  20-09-1991  test version
!
!   copyright (c) 1991-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!***********************************************************************
!
!                         DESCRIPTION
!
!     compute the spectral element diagonal mass matrix
!
!     EL6027 is called by the element subroutine ELM602
!            it must be preceded by the subroutines ELP640 and ELP642
!
! ********************************************************************
!
!                      KEYWORDS
!
!     spectral
!***********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none

      integer mone, m
      double precision mass(m), w1(mone), det(mone,mone)

!     det      i   array of length mone x mone containing the transformation
!                  determinant
!     m        i   number of integration points in the element
!     mass     o   array of length m containing the spectral element
!                  diagonal mass-matrix
!     mone     i   number of integration points in one dimension
!     w1       i   array of length mone containing the weights for
!                  numerical integration in 1 direction correspon- &
!                  ding to the reference element
! ********************************************************************
!
!                      COMMON BLOCKS
!
!***********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, j, ij
      double precision swap

!     i      general loop variable
!     ij     help parameter
!     j      general loop variable
!     swap   swap parameter
! ********************************************************************
!
!               SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
!***********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      do 200 i = 1, mone
         do 100 j = 1, mone

            ij = i + (j - 1)*mone
            mass(ij) = w1(i)*w1(j)*det(i,j)
100      continue
200   continue

      if ( mone.eq.2 ) then

         swap = mass(3)
         mass(3) = mass(4)
         mass(4) = swap
      end if

      end
