      subroutine el6046 (s, smatr, m)
! ======================================================================
!
!        programmer    Patrick Anderson
!        version  1.0  date 25-01-1997
!
!   copyright (c) 1997-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     compose s out of s_ij matr
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
!     element_vector
!     elliptic_equation
!     initialization
!     parabolic_equation
!     spectral
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m
      double precision s(3*m,3*m),   smatr(m,m,9)

!     m         i     number of integration points
!     s         o     resulting matrix
!     smatr     i     input matrix
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j

!     i    counting parameter
!     j    counting parameter
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do 200 i = 1, m
         do 100 j = 1, m

!        --- # (1,1)

            s(3*j-2, 3*i-2) = smatr(i,j,1)

!           --- # (1,2)

            s(3*j-1, 3*i-2) = smatr(i,j,2)

!           --- # (1,3)

            s(3*j  , 3*i-2) = smatr(i,j,3)

!           --- # (2,1)

            s(3*j-2, 3*i-1) = smatr(i,j,4)

!           --- # (2,2)

            s(3*j-1, 3*i-1) = smatr(i,j,5)

!           --- # (2,3)

            s(3*j  , 3*i-1) = smatr(i,j,6)

!           --- # (3,1)

            s(3*j-2, 3*i  ) = smatr(i,j,7)

!           --- # (3,2)

            s(3*j-1, 3*i  ) = smatr(i,j,8)

!           --- # (3,3)

            s(3*j  , 3*i  ) = smatr(i,j,9)
100      continue
200   continue
      end
