      subroutine el6053 ( g, f, w1, det, modecl, mdecl )
! ======================================================================
!
!        programmer     Peter Minev/ Luc Timmermans
!        version 1.1    date  25-01-1996  Layout
!        version 1.0    date  30-03-1995
!
!
!
!   copyright (c) 1995-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     compute contributions to the spectral element vector
!     and the spectral element residual
!     corresponding to the righthand side of the equation
!
!     EL6053 is called by the element subroutine ELM607
!            it must be preceded by the subroutines ELP640 and ELP642
!***********************************************************************
!
!                      KEYWORDS
!
!    element_matrix
!    element_vector
!    elliptic_equation
!     initialization
!    parabolic_equation
!     spectral
! ********************************************************************
!
!                    INPUT / OUTPUT PARAMETERS
!
      use sepmodulecactl
      implicit none
      integer modecl, mdecl
      double precision g(mdecl), f(mdecl), w1(modecl), &
                       det(modecl,modecl)

!     det      i   array of length modecl x modecl containing the
!                  transformation determinant
!     f        o   array of length mdecl containing the spectral element
!                  vector
!     g        i   array of length mdecl containing the values of the
!                  fourth coefficient (righthand side) in the integration
!     node
!     mdecl    i   number of integration points in the element
!     modecl   i   number of integration points in one dimension
!     w1       i   array of length modecl containing the weights for
!                  numerical integration in the x-direction corresponding
!                  to the reference element
!***********************************************************************
!
!                    COMMON BLOCKS

!***********************************************************************
!
!                    LOCAL PARAMETERS
!
      integer i, j, ij

!     i          Counting variable
!     ij         help parameter
!     j          Counting variable
!***********************************************************************
!
!                      SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
!***********************************************************************
!
!                     ERROR MESSAGES
!
!***********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      if( jadd.eq.0) then
         do 3009 i=1,mdecl
            f(i) = 0d0
 3009    continue
      end if

!     --- g is variable

      do 600 i = 1, modecl
         do 500 j = 1, modecl
            ij = i + (j - 1)*modecl
            f(ij) =f(ij)+w1(i)*w1(j)*det(i,j)*g(ij)
500      continue
600   continue

      end
