      subroutine el6056 ( f, elemwg, old, dxp, det, p1, p2, p3, p4, &
                          p5, p6, p7, p8, p9, mone)
! ======================================================================
!
!        programmer     Patrick Anderson
!        version 1.0    date   03-02-1997
!
!   copyrigth (c) 1997-1997  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rigths reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!  COMPUTE STRONG GRADIENT
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      implicit none
      integer mone
      double precision f(3,mone,mone,mone), old(mone,mone,mone), &
                       elemwg(3,mone,mone,mone), det(mone,mone,mone), &
                       p1(mone,mone,mone), p2(mone,mone,mone), &
                       p3(mone,mone,mone), p4(mone,mone,mone), &
                       p5(mone,mone,mone), p6(mone,mone,mone), &
                       p7(mone,mone,mone), p8(mone,mone,mone), &
                       p9(mone,mone,mone), dxp(mone,mone)

!     det      i   ?
!     dxp      i   array of length mone x mone contaning the values of the
!                  derivatives of the basisfunctions for the pressure in the
!                  pressure points in the x-direction
!     elemwg   i   ?
!     f       i/o  array of length m containing the righthandside
!                  or the residual
!     mone     i   number of points in one dimension
!     old      i   array of length m containing the old pressure
!     p1       i   arrays of length m containing the elements of the invert
!                  jacobian of the local transform onto the standard
!                  quadrilateral
!     p2       i   See p1
!     p3       i   See p1
!     p4       i   See p1
!     p5       i   See p1
!     p6       i   See p1
!     p7       i   See p1
!     p8       i   See p1
!     p9       i   See p1
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, k, l
      double precision sum1, sum2, sum3

!     i          Counting variable
!     j          Counting variable
!     k          Counting variable
!     l          General loop variable
!     sum1       Help parameter to compute a sum
!     sum2       Help parameter to compute a sum
!     sum3       Help parameter to compute a sum
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- first component of the gradient

      do 400 i = 1, mone
         do 500 j = 1, mone
            do 600 k = 1, mone

!           --- calculate the first factor of the derivative

               sum1 = 0d0
               do 700 l = 1, mone
                  sum1 = sum1 + dxp(i,l)*old(l,j,k)
700            continue

!              --- calculate the second factor of the derivative

               sum2 = 0d0
               do 800 l = 1, mone
                  sum2 = sum2 + dxp(j,l)*old(i,l,k)
800            continue

!              --- calculate the third factor of the derivative

               sum3 = 0d0
               do 900 l = 1, mone
                  sum3 = sum3 + dxp(k,l)*old(i,j,l)
900            continue

               f(1,i,j,k) = (p1(i,j,k)*sum1 + p4(i,j,k)*sum2 + &
                             p7(i,j,k)*sum3)/det(i,j,k)
               elemwg(1,i,j,k) = 1.0d0

               f(2,i,j,k) = (p2(i,j,k)*sum1 + p5(i,j,k)*sum2 + &
                             p8(i,j,k)*sum3)/det(i,j,k)
               elemwg(2,i,j,k) = 1.0d0

               f(3,i,j,k) = (p3(i,j,k)*sum1 + p6(i,j,k)*sum2 + &
                             p9(i,j,k)*sum3)/det(i,j,k)
               elemwg(3,i,j,k) = 1.0d0

600         continue
500      continue
400   continue

      end
