       subroutine el6208 ( coor, index1, x, sol, xref, wref, d1ref, &
                           d2ref, user, mone, m )
! ======================================================================
!
!        programmer     Patrick Anderson
!        version 1.1    date   28-01-1996 Layout
!        version 1.0    date   04-07-1995
!
!   copyrigth (c) 1995-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rigths reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     compute L2 norm for 1D element
! ***********************************************************************
!
!                      KEYWORDS
!     spectral
!    norm
! ***********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer index1(*), mone, m
      double precision coor(*), x(*), xref(m),wref(m), &
                       d1ref(m), d2ref(m), sol(m), user(*)

!     coor    i    array of length ndim x npoint containing the co-ordinates
!                  of the nodal points with respect to the global numbering
!     d1ref   i    ?
!     d2ref   i    ?
!     index1  i    Array of length inpelm containing the point numbers
!                  of the nodal points in the element
!     m       i    number of integration points
!     mone    i    number of integration points in one dimension
!     sol     i    ?
!     user    i    Real user array to pass user information from
!                  main program to subroutine. See STANDARD PROBLEMS
!     wref    i    array of length m containing the Legendre
!                  Gauss-Lobatto weights for numerical integration
!     x       i    x co-ordinate of point
!     xref    i    array of length m containing the coordinates of
!                  Legendre-Gauss-Lobatto points
! **********************************************************************
!
!                     COMMON BLOCKS
!
! **********************************************************************
!
!                     LOCAL PARAMETERS
!
      integer i, k
      double precision det

!     det     array of length modecl x modecl containing the
!             transformation determinant
!     i       Counting variable
!     k       Counting variable
! ********************************************************************
!
!             SUBROUTINES CALLED
!
!     ELP640    compute basisfunctions, derivatives and weights for
!               numerical integration corresponding to the reference
!               element (element independent)
! ********************************************************************
!
!                    I/O
!
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
!     --- store global integration points

      do 150 i = 1, m
         x(i) = coor(index1(i))
  150 continue

!     --- calculate the determinat

      det  = (x(m) - x(1))/2d0

!     --- calculate the weights

      call elp640(0, xref, wref, d1ref, d2ref, mone)
      k=1
        do 20, i=1,mone
          user(50) = user(50) + wref(i)*det* &
                     (sol(k))**2
          k = k + 1
   20   continue

      end
