      subroutine elcomm
! ======================================================================
!
!        programmer     Guus Segal
!        version 1.6    date 01-11-1998 include commons
!        version 1.5    date 15-01-1997 Do not set jcart
!        version 1.4    date 18-11-1994 Adapt comment
!        version 1.3    date 29-04-1992 Initialise celiar
!        version 1.2    date 15-04-1992 New common celint
!        version 1.1    date 11-02-1992 Removal of ndim
!        version 1.0    date 10-06-1988 Developed at Toshiba PC
!
!
!
!   copyright (c) 1988-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! **********************************************************************
!
!                       DESCRIPTION
!
!     This subroutine initializes the common blocks CELINT, CELIAR and CELP
!     to get a standard set parameters
! **********************************************************************
!
!                       KEYWORDS
!
!    element_matrix
!    element_vector
!     initialization
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      use sepmodulecactl
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i

!    i     general loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     - &
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!
!
!
!
!
!
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       MODULES USED
!
! ======================================================================
!
!     --- CELP:

      iweigh = 1
      ideriv = 1
      irule  = 1
      igausp = 0
      iphi   = 0
      icoor  = 1
      interp = 0
      isecdv = 0

!     --- CELINT:

      ncomp  = 1
      jdiag  = 1
      idim   = 1
      jsol   = 1
      jderiv = 0
      jtrans = 0
      jind   = 1
      jconsf = 2
      kstep  = 1
      jadd   = 1
      npsi   = 0
      jdercn = 1
      jzero  = 2
      jsecnd = 4
      istarw = 0
      jpsi = 0

!     --- Compute nvert

      if ( inpelm.eq.6 .or. inpelm.eq.7 ) then
         nvert = 3
      else if ( inpelm.eq.9 ) then
         nvert = 4
      else if ( inpelm.eq.10 .or. inpelm.eq.14 ) then
         nvert = 4
      else if ( inpelm.eq.24 ) then
         nvert = 8
      else
         nvert = inpelm
      end if

!     --- celiar

      do i = 1, 50
         ind(i) = 0
         ich(i) = 0
         mst(i) = 0
         ist(i) = 0
      end do

      end
