      subroutine elm655 ( A, arow, acol, B, brow, bcol, C)
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.0   date   90-11-01
!
!
!   copyright (c) 1990  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   the matrices A and B are multiplied, the result is stored in C ( = A B )
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none

      integer arow, acol, brow, bcol
      double precision A(arow,acol), B(brow,bcol) , C(arow,bcol)

!
!     arow    i  integer, the number of rows of matrix A
!
!     acol    i  integer, the number of columns of matrix A
!
!     brow    i  integer, the number of rows of matrix B
!
!     bcol    i  integer, the number of columns of matrix B
!
!     A       i  real matrix of size arow x acol
!
!     B       i  real matrix of size brow x bcol
!
!     C       o  real matrix of size arow x bcol
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      integer i, j, k

!
!     i, j, k     loop variable
!
! ********************************************************************
!
!                              METHOD
!              acol
!        C   = sum   A  B
!         ij   k = 1  ik kj
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!       none
!
! ********************************************************************

      call eropen ( 'elm655' )

      if ( acol.eq.brow ) then
         do 20 i = 1, arow
            do 10 j = 1, bcol
               C(i,j) = 0d0
10          continue
20       continue
         do 50 i = 1, arow
            do 40 j = 1, bcol
               do 30 k = 1, acol
                  C(i,j) = C(i,j) + A(i,k) * B(k,j)
30             continue
40          continue
50       continue
      end if

      call erclos ( 'elm655' )

      end
