      subroutine elm659 ( a, ainver, ndim )
!
! ********************************************************************
!
!
!        programmer    Arno van Duin
!        version 1.2   date   18-08-1992 a1min ==> ainver
!        version 1.1   date   19-03-1991 adjusted for NDIM = 3
!        version 1.0   date   01-11-1990
!
!
!   copyright (c) 1990,1992  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
!
! ********************************************************************
!
!   the second rank tensor a is inverted, the result is stored in ainver
!
! ********************************************************************
!
!
!                INPUT / OUTPUT PARAMETERS

      implicit none

      integer ndim
      double precision a(ndim,ndim), ainver(ndim,ndim)

!
!     a        i  real second rank tensor
!
!     ainver    o  real the inverse of a
!
!     ndim     i  the dimension of space
!
! *********************************************************************
!
!               LOCAL PARAMETERS

      double precision det

!
!     det     real, the determinant of the second rank tensor a
!
! ********************************************************************
!
!                              METHOD
!
!           ndim = 2
!
!                  (  a    -a   )
!               1  (   22    12 )
!     ainver = --- ( -a     a   )
!              det (   21    11 )
!
!
!           ndim = 3
!
!                  ( a  a  - a  a     a  a  - a  a    a  a  - a  a   )
!                  (  22 33   23 32    32 13   33 12   12 23   13 22 )
!               1  ( a  a  - a  a     a  a  - a  a    a  a  - a  a   )
!     ainver = --- (  23 31   21 33    33 11   31 13   13 21   11 23 )
!              det ( a  a  - a  a     a  a  - a  a    a  a  - a  a   )
!                  (  21 32   22 31    31 12   32 11   11 22   12 21 )
!
! ********************************************************************
!
!               SUBROUTINES CALLED
!
!       none
!
! ********************************************************************

      call eropen ( 'elm659' )

      if ( ndim.eq.2 ) then
         det = a(1,1) * a(2,2) - a(1,2) * a(2,1)
         ainver(1,1) = a(2,2)/det
         ainver(2,2) = a(1,1)/det
         ainver(2,1) = -a(2,1)/det
         ainver(1,2) = -a(1,2)/det
      else
         det = a(1,1) * ( a(2,2) * a(3,3) - a(2,3) * a(3,2) ) + &
               a(2,1) * ( a(3,2) * a(1,3) - a(3,3) * a(1,2) ) + &
               a(3,1) * ( a(1,2) * a(2,3) - a(1,3) * a(2,2) )
         ainver(1,1) = ( a(2,2) * a(3,3) - a(2,3) * a(3,2) ) / det
         ainver(1,2) = ( a(3,2) * a(1,3) - a(3,3) * a(1,2) ) / det
         ainver(1,3) = ( a(1,2) * a(2,3) - a(1,3) * a(2,2) ) / det
         ainver(2,1) = ( a(2,3) * a(3,1) - a(2,1) * a(3,3) ) / det
         ainver(2,2) = ( a(3,3) * a(1,1) - a(3,1) * a(1,3) ) / det
         ainver(2,3) = ( a(1,3) * a(2,1) - a(1,1) * a(2,3) ) / det
         ainver(3,1) = ( a(2,1) * a(3,2) - a(2,2) * a(3,1) ) / det
         ainver(3,2) = ( a(3,1) * a(1,2) - a(3,2) * a(1,1) ) / det
         ainver(3,3) = ( a(1,1) * a(2,2) - a(1,2) * a(2,1) ) / det
      end if

      call erclos ( 'elm659' )

      end
