      subroutine elmatmult ( amat, x, y, n )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 01-05-2002
!
!   copyright (c) 2002-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Multiply matrix amat, stored as a full matrix (in transposed form)
!     by vector x in order to get vector y
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix_vector_multiplication
!     element
!     full_matrix
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer n
      double precision amat(n,n), x(n), y(n)

!     amat           i    matrix
!     n              i    number of rows and columns in matrix
!     x              i    vector to be multiplied
!     y              o    Result of multiplication
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j
      double precision sum

!     i              Counting variable
!     j              Counting variable
!     sum            Help parameter to compute a sum
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do i = 1, n
         sum = 0d0
         do j = 1, n
            sum = sum + amat(j,i)*x(j)
         end do
         y(i) = sum
      end do
      end
