      subroutine eloutr ( x1, x2, x3 )
! ======================================================================
!
!        programmer     Lucien Douve
!        version 1.0    date   08-10-1994
!
!
!
!   copyright (c) 1994-1994  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
!
! ********************************************************************
!
!                         DESCRIPTION
!
!     Fill outer product of vector x1 x x2 and store in x3
!     All vectors have length 3
! ********************************************************************
!
!                      KEYWORDS
!
!    outer_product
! ********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      double precision x1(3), x2(3), x3(3)

!     x1     i   First vector in inner product
!     x2     i   Second vector in inner product
!     x3     o   Result x1 x x2
! ********************************************************************
!
!                      COMMON BLOCKS
!
! ********************************************************************
!
!                    LOCAL PARAMETERS
!
! ********************************************************************
!
!             SUBROUTINES CALLED
!
! ********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                    ERROR MESSAGES
!
! ********************************************************************
!
!                    PSEUDO CODE
!
! ======================================================================
!
      x3(1)=x1(2)*x2(3)-x1(3)*x2(2)
      x3(2)=x1(3)*x2(1)-x1(1)*x2(3)
      x3(3)=x1(1)*x2(2)-x1(2)*x2(1)
      end
