      subroutine elswap(s, m, ndim)
! ======================================================================
!
!        programmer     Luc Timmermans
!        version 2.1    date   28-01-1996 Layout
!        version 2.0    date   29-09-1994 extension to 3-D - P. Minev
!        version 1.0    date   08-05-1992
!
!   copyright (c) 1992-1996  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!***********************************************************************
!
!                         DESCRIPTION
!
!     swap parts of element matrix in the the case of a linear
!     spectral element due to different nodal numbering
! **********************************************************************
!
!                      KEYWORDS
!
!     spectral
! **********************************************************************
!
!                      INPUT / OUTPUT    PARAMETERS
!
      implicit none
      integer m, ndim
      double precision s(m,m)
!
!     m      i     number of nodal points in the element (4 in 2D)
!     ndim   i     dimension of the space
!     s     i/o    element matrix
!***********************************************************************
!
!                   COMMON BLOCKS
!
!***********************************************************************
!
!                   LOCAL PARAMETERS

      integer i
      double precision swap
!
!     i        loop counter
!     swap     swap parameter
!***********************************************************************
!
!                  SUBROUTINES CALLED
!
!***********************************************************************
!
!                    I/O
!
!    none
! ********************************************************************
!
!                   ERROR MESSAGES
!
!***********************************************************************
!
!                    PSEUDO CODE
!
!   trivial
! ======================================================================
!
      if( ndim.eq.2 ) then
         swap = s(3,1)
         s(3,1) = s(4,1)
         s(4,1) = swap
         swap = s(3,2)
         s(3,2) = s(4,2)
         s(4,2) = swap
         swap = s(1,3)
         s(1,3) = s(1,4)
         s(1,4) = swap
         swap = s(2,3)
         s(2,3) = s(2,4)
         s(2,4) = swap
         swap = s(3,3)
         s(3,3) = s(4,4)
         s(4,4) = swap
         swap = s(3,4)
         s(3,4) = s(4,3)
         s(4,3) = swap

      end if

      if( ndim.eq.3 ) then
         do 100 i = 1, m
            swap = s(3,i)
            s(3,i) = s(4,i)
            s(4,i) = swap
100      continue
         do 200 i = 1, m
            swap = s(7,i)
            s(7,i) = s(8,i)
            s(8,i) = swap
200      continue

         do 300 i = 1, m
            swap = s(i,3)
            s(i,3) = s(i,4)
            s(i,4) = swap
300      continue

         do 400 i = 1, m
            swap = s(i,7)
            s(i,7) = s(i,8)
            s(i,8) = swap
400      continue

      end if

      end
