      subroutine el0900m
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.0  date 17-01-2001
!
!   copyright (c) 2001-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Compute the number of integration points for this element group
!   using the type of integration rule and the number of nodes as stored
!   in the common blocks
!   Navier-Stokes element
! **********************************************************************
!
!                       KEYWORDS
!
!     navier_stokes_equation
!     initialization
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelem
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      m = n
      if ( inpelm.eq.4 ) then
         if ( irule.eq.2 ) then
            m = 1
         else if ( irule.eq.3 ) then
            m = 4
         end if
      else if ( inpelm.eq.6 .or. inpelm.eq.7 ) then
         if ( irule.eq.2 ) then
            m = 4
         else if ( irule.eq.3 ) then
            m = 7
         end if
      else if ( ishape.eq.13 ) then
         if ( irule.eq.2 ) then
            m = 1
         else if ( irule.eq.3 ) then
            m = 8
         end if
      else if ( inpelm.eq.9 .and. irule.eq.2 ) then
         m = 4
      else if ( inpelm.eq.27 .and. irule.eq.2 ) then
         m = 8
      else if ( inpelm.eq.15 ) then
         if ( irule.eq.1 ) then
            m = 15
         else if ( irule.eq.2 ) then
            m = 11
         else if ( irule.eq.3 ) then
            m = 15
         end if
      end if
      end
