      subroutine el1015 ( u, umesh, unew, m, ndim )
! ======================================================================
!
!        programmer    Guus Segal
!        version  2.0  date 18-11-2002 input vector changed (JdH)
!        version  1.0  date 14-03-1997
!
!   copyright (c) 1997-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Subtract the mesh velocity from the real velocity
!   it is assumed that both vectors have the same size
! **********************************************************************
!
!                       KEYWORDS
!
!     navier_stokes_equation
!     mesh_velocity
!     convection
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer m, ndim
      double precision u(m,*), umesh(m,*), unew(m,*)

!     m          i    number of integration points
!     ndim       i    Dimension of the space.
!     u          i    array of length m x ndim containing the values of the
!                     velocity in the integration points
!     umesh      i    array of length m x ndim containing the values of the
!                     mesh velocity in the integration points
!     unew       o    u-umesh
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer idim, k

!     idim       Counting variable
!     k          Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      do idim = 1, ndim
         do k = 1, m
            unew(k,idim) = u(k,idim) - umesh(k,idim)
         end do
      end do
      end
