      subroutine el4032 (ichint,itcoor,phig,rho,omega,u,w, &
                         vector,nstart,n,m,psig,n1)
      implicit double precision (a-h,o-z)
      double precision phig(*), u(*), w(*), vector(*), psig(*)
!
!*********************************************************************
!
!    the element vector due to coriolis acceleration
!    is computed for the pressure calculation
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 2.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 2    date   22-05-1985 itcoor=3
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     for variables see elp270 , elm400 , el4000
!
!     vector   element vector to be supplemented
!
!     u,v      velocities in integration points
!
!     nstart     number of test function to start with integration
!                (1 : navier-stokes; n : pressure gradient)
!
!     n          number of basis functions
!
!     m          number of integration points
!
!********************************************************************
!
!
!*    vector for coriolis acceleration
!
      if (itcoor.eq.1) return
      if ((ichint.eq.0).and.(itcoor.eq.0).and.(n.eq.m)) then
!
!*   newton-cotes integration  /  n=m !!
!
         do 10 i=nstart,n
            rhow=rho*omega*w(i)
            vector(i)=vector(i)+2*rhow*u(n+i)
            vector(n+i)=vector(n+i)-2*rhow*u(i)
10       continue
      else if ((ichint.eq.1).and. &
               ((itcoor.eq.0).or.(itcoor.eq.2))) then
!
!*  gauss integration
!
         do 30 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m+1
            do 20 k=1,m
               h=phig(ik)*w(k)
               sum1=sum1+h*u(m+k)
               sum2=sum2+h*u(k)
               ik=ik+1
20          continue
               vector(i)=vector(i)+2*rho*omega*sum1
               vector(i+n)=vector(i+n)-2*rho*omega*sum2
30       continue
      else if ((ichint.eq.1).and.(itcoor.eq.3)) then
!
!*  axisymmetrical coordinates with swirl
!
         m2=m+m
         n2=n+n
         do 50 i=nstart,n
            sum1=0.0d0
            sum2=0.0d0
            ik=(i-1)*m
            do 40 k=1,m
               h=phig(ik+k)*w(k)
               sum1=sum1+h*u(m2+k)
40          continue
               vector(i)=vector(i)+2*rho*omega*sum1
            if (i.le.n1) then
               do 41 k=1,m
                  h=psig(ik+k)*w(k)
                  sum2=sum2+h*u(k)
41             continue
               vector(n2+i)=vector(n2+i)-2*rho*omega*sum2
            end if
            ik=ik+m
50       continue
      end if
      end
