      subroutine elp282 (baricc,phig,phigt, &
                               dptdks,dptdet,dpdks1,dpdet1,n)
      implicit double precision (a-h,o-z)
      double precision baricc(*), phig(*), phigt(*), dptdks(*), &
             dptdet(*), dpdks1(*), dpdet1(*)
      integer ind(9)
      save al1,al2,bl1,bl2,ind
      data ind/0,7,14,0,7,11,0,4,11/
      data al1,al2/ 0.797426985353087d0, 0.101286507323456d0/
      data bl1,bl2/ 0.470142064105115d0, 0.059715871789770d0/
!
! ********************************************************************
!
!        programmer   jaap van der zanden
!        version 1.1  date   22-08-1991 Zdenek: no dimension, cdc, ce
!        version 1    date   04-01-1985
!        version 2    date   13-06-1985 extension of elp281 with n
!                            14-01-87 (save)
!
!
!   copyright (c) 1984  "ingenieursbureau sepra"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "ingenieursbureau sepra".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
!
! ********************************************************************
!
!     fill barycentric coordinates, &
!             basis functions for extended quadratic triangle, &
!             derivatives of transformation functions, and
!             derivatives of shape functions on reference triangle
!
! ********************************************************************
!
!
!*  store the bariccentric coordinates
!
      do 10 i=1,3
         indi=ind(i)
         indi3=ind(i+3)
         indi6=ind(i+6)
         baricc(1+indi)=al1
         baricc(2+indi3)=al2
         baricc(3+indi6)=al2
         baricc(4+indi)=bl1
         baricc(5+indi3)=bl1
         baricc(6+indi6)=bl2
         baricc(18+i)=0.333333333333333d0
10    continue
      dldks1=-1.0d0
      dldks2= 1.0d0
      dldks3= 0.0d0
      dldet1=-1.0d0
      dldet2= 0.0d0
      dldet3= 1.0d0
      kk=1
      ik=1
      do 20 k=1,7
         zeta1=baricc(kk  )
         zeta2=baricc(kk+1)
         zeta3=baricc(kk+2)
!
!*  compute transformation functions in integration points
!
!*  compute transformation functions in integration points
!
            phigt(ik   )=zeta1*(2*zeta1-1)
            phigt(ik+14)=zeta2*(2*zeta2-1)
            phigt(ik+28)=zeta3*(2*zeta3-1)
            phigt(ik+ 7)=4*zeta1*zeta2
            phigt(ik+21)=4*zeta2*zeta3
            phigt(ik+35)=4*zeta3*zeta1
!
!*  compute derivatives of transformation functions in integration points
!
            dptdks(ik   )=dldks1*(4*zeta1-1)
            dptdks(ik+14)=dldks2*(4*zeta2-1)
            dptdks(ik+28)=dldks3*(4*zeta3-1)
            dptdks(ik+7 )=4*(dldks1*zeta2+dldks2*zeta1)
            dptdks(ik+21)=4*(dldks2*zeta3+dldks3*zeta2)
            dptdks(ik+35)=4*(dldks3*zeta1+dldks1*zeta3)
            dptdet(ik   )=dldet1*(4*zeta1-1)
            dptdet(ik+14)=dldet2*(4*zeta2-1)
            dptdet(ik+28)=dldet3*(4*zeta3-1)
            dptdet(ik+7 )=4*(dldet1*zeta2+dldet2*zeta1)
            dptdet(ik+21)=4*(dldet2*zeta3+dldet3*zeta2)
            dptdet(ik+35)=4*(dldet3*zeta1+dldet1*zeta3)
         if (n.eq.6) then
!
!*  number of basis functions in triangle is 6
!
!
!*  compute derivatives of shape functions in integration points
!
            dpdks1(ik   )=dldks1*(4*zeta1-1)
            dpdks1(ik+14)=dldks2*(4*zeta2-1)
            dpdks1(ik+28)=dldks3*(4*zeta3-1)
            dpdks1(ik+7 )=4*(dldks1*zeta2+dldks2*zeta1)
            dpdks1(ik+21)=4*(dldks2*zeta3+dldks3*zeta2)
            dpdks1(ik+35)=4*(dldks3*zeta1+dldks1*zeta3)
            dpdet1(ik   )=dldet1*(4*zeta1-1)
            dpdet1(ik+14)=dldet2*(4*zeta2-1)
            dpdet1(ik+28)=dldet3*(4*zeta3-1)
            dpdet1(ik+7 )=4*(dldet1*zeta2+dldet2*zeta1)
            dpdet1(ik+21)=4*(dldet2*zeta3+dldet3*zeta2)
            dpdet1(ik+35)=4*(dldet3*zeta1+dldet1*zeta3)
         else if (n.eq.7) then
            zz=3*zeta1*zeta2*zeta3
!
!*  number of basis functions in triangle is 7
!
            phig (ik   )=phigt(ik   )+zz
            phig (ik+14)=phigt(ik+14)+zz
            phig (ik+28)=phigt(ik+28)+zz
            phig (ik+ 7)=phigt(ik+ 7)-4*zz
            phig (ik+21)=phigt(ik+21)-4*zz
            phig (ik+35)=phigt(ik+35)-4*zz
            phig (ik+42)=9*zz
!
!*  compute derivatives of shape functions in integration points
!
            dphi7x=dldks1*zeta2*zeta3 &
                  +dldks2*zeta1*zeta3 &
                  +dldks3*zeta1*zeta2
            dpdks1(ik   )=dldks1*(4*zeta1-1)+3*dphi7x
            dpdks1(ik+14)=dldks2*(4*zeta2-1)+3*dphi7x
            dpdks1(ik+28)=dldks3*(4*zeta3-1)+3*dphi7x
            dpdks1(ik+7 )=4*(dldks1*zeta2+dldks2*zeta1)-12*dphi7x
            dpdks1(ik+21)=4*(dldks2*zeta3+dldks3*zeta2)-12*dphi7x
            dpdks1(ik+35)=4*(dldks3*zeta1+dldks1*zeta3)-12*dphi7x
            dpdks1(ik+42)=27*dphi7x
            dphi7y=dldet1*zeta2*zeta3 &
                  +dldet2*zeta1*zeta3 &
                  +dldet3*zeta1*zeta2
            dpdet1(ik   )=dldet1*(4*zeta1-1)+3*dphi7y
            dpdet1(ik+14)=dldet2*(4*zeta2-1)+3*dphi7y
            dpdet1(ik+28)=dldet3*(4*zeta3-1)+3*dphi7y
            dpdet1(ik+7 )=4*(dldet1*zeta2+dldet2*zeta1)-12*dphi7y
            dpdet1(ik+21)=4*(dldet2*zeta3+dldet3*zeta2)-12*dphi7y
            dpdet1(ik+35)=4*(dldet3*zeta1+dldet1*zeta3)-12*dphi7y
            dpdet1(ik+42)=27*dphi7y
            end if
            kk=kk+3
            ik=ik+1
20    continue
      if (n.eq.6) then
!
!*  set phig equal to phigt
!
         do 30 i=1,42
            phig(i)=phigt(i)
30       continue
      end if
      end
