      subroutine el2731 (D, idx, length, a)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  1.0  date 02-06-2001
!
!   copyright (c) 2000-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Tangential stiffness matrix with component of a on index
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      double precision D(9,9), a(*)
      integer idx(*), length

!     a              i    Components to fill in
!     d              o    D-matrix
!     idx            i    Index array
!     length         i    Number of components in index array
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer sum, i, j, p, q

!     i              Counting variable
!     j              Counting variable
!     p              ?
!     q              rotation matrix (local to global)
!     sum            Help parameter to compute a sum
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      sum = 1
      do i = 1, length
         do j = 0, idx(sum)-1
            p = idx(sum+1+(j*2))
            q = idx(sum+1+(j*2)+1)
            D(p,q) = D(p,q) + a(i)
         end do
         sum = sum+idx(sum)*2+1
      end do

      end
