      subroutine el3033 ( elemmt, s, isequ)
! ======================================================================
!
!        programmer    Niels Driessen
!        version  2.0  date 06-01-2016 Use sepmoduleelem
!        version  1.0  date 04-07-2004
!
!   copyright (c) 2004-2016  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    Assemble element stiffness matrix
!
! **********************************************************************
!
!                       KEYWORDS
!
!     element_matrix
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleelem
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer isequ(n*ndim), i, j
      double precision s(n*ndim,n*ndim), elemmt(icount,icount)

!     elemmt         o    Element matrix
!     isequ          i    Sequence for displacement dof's
!     s              i    Element matrix to be reorganized
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!     i              Counting variable
!     j              Counting variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- initialise the element matrix

      do i = 1, icount
         do j = 1, icount
            elemmt(i,j) = 0d0
         end do
      end do

!     --- fill in the element matrix, based on isequ

      do i = 1, n*ndim
         do j = 1, n*ndim
            elemmt(isequ(i),isequ(j)) = -s(j,i)
         end do
      end do
      end
