      subroutine elmul01 (a, out, opt, sizmat)
! ======================================================================
!
!        programmer    Chris van Oijen
!        version  1.1  date 01-11-2002 Extra parameter sizmat
!        version  1.0  date 28-05-2001
!
!   copyright (c) 1996-2002  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!    multiply normal stored matrix and result is reduced stored
!
! **********************************************************************
!
!                       KEYWORDS
!
!     matrix
!     rotation
! **********************************************************************
!
!                       MODULES USED
!
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer opt, sizmat
      double precision a(sizmat,sizmat), out(sizmat*3-3)

!     a              i    matrix to be multiplied
!     opt            i    option: 0: a*a'
!                                 1: a'*a
!     out            o    result
!     sizmat         i    Size of matrix (2x2 or 3x3)
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      double precision work(sizmat,sizmat), work2(sizmat,sizmat)
      integer i, j

!     i          Counting variable
!     j          Counting variable
!     work       Work array
!     work2      Work array
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     DGEMM     BLAS routine for matrix multiplication general.
!               (NAG: f06yaf)
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- put a in work

      do i=1,sizmat
         do j = 1, sizmat
            work(i,j) = a(i,j)
         end do
      end do
      if (opt.eq.0) then

!     --- opt = 0
!         compute work2=a*a'

         call dgemm ('n', 't', sizmat, sizmat, sizmat, 1d0, &
                      work, sizmat, work, sizmat, 0d0, &
                     work2, sizmat)
      else if (opt.eq.1) then

!     --- opt = 1
!         compute work2=a'*a

         call dgemm ('t', 'n', sizmat, sizmat, sizmat, 1d0, &
                      work, sizmat, work, sizmat, 0d0, &
                     work2, sizmat)
      end if

      if (sizmat.eq.3) then
       do i=1,3
          out(i) = work2(i,i)
       end do
       out(4) = work2(1,2)
       out(5) = work2(2,3)
       out(6) = work2(3,1)
      else if (sizmat.eq.2) then
       out(1)=work2(1,1)
       out(2)=work2(2,2)
       out(3)=work2(2,1)
      end if

      end
