      subroutine sepelmnlinelas ( )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 13-06-2019
!
!   copyright (c) 2019-2019  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmoduleoldvecs
      use sepmodulebasefn
      use sepmoduleelm
      use sepmodulecomio
      implicit none
!
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'sepelmnlinelas' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from sepelmnlinelas'
         write(irefwr,*) 'souza', E%souza


      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!     --- clear matrix

      E%mat = 0d0

!     --- assemble matrix

      if ( E%souza ) then

!     --- assemble the special matrix

         call sepelcrmt ( E%ndim, E%icount, B%n, B%m, E%dimD, E%special )

      else

!     --- assemble the normal matrix

        E%blloc => E%bl
        E%dphidx => B%phider
        E%pksestloc => E%pksest
        call sepelnlam( E%Dmat, B%w, E%ndim, E%icount, B%n, B%m, &
                        E%dimD, B%cart )

      end if

!     --- add reduced integration part

      if ( E%rdint ) then

         E%blloc => E%blr
         E%dphidx => E%detf0
         E%pksestloc => E%pksr
         call sepelnlam ( E%ser, E%wr, E%ndim, &
                          E%icount, B%n, E%mr, E%dimD, B%cart )
      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End sepelmnlinelas'

      end if  ! ( debug )
      call erclos ( 'sepelmnlinelas' )

      end subroutine sepelmnlinelas
