      program exam_um_623
      call startsepran
      end

!     --- Subroutine ELEM for the computation of element matrix and element
!         vectors

      subroutine elem ( coor, elemmt, elemvc, iuser, user, &
                        uold, matrix, vector, index1, index2 )
      implicit none
      double precision coor(2,*), elemmt(*), elemvc(*), user(*), uold(*)
      integer iuser(*), index1(*), index2(*)
      logical matrix, vector

      include 'SPCOMMON/cactl'

      double precision x(3,2), e(3,2), gradphi(3,2), delta, h
      integer i, j

!
!     delta    contains the Jacobian delta
!
!                                    ij
!     e        contains the factors e     (=e(i,j))
!
!     gradphi  contains the gradient of phi
!              d phi i /dx = gradphi(i,1)
!              d phi i /dy = gradphi(i,2)
!
!     h        Length of boundary element
!
!     i,j      General loop variables
!
!     x        contains the co-ordinates:  x(i,1) = x   x(i,2) = y
!                                                    i            i
!

      if ( itype==1 ) then

!     --- itype = 1,  internal element (triangle)

!         Store the co-ordinates into x

         x(1:3,1) = coor(1,index1(1:3))
         x(1:3,2) = coor(2,index1(1:3))

!        --- compute the differences eij and the Jacobian delta

         e(1,1) = x(2,2) - x(3,2)
         e(2,1) = x(3,2) - x(1,2)
         e(3,1) = x(1,2) - x(2,2)

         e(1,2) = x(3,1) - x(2,1)
         e(2,2) = x(1,1) - x(3,1)
         e(3,2) = x(2,1) - x(1,1)

         delta = e(3,1) * e(1,2) - e(3,2) * e(1,1)

!        --- Fill the gradient of phi

         gradphi = e / delta

!        --- Fill element matrix

         do j = 1, 3
            do i = 1, 3
               elemmt( (i-1)*3+j ) = 0.5d0 * abs(delta) * &
               ( gradphi(i,1)*gradphi(j,1) + gradphi(i,2)*gradphi(j,2) )
            end do  ! i = 1, 3
         end do  ! j = 1, 3

!        --- Set element vector equal to zero

         elemvc(1:3) = 0d0

      else

!     --- itype = 2,  boundary element

!         Store the co-ordinates into x

         x(1:2,1) = coor(1,index1(1:2))
         x(1:2,2) = coor(2,index1(1:2))

         h = sqrt ( (x(2,1)-x(1,1))**2 + (x(2,2)-x(1,2))**2 )

!        --- Set element matrix equal to zero

         elemmt(1:4) = 0d0

!        --- Fill element vector

         elemvc(1:2) = h * 0.5d0 * x(1:2,1)

      end if

      end

!     Function FUNCBC is used to prescribe the boundary condition u = xy

      function funcbc ( ichoice, x, y, z )
      implicit none
      integer ichoice
      double precision x, y, z, funcbc

      if ( ichoice==1 ) then

         funcbc = x * y

      end if

      end
