      program sphereinst
      call startsepcomp
      end

!     --- funccf is used to define the stress along the interface
!         This stress is defined by the surface tension
!         For 3D the surface tension is defined as
!
!         sigma = - gamma ( 1/R_1 + 1/R_2 ) n
!
!         with n the outward directed normal
!
!         The outwards directed normal is defined as
!
!         n = ( x/R, y/R )
!
!         and for a sphere we have R_1 = R_2 = R
!
      function funccf(ichoice,x,y,z)
      implicit none
      integer ichoice
      double precision funccf,x,y,z

!     --- get gamma and the radius from the input file

      double precision radius, gamma, getconst
      save  radius, gamma
      integer ifirst
      data ifirst /0/
      if ( ifirst==0 ) then

!     --- ifirst = 0, first call
!         get gamma and radius from input file
!         Since they are saved, this has to be done only once

         gamma = getconst ( 'gamma' )
         radius = getconst ( 'radius' )
         ifirst = 1  ! make sure that this part is done only once

      end if  ! ( ifirst==0 )

      if ( ichoice==1 ) then

!     --- x-component of stress

         funccf = -2d0*gamma*x/radius**2

      else

!     --- y-component of stress

         funccf = -2d0*gamma*y/radius**2

      end if
      end
