      program opgave2_1_1_mesh
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepmshbf ( ibuffr, ibuffr, pbuffr )
      end

      subroutine funccv ( icurve, t, x, y, z )

!     --- Function subroutine to define the upper wall in the nozzle
!         The curve is defined as follows:
!         x < -5: y(x) = 1
!         -5 <= x <= 5:  y(x) = 1- alpha exp(-beta x^2)
!         x > 5: y(x) = 1

      implicit none
      integer icurve
      double precision t, x, y, z
      double precision alpha, beta
      double precision getconst

!     --- alpha and beta are provided as real constants in the input file
!         x is equal to the parameter t

      alpha = getconst('alpha')
      beta  = getconst('beta')
      x = t
      if ( abs(t)>5 ) then
         y = 1d0
      else
         y = 1d0 - alpha*exp(-beta*x**2)
      end if
      end
