      program opgave2_1_2
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      subroutine funcc2 ( ichoice, x, y, z, gradc, g, dgdgrad )

!     --- Function subroutine to define the density in the non-linear potential
!         problem in the nozzle as function of the gradient of the potential
!         In case of Newton also the derivative with respect to
!         the norm of the gradient is defined
!         example 3.3.5 of the manual Standard Problems
!         The density for the compressible potential flow is defined by
!
!         rho = rho_0 c2 ^ 1/(gamma-1)
!         with
!         c2 = 1 - (gamma-1)/(gamma+1) (1/C*)^2 ||grad phi||^2
!
!         The derivative d rho / d ||grad phi|| by
!
!         d rho / d ||grad phi|| = rho_0/(gamma-1) c2^(1/(gamma-1)-1) *
!              (-2 (gamma-1)/(gamma+1) (1/C*)^2 ||grad phi|| )

      implicit none
      integer ichoice
      double precision x, y, z, gradc, g, dgdgrad
      double precision rho_0, cstar, gamma, gmin1, gplus1, c, c1, c2
      double precision getconst

!     --- rho_0, gamma and C* are provided as real constants in the input file

      rho_0 = getconst('rho_0')
      gamma = getconst('gamma')
      cstar = getconst('Cstar')
      gmin1 = gamma-1d0
      gplus1 = gamma+1d0
      c = gmin1/gplus1
      c1 = c/cstar**2
      c2 = 1d0-c1*gradc**2

!     --- The function rho is stored in g

      g = rho_0*c2**(1d0/gmin1)

      if ( ichoice==2 ) then

!     --- ichoice = 2, Newton linearization;
!         also  d rho / d ||grad phi|| is required

         dgdgrad = rho_0/gmin1*c2**(1d0/gmin1-1d0)*(-2d0*c1*gradc)

      end if
      end
