      program opgave4_1_3
      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=100000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (sepcompexe) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function funcc1 ( ifunc, x, y, z, uold )
      use sepmoduletime
      implicit none
      integer ifunc
      double precision funcc1, x, y, z, uold(*)
      double precision sigma, Tinf
      double precision getconst

      sigma = getconst('sigma')
      Tinf = getconst('Tinf')

      select case ( ifunc )
      case(1)

!     --- rhs for Picard

         funcc1 = -sigma*(uold(1)**4-Tinf**4)

      case(2)

!     --- beta for Newton

         funcc1 = 4d0*sigma*uold(1)**3

      case(3)

!     --- rhs for Newton

         funcc1 = sigma*(3d0*uold(1)**4+Tinf**4)

      case default

!     --- Option not programmed yet

         call errchr ( 'funcc1', 1 )
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop

      end select  ! case ( ifunc )

      end
