      program nozzlemesh

!     --- Main program to create the mesh for the nozzle in example 3.3.5
!         of the Examples Manual
!         This main program is necessary in order to provide a function funccv
!         which defines the parameter curve

      call startsepmesh
      end


      subroutine funccv ( icurve, t, x, y, z )

!     --- Function subroutine to define the upper wall in the nozzle of
!         example 3.3.5 of the Examples Manual
!         The curve is defined as follows:
!         x < -5: y(x) = 1
!         -5 <= x <= 5:  y(x) = 1- alpha exp(-beta x^2)
!         x > 5: y(x) = 1

      implicit none
      integer icurve
      double precision t, x, y, z
      double precision alpha, beta
      double precision getconst

!     --- alpha and beta are provided as real constants in the input file
!         x is equal to the parameter t

      alpha = getconst('alpha')
      beta  = getconst('beta')
      x = t
      if ( abs(t)>5 ) then
         y = 1d0
      else
         y = 1d0 - alpha*exp(-beta*x**2)
      end if
      end
