      program potaccur
      use sepmodulecomio
      use sepmodulemach
      implicit none
      integer lenkmesh, lenkprob, leniuser, lenuser
      parameter (lenkmesh=1000, lenkprob=1000, leniuser=1000,
     +           lenuser=1000)
      integer kmesh(lenkmesh), kprob(lenkprob), kprobcp(lenkprob),
     +        kmeshcp(lenkmesh), isol(5), isolcp(5), isolsav(5),
     +        intmat(5), iuser(leniuser), matr(5), irhsd(5), massmt(5)
      double precision user(lenuser), rinsol(1), difmax
      integer iinstr(2), iinfil(1), iinbld(1), inpsol(1), iinout(1),
     +        nref, iref, iread, ichois, iinput(1), iinprs(1)

      data kmesh/lenkmesh*0/, kmeshcp/lenkmesh*0/, kprob/lenkprob*0/,
     +     kprobcp/lenkprob*0/, isol/5*0/, isolcp/5*0/, isolsav/5*0/,
     +     intmat/5*0/, iuser/leniuser*0/, user/lenuser*0d0/, matr/5*0/,
     +     irhsd/5*0/

!     --- Fill first positions of variable length arrays

      kmesh(1) = lenkmesh
      kmeshcp(1) = lenkmesh
      kprob(1) = lenkprob
      kprobcp(1) = lenkprob
      iuser(1) = leniuser
      user(1) = lenuser

!     --- start sepran, read mesh and input

      iinstr(1) = 2
      iinstr(2) = 1
      call sepstn ( kmesh, kprob, intmat, iinstr )

!     --- Loop over refinements

      nref = 3
      do iref = 1, nref

!     --- fill essential boundary conditions

         iinprs(1) = 0
         call presbc ( kmesh, kprob, isol, iinprs )

!        --- fill coefficients

         iinfil(1) = 0
         call fillcf ( iuser, user, kprob, kmesh, iinfil )

!        --- build matrix and right-hand side

         iinbld(1) = 0
         call build ( iinbld, matr, intmat, kmesh, kprob, irhsd,
     +                massmt, isol, isol, iuser, user )

!        --- solve linear system of equations

         inpsol(1) = 0
         iread = 1
         call solvel ( inpsol, rinsol, matr, isol, irhsd, intmat,
     +                 kmesh, kprob, iread )
         if ( iref>1 ) then

!        --- iref > 1, compute difference

            call intmsh ( 1, kmesh, kmeshcp, kprob, kprobcp, isol,
     +                    isolcp )
            call diffvc ( 1, isolsav, isolcp, kprobcp, difmax )
            write(irefwr,100) iref, difmax
100         format ( ' maximum difference in refinement ', i1,' is',
     +               d13.3 )

         end if

         if ( iref<nref ) then

!        --- Copy and refine mesh

            call mshcopy ( kmesh, kmeshcp )
            call procopy ( kprob, kprobcp )
            call copyvc ( isol, isolsav )
            ichois = 1
            call refine ( kmesh, ichois, iinput )
            call probdf ( 3, kprob, kmesh, iinput )
            call commat ( 1, kmesh, kprob, intmat )

         end if

      end do

!     --- write solution to files for postprocessing

      iinout(1) = 0
      call outsol ( kmesh, kprob, isol, iinout, 0d0, iuser,
     +              user )

      if ( nref>1 ) then

!     --- overwrite meshoutput with new mesh

         if ( iref10<0 ) then
            open ( unit=-iref10, file='meshoutput', form='unformatted' )
         else
            open ( unit=iref10, file='meshoutput', form='formatted' )
         end if  ! ( iref10<0 )
         call meshwr ( iref10, kmesh )

      end if

!     --- Close all files

      call finish(0)

      end
