      program cahn2d

!     --- Standard main program

      integer, allocatable, dimension (:) :: ibuffr
      integer (kind=8) pbuffr
      integer error
      parameter ( pbuffr=25000000)
      allocate(ibuffr(pbuffr), stat = error)
      if (error /= 0) then
         ! space for these arrays could not be allocated
         print *, "error: (cahn2d) could not allocate space."
         stop
      end if  ! (error /= 0)
      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

!     --- Function func is used to define the initial condition of c

      function func ( ichoice, x, y, z )
      use sepmoduleconsts
      implicit none
      double precision func, x, y, z
      integer ichoice

      func = 0.4 + 0.001*(sin(40*pi*x)+sin(40*pi*y))

      end

!     --- Function funcvect is used to define the diffusion term in the
!         c equation, which is a function of c

      subroutine funcvect ( ichoice, ndim, coor, numnodes, uold, nuold,
     +                      result, nphys )
      implicit none
      integer ichoice, ndim, numnodes, nuold, nphys, i
      double precision coor(ndim,numnodes), uold(numnodes,nphys,nuold),
     +                 result(numnodes,*)
      double precision c

      if (ichoice == 1) then

!     --- ichoice = 1: the diffusivity is given by f''(c)
!         f''(c) = c/1.3 +(1-c)/0.8=4.6c(1-c)

         do i = 1, numnodes
            c = uold(i,1,1)
            result(i,1) = c/1.3+(1-c)/0.8-4.6*c*(1-c)
         end do

      end if

      end


