! salt_stable.f
!
! This file contains additional subroutines
!
      program salt_stable
      call startsepcomp
      end

! ***********************************************
!
!    functions for essential boundary conditions
!
! ***********************************************
      function funcbc ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision funcbc, x, y, z, R, getconst
      integer ichoice

      R = getconst('R')

      if ( ichoice==1 ) then
         funcbc = -1 * (1/R) * (x)
      end if

      if ( ichoice==2) then
         funcbc = -1 * (1/R) * (x)
      end if

      end

! ***********************************************
!
!    perturbation of the initial saturation
!
! ***********************************************
      function func ( ichoice, x, y, z )
      use sepmoduletime
      implicit none
      double precision func, x, y, z, R, Depth, Length, a, getconst
      integer ichoice

      R = getconst('R')
      Depth = getconst('Depth')
      Length = getconst('Length')
      a = getconst('a')

      if (ichoice==1) then
         if ( (y.lt.Depth).and.(y.gt.0)
     +           .and.(x.gt.0).and.(x.lt.Length) ) then
           func = 0.001 * sin(a * x)
         else
           func = 0
         end if
      end if

      end


      subroutine compcons
      implicit none
      double precision R, R_inv, Length_div_R, Length, getconst

      R = getconst('R')
      Length = getconst('Length')

      R_inv = 1/R
      Length_div_R = Length/R

      call putreal ( 'R_inv', R_inv )
      call putreal ( 'min_R_inv', -R_inv )
      call putreal ( 'Length_div_R', Length_div_R )
      call putreal ( 'min_Length_div_R', -Length_div_R )

      end
