      program enthrefined
      implicit none
      integer ibuffr
      integer (kind=8) pbuffr
      parameter ( pbuffr=25000000)
      common ibuffr(pbuffr)

      call sepcombf ( ibuffr, ibuffr, pbuffr )
      end

      function funcc3 ( ifunc, x, y, z, numold, maxunk, uold )
      implicit none
      integer ifunc, numold, maxunk
      double precision funcc3, x, y, z, uold(numold,maxunk)

!     --- local parameters
      double precision kappa_s, kappa_l, getconst, temperature,
     +                 melt_temp
      integer itemperature
      logical debug

      include 'SPcommon/comcons1'
      include 'SPcommon/cuscons'

      debug = .false.

      if ( ifunc.eq.1 ) then
!     --- used for 1D testcase 'unequal1D'

!     --- get some constants

         kappa_s = getconst('kappa_s')
         kappa_l = getconst('kappa_l')
         melt_temp = getconst('melt_temp')
         CALL prgetname('temperature', itemperature)

         temperature = uold(itemperature,1)

!     --- set kappa according to temperature

         if ( temperature.ge.melt_temp ) then
            funcc3 = kappa_l
         else
            funcc3 = kappa_s
         end if ! ( temperature )

!     --- Print some debug information

         if ( debug ) then

            print *, 'numold, maxunk', numold, maxunk
            print *, 'kappa_s, kappa_l, itemperature, melt_temp',
     +                kappa_s, kappa_l, itemperature, melt_temp
            print *, 'temperature, kappa', temperature, funcc3

         end if ! ( debug )

      else

!     --- Error, this option has not yet been programmed

         call errchr('funcc3',1)
         call errint ( ifunc, 1 )
         call errsub ( 1930, 1, 0, 1 )
         call instop
         funcc3 = 0d0

      end if ! ( ifunc )

      end
