      subroutine closematlab
! ======================================================================
!
!        programmer  Dragan Vidovic
!        version  1.0  date 14-03-2002
!
!   copyright (c) 1996-2001  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Closes Matlab engine
! **********************************************************************
!
!                       KEYWORDS
!
!     matlab
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulematlab
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
      integer engClose

!     ENGCLOSE       Function from MATLAB communication library. See
!                    MATLAB External Interfaces/API manual.
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRCHR         Put character in error message
!     ERRCRD         Prints the last record read and underlines the erroneous
!                    part
!     ERRSUB         Error messages
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2725   MATLAB function returned an error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'closematlab' )

      if (matlabeng.ne.0) then

!     --- Close MATLAB engine

!matlab         if (engClose(matlabeng).ne.0) then
!matlab            call errchr ( 'engClose', 1 )
!matlab            call errsub ( 2725, 0, 0, 1 )
!matlab            call errcrd
!matlab         end if

      end if

      call erclos ( 'closematlab' )

      end


