      subroutine inibcastmpi ( ibufptr, icount, itype )
! ======================================================================
!
!        Programmer     Guus Segal
!        version  1.0  date 25-04-2014
!
!   copyright (c) 2014-2014  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Wrapper for MPI_BCAST.
!     The contents of ibufptr are sent to all processors
!     This implementation is completely based on MPI
! **********************************************************************
!
!                       KEYWORDS
!
!     parallel
!     send
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      use sepmodulecpack
      implicit none
      integer ibufptr(*), icount, itype

!     ibufptr  i    pointer to first element of array to be sent
!     icount   i    the length of array to be sent
!     itype    i    MPI datatype

! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ierr
!mpi      include 'mpif.h'

!     ierr      error status of an MPI call ( .eq.MPI_SUCCESS if ok)
! **********************************************************************
!
!                       I/O
!
!     Information is sent to host or node
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ISERCLOS  Resets old name of previous subroutine of higher level
!     ISEROPEN  Produces concatenated name of local subroutine
!     ISERRINT  Put integer value in error message file
!     ISERRSUB  Error message subroutine
!     MPI_SEND  Immediately sends the data in the active MPI message buffer
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    1750   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       MODULES USED
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inibcastmpi' )

!mpi      call MPI_BCAST ( ibufptr, icount, itype, &
!mpi                       0, MPI_COMM_WORLD, ierr )
!mpi      if ( ierr.ne.MPI_SUCCESS ) then
!mpi         call errint ( ierr, 1 )
!mpi         call errsub ( 1750, 1, 0, 0 )
!mpi      end if

      call erclos ( 'inibcastmpi' )
      end
