      subroutine inibufdetmpi ( send_buffer, send_buffer_size )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 24-03-2013
!
!   copyright (c) 2013-2013  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Detach mpi buffer if it exists
!     wrapper for mpi_buffer_detach
! **********************************************************************
!
!                       KEYWORDS
!
!     parallel
!     mpi
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none
! **********************************************************************
!
!                       COMMON BLOCKS
!
!mpi      include 'mpif.h'

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer send_buffer(*), send_buffer_size

!     send_buffer            send buffer
!     send_buffer_size  i    Length of the send buffer
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer ierr

!     ierr           error status of an MPI call ( .eq.MPI_SUCCESS if ok)
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     ERCLOS         Resets old name of previous subroutine of higher level
!     EROPEN         Produces concatenated name of local subroutine
!     ERRINT         Put integer value in error message file
!     ERRSUB         Error message subroutine
!     INSTOP         Stop sepran
!     MPI_BUFFER_DETACH Remove buffer for mpi send
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    3122   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
      call eropen ( 'inibufdetmpi' )
      debug = .false. .and. ioutp>=0
      if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'Debug information from inibufdetmpi'

      end if  ! ( debug )
      if ( ierror/=0 ) go to 1000

!mpi      call mpi_buffer_detach(send_buffer, send_buffer_size, ierr)
!mpi      if ( ierr.ne.MPI_SUCCESS ) then
!mpi         call errint ( ierr, 1 )
!mpi         call errsub ( 3122, 1, 0, 0 )
!mpi         call instop
!mpi      end if

1000  if ( debug ) then

!     --- Debug information

         write(irefwr,*) 'End inibufdetmpi'

      end if  ! ( debug )
      call erclos ( 'inibufdetmpi' )

      end
