      subroutine inimpiopen
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 24-06-2008
!
!   copyright (c) 2008-2008  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     Join parallel application.
!     Initialize the common cparallel
!     Special version for openmpi
! **********************************************************************
!
!                       KEYWORDS
!
!     initializations
!     parallel
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      use sepmodulecpack
      implicit none

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!mpiop      integer ierr
!mpiop      include 'mpif.h'
!mpiop      character *14 name
!     ierr      Return code of an MPI subroutine
!     isource   Source for incoming error signals
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!     MPI_COMM_RANK    Get rank of process in MPI communication context
!     MPI_COMM_SIZE    Get number of processes in MPI communication context
!     MPI_INIT         Enroll in MPI
!     MPI_IRECV        Nonblocking receive operation
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
!    2259   MPI error
! **********************************************************************
!
!                       PSEUDO CODE
!
!     Initialize common cparallel
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Enroll in MPI computation, i.e. start mpi

!mpiop      call MPI_Init ( ierr )
!mpiop      if ( ierr.ne.MPI_SUCCESS ) then

!         --- an error occurred:

!mpiop         call errint ( inodenr, 1 )
!mpiop         call errsub ( 2259, 1, 0, 0 )
!mpiop         call instop
!mpiop      end if

!     --- Initialize cparallel
!         First get node number inodenr

!mpiop      call MPI_COMM_RANK ( MPI_COMM_WORLD, inodenr, ierr )
!mpiop      if ( ierr.ne.MPI_SUCCESS ) then

!     --- an error occurred:

!mpiop         call errint ( inodenr, 1 )
!mpiop         call errsub ( 2259, 1, 0, 0 )
!mpiop         call instop

!mpiop      end if

!     --- Raise node number to start with 1 in order to be consistent with
!         SEPRAN

!mpiop      inodenr = inodenr+1

!     --- Fill actual number of nodes

!mpiop      call MPI_COMM_SIZE ( MPI_COMM_WORLD, iacnodes, ierr )
!mpiop      if ( ierr.ne.MPI_SUCCESS ) then

!     --- an error occurred:

!mpiop         call errint ( inodenr, 1 )
!mpiop         call errsub ( 2259, 1, 0, 0 )
!mpiop         call instop

!mpiop      end if

!     --- define MPI types for communications

!mpiop      SPINT = MPI_INTEGER
!mpiop      SPCHAR = MPI_CHARACTER
!mpiop      SPDOUBLE = MPI_DOUBLE_PRECISION
!mpiop      SP_ANY = MPI_ANY_SOURCE

      end
