      subroutine stunix
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.4  date 20-01-2004 Make temporary directory
!        version  1.3  date 18-03-1999 Set pid lso for linux
!        version  1.2  date 10-07-1993 Comment cuni
!
!   copyright (c) 1990-2004  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!     STUNIX is a machine-dependent subroutine that is used to get some
!     parameters from the environment
!     This version is meant for unix
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulemach
      use sepmodulecpack
      implicit none
! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
!uni      character (len=100) name, string
!uni      character (len=19) namedir
!uni      integer lenhom, lenbin, length, spgenv, ierror
!uni      logical check

!     check          Indicates if the file exist (true) or not
!     ierror         Error return for system
!     lenbin         Number of characters in the name after SPHOME/bin
!     length         Help parameter to indicate the length of arrays
!     lenhom         Number of characters in the name of the home directory
!     name           Name of string read for the environment
!     namedir        Name of temp dir
!     string         Word to be analyzed
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
!uni      integer system

!     SPGENV         C-subroutine to catch parameters from the environment
!     SYSTEM         System calls
! **********************************************************************
!
!                       I/O
!
! **********************************************************************
!
!                       ERROR MESSAGES
!
! **********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!uni      if ( namef1(1:6).eq.'SPHOME' ) then
!uni
!uni!     --- Substitute sphome for SPHOME
!uni
!uni         name = ' '
!uni         lenhom = index ( sphome, ' ' ) - 1
!uni         name(1:lenhom) = sphome(1:lenhom)
!uni         lenbin = index ( namef4, ' ' ) - 1
!uni         name(lenhom+1:lenhom+lenbin-6) = namef1(7:lenbin)
!uni         namef1 = name
!uni
!uni      end if
!uni      if ( namef4(1:6).eq.'SPHOME' ) then
!uni
!uni!     --- Substitute sphome for SPHOME
!uni
!uni         name = ' '
!uni         lenhom = index ( sphome, ' ' ) - 1
!uni         name(1:lenhom) = sphome(1:lenhom)
!uni         lenbin = index ( namef4, ' ' ) - 1
!uni         name(lenhom+1:lenhom+lenbin-6) = namef4(7:lenbin)
!uni         namef4 = name
!uni      end if
!uni      if ( namems(1:6).eq.'SPHOME' ) then
!uni
!uni!     --- Substitute sphome for SPHOME
!uni
!uni         name = ' '
!uni         lenhom = index ( sphome, ' ' ) - 1
!uni         name(1:lenhom) = sphome(1:lenhom)
!uni         lenbin = index ( namems, ' ' ) - 1
!uni         name(lenhom+1:lenhom+lenbin-6) = namems(7:lenbin)
!uni         namems = name
!uni      end if
!uni
!uni!     --- Check if SEPRAN is called by the UNIX command sepran
!uni!         In that case all information can be found with the subroutine spgenv
!uni!         spgenv(2) gives the name of the executable, so if this name exists
!uni!         sepran is called
!uni
!uni      length = spgenv(2,name)
!uni      if ( length.gt.0 ) then
!uni
!uni!     --- length > 0,  spexec exists
!uni!         Fill a number of parameters from the environment
!uni
!uni         length = spgenv(8,name)
!uni         if ( length.gt.0 ) namef2 = name(1:length)
!uni         length = spgenv(14,name)
!uni         if ( length.gt.0 ) name10 = name(1:length)
!uni         length = spgenv(15,name)
!uni         if ( length.gt.0 ) name73 = name(1:length)
!uni         length = spgenv(16,name)
!uni         if ( length.gt.0 ) name74 = name(1:length)
!uni         length = spgenv(17,name)
!uni         if ( length.gt.0 ) spvers = name(1:length)
!uni         length = spgenv(5,name)
!uni         if ( length.gt.0 ) namere = name(1:length)
!uni         length = spgenv(6,name)
!uni         if ( length.gt.0 ) namewr = name(1:length)
!uni         length = spgenv(3,name)
!uni         if ( length.gt.0 ) spappn = name(1:length)
!uni      end if
!uni
!uni!     --- Make unique directory under /tmp if name73 starts with the letters
!uni!         /tmp
!uni
!uni      if ( name73(1:4).eq.'/tmp' ) then
!uni
!uni!     --- make temporary directory for plot files and files meshoutput and
!uni!         sepcomp.out
!uni!         First we check the directory name
!uni
!uni         if ( parallel ) then
!uni
!uni!        --- Parallel computation
!uni
!uni            namedir = ' '
!uni
!uni         else
!uni
!uni!        --- Serial computation
!uni
!uni            ierror = system ( 'pwd > SEPTMPTEST' )
!uni            open ( unit = 75, file = 'SEPTMPTEST' )
!uni            read ( 75, 100 ) namedir
!uni100         format(a)
!uni            ierror = system ( 'rm SEPTMPTEST' )
!uni
!uni         end if  ! ( parallel )
!uni
!uni         if ( namedir(1:4).ne.'/tmp' ) then
!uni
!uni!        --- Only in case we are not in /tmp, we rename the files
!uni
!uni            namedir = '/tmp/SEP'//date_start(7:8)//time_start(1:6)
!uni            if ( parallel ) then
!uni
!uni!           --- Parallel, use node number as extension
!uni
!uni               write(namedir(17:19),110) inodenr
!uni110            format(i3.3)
!uni
!uni            else
!uni
!uni!           --- Serial use 000 as extension
!uni
!uni               namedir(17:19) = '000'
!uni
!uni            end if
!uni            string = 'mkdir '//namedir
!uni            ierror = system ( string(1:25) )
!uni
!uni!           --- Create names of files using /tmp
!uni
!uni            length = index ( name10, ' ' ) -1
!uni            name10 = namedir//'/'//name10(1:length)
!uni            length = index ( name74, ' ' ) -1
!uni            name74 = namedir//'/'//name74(1:length)
!uni            length = index ( namepl, ' ' ) -1
!uni            namepl = namedir//'/'//namepl(1:length)
!uni
!uni!           --- Copy files to /tmp
!uni
!uni            call stunix1 ( namedir )
!uni
!uni         end if
!uni
!uni      end if

      end
