      subroutine stwin95
! ======================================================================
!
!        programmer    Guus Segal
!        version 1.0   date 21-11-1998
!
!
!   copyright (c) 1998-1998  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy,
!   recording, or otherwise, without written permission from the
!   publisher.
! ********************************************************************
!
!                       DESCRIPTION
!
!
!    STwin95 is a machine-dependent subroutine that is used to get some
!    parameters from the environment
!
!    This version is meant for teh Visual Fortran compiler running under
!    Windows 95 windows/nt
!
!    It sets the value to termin.
!    It rewrites the names of the standard input and output files
!       (read from *.ENV) when there are filenames on the command line.
!    It sets the name of file1 and the name of file4, using information
!       passed from the *.ENV .
!
! ********************************************************************
!
!                       KEYWORDS
!
! ********************************************************************
!
!                       MODULES USED
!
!win95      use dfport
! ********************************************************************
!
!                       INPUT / OUTPUT    PARAMETERS
!
      use sepmodulemach
      implicit none
! **********************************************************************
!
!                   COMMON BLOCKS
!
! ********************************************************************
!
!                       LOCAL PARAMETERS
!
!win95      character * 50 name
!win95      integer lenbin, lenhom

!     lenbin    Number of characters in name of sepran bin directory
!     lenhom    Number of characters in name of sepran home directory
!     name      Variable to store a name
! ********************************************************************
!
!                       SUBROUTINES CALLED
!
! ********************************************************************
!
!                       I/O
!
! ********************************************************************
!
!                       ERROR MESSAGES
!
! ********************************************************************
!
!                       PSEUDO CODE
!
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!win95      call getenv ( 'SPHOME', sphome )
!win95      lenhom = index ( sphome, ' ' )-1
!win95      name(1:lenhom) = sphome(1:lenhom)
!win95      sphome = ' '
!win95      sphome = name(1:lenhom)
!win95      if ( namef1(1:6).eq.'SPHOME' ) then

!     --- Substitute sphome for SPHOME

!win95         name = sphome
!win95         lenbin = index ( namef1, ' ' )-1
!win95         name(lenhom+1:lenhom+lenbin-6) = namef1(7:lenbin)
!win95         namef1 = name

!win95      end if

!win95      if ( namef4(1:6).eq.'SPHOME' ) then

!     --- Substitute sphome for SPHOME

!win95         name = sphome
!win95         lenbin = index ( namef4, ' ' )-1
!win95         name(lenhom+1:lenhom+lenbin-6) = namef4(7:lenbin)
!win95         namef4 = name

!win95      end if

!win95      if ( namems(1:6).eq.'SPHOME' ) then

!     --- Substitute sphome for SPHOME

!win95         name = sphome
!win95         lenbin = index ( namems, ' ' )-1
!win95         name(lenhom+1:lenhom+lenbin-6) = namems(7:lenbin)
!win95         namems = name

!win95      end if

      end
