      subroutine inmt01 ( amat1, amat2, intmt1, intmt2, nbound, nusol, &
                          thresh )
! ======================================================================
!
!        programmer    Guus Segal
!        version  1.0  date 08-01-1992
!
!   copyright (c) 1992-1999  "Ingenieursbureau SEPRA"
!   permission to copy or distribute this software or documentation
!   in hard copy or soft copy granted only by written license
!   obtained from "Ingenieursbureau SEPRA".
!   all rights reserved. no part of this publication may be reproduced,
!   stored in a retrieval system ( e.g., in memory, disk, or core)
!   or be transmitted by any means, electronic, mechanical, photocopy
!   recording, or otherwise, without written permission from the
!   publisher.
! **********************************************************************
!
!                       DESCRIPTION
!
!   Print all differences between matrix 1 and 2 exceeding the threshold
!   value thresh. In this case it concerns the part corresponding to bc.'s
! **********************************************************************
!
!                       KEYWORDS
!
! **********************************************************************
!
!                       MODULES USED
!
      use sepmodulecomio
      implicit none 
! **********************************************************************
!
!                       COMMON BLOCKS
!

! **********************************************************************
!
!                       INPUT / OUTPUT PARAMETERS
!
      integer nusol, nbound, intmt1(*), intmt2(*)
      double precision amat1(*), amat2(*), thresh

!     amat1   i   First matrix to be compared
!     amat2   i   Second matrix to be compared
!     intmt1  i   First part of array INTMAT for matrix 1 and 2
!     intmt2  i   Second part of array INTMAT for matrix 1 and 2
!     nbound  i   Number of rows in this part of the matrix
!     nusol   i   Total number of unknowns
!     thresh  i   Threshold value
! **********************************************************************
!
!                       LOCAL PARAMETERS
!
      integer i, j, imat, icount, icol
      double precision dif

!    dif     Difference between elements of the two matrices
!    i       general loop variable
!    icol    Column number
!    icount  Number of differences found in the diagonal
!    imat    Position in the matrix
!    j       general loop variable
! **********************************************************************
!
!                       SUBROUTINES CALLED
!
! **********************************************************************
!
!                       I/O
!
!    none
! **********************************************************************
!
!                       ERROR MESSAGES
!
!   - &
! **********************************************************************
!
!                       PSEUDO CODE
!
!   trivial
! **********************************************************************
!
!                       DATA STATEMENTS
!
! ======================================================================
!
!     --- Compare matrix row for row

      icount = 0
      imat = 0
      do i = 1, nbound
         do j = 1, intmt1(i+1) - intmt1(i)
            icol = intmt2(intmt1(i)+j)
            imat = imat + 1
            dif = abs ( amat1(imat) - amat2(imat) )
            if ( dif.gt.thresh ) then

!           --- difference exceeds threshold value

               if ( icount.eq.0 ) then

!              --- icount = 0, print heading

                  write(irefwr,100)
100               format(//' Subroutine MANMAT:'// &
                          ' The following differences have been found', &
                          ' in the part corresponding to the boundary', &
                          ' conditions:'/ &
                          '    row    column    difference  ', &
                          '    matrix 1         matrix 2  '/ )
               end if
               write(irefwr,110) i+nusol-nbound, icol, dif, amat1(imat), &
                                 amat2(imat)
110            format ( i7, ':',  i7,':',ss, 1pe14.2e2, 2(1pe19.8e2) )
               icount = icount + 1
            end if
         end do
      end do
      if ( icount.gt.0 ) write(irefwr,210) icount
210   format( 'Number of differences found is ', i4)
      end
